===============================================================

Tag name: cam_cesm2_1_rel_41
Originator(s): cacraig, jet, eaton, gettelman
Date: January 10, 2020
One-line Summary: Misc updates for the CESM2.1.2 release

Purpose of changes: Bring in miscellaneous changes
 - Fix Bug in MG metadata (github issue #10)
 - Fix path for chemmech file (github issue #51)
 - Fix defintions of seq_flux_mct_albdir and seq_flux_mct_albdif (they were swapped) (github issue #50)
 - Bug fix for Q925 in cam_diagnostics (github issue #57)

Bugs fixed (include bugzilla ID):
  - see above

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: goldy, nusbaume, eaton, fvitt

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       bld/namelist_files/namelist_definition.xml
           - Fix defintions of seq_flux_mct_albdir and seq_flux_mct_albdif (they were swapped) (github issue #50)
M       bld/perl5lib/Build/ChemPreprocess.pm
           - Fix path for chemmech file (github issue #51)
M       src/physics/cam/cam_diagnostics.F90
           - Bug fix for Q925 in cam_diagnostics (github issue #57)
M       src/physics/cam/micro_mg_cam.F90
           - Fix Bug in MG metadata (github issue #10)

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: BFB

cheyenne/intel/aux_cam: BFB

hobart/nag: BFB

hobart/pgi: BFB

Also ran an additional test for the chem preprocessor bug fix:
./create_newcase --case test_chem --compset F2000climo --res f09_f09_mg17
./xmlchange --append CAM_CONFIG_OPTS="-usr_mech_infile /glade/u/home/emmons/mechanisms/cesm_2_1_cam_chemmech.in"
./case.setup
./preview_namelists
This ran successfully (whereas before preview namelist had an error)

===============================================================
===============================================================

Tag name: cam_cesm2_1_rel_40
Originator(s): Thomas.Toniazzo, eaton
Date: Mon 06 Jan 2020 03:38:10 PM MST
One-line Summary: Updates to AM correction and fixer code.

Purpose of changes:

. Updates to AM correction and fixer code (FV dycore only)
  - These updates have been documented in a paper submitted to GMD which is
    currently in discussion phase:
    https://www.geosci-model-dev-discuss.net/gmd-2019-254/

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist:
. add fv_high_order_top and fv_am_geom_crrct

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: not checked

Code reviewed by: goldy, nusbaume, cacraig

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

bld/namelist_files/namelist_definition.xml
. add fv_high_order_top and fv_am_geom_crrct

src/dynamics/fv/cd_core.F90
. add am_geom_crrct to intent(in) dummy args
. mods in am_correction and am_fixer code
. pass am_geom_crrct to d2a2c_winds and to c_sw

src/dynamics/fv/d2a3dikj.F90
. use am_geom_crrct in place of am_correction

src/dynamics/fv/dp_coupling.F90
. use am_geom_crrct in place of am_correction

src/dynamics/fv/dyn_comp.F90
. add namelist vars fv_high_order_top and fv_am_geom_crrct
. the parameter attribute of high_order_top has been removed to allow
  setting via namelist
. add am_geom_crrct to cd_core calling args
. replace am_correction by am_geom_crrct in te_map calling args

src/dynamics/fv/dyn_grid.F90
. replace am_correction by am_geom_crrct as arg to grid_vars_init

src/dynamics/fv/dynamics_vars.F90
. add high_order_top and am_geom_crrct
. use am_geom_crrct instead of am_correction in grid_vars_init

src/dynamics/fv/sw_core.F90
. replace intent(in) arg am_correction by am_geom_crrct in routines c_sw
  and d2a2c_winds

src/dynamics/fv/te_map.F90
. replace intent(in) arg am_correction by am_geom_crrct in routine te_map

src/dynamics/fv/uv3s_update.F90
. replace intent(in) arg am_correction by am_geom_crrct in routine
  uv3s_update 

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS

cheyenne/intel/aux_cam: PASS

hobart/nag: PASS except:
045 bl369 TBL.sh f10c6aqdm outfrq3s_am 9s .....................................................FAIL! rc= 7 at Mon Dec 30 13:35:07 MST 2019

hobart/pgi: PASS

bl369 is an expected baseline failure due to updates to the AM conservation code.

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB unless the AM correction option is
turned on.

===============================================================
===============================================================

Tag name: cam_cesm2_1_rel_39
Originator(s): cacraig
Date: Dec 3, 2019
One-line Summary: Update cime external to bring in fix for RCE bug introduced in rel_36

Purpose of changes:
- In changeover of AQP11 to AQPCONST, one file was missed which resulted in the namelist settings
  for RCE runs not being set.  Fix was introduced into cime5.6.27.


Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: goldy

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
         - update cime tag for RCE bug fix

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: All PASS

hobart/nag: All PASS

hobart/pgi: All PASS

Ran preview_namelists on QPRCEMIP compset, and the RCE settings are being properly set

===============================================================
===============================================================

Tag name: cam_cesm2_1_rel_38
Originator(s): fvitt, mmills
Date: 25 Nov 2019
One-line Summary: Update initial conditions for CAM and WACCM-MA compsets at 2-degrees

Purpose of changes:

 Changes needed to finish 2deg DECK provided by Mike Mills
 - update IC file for BWmaCO2x4 @ f19_g17
 - set RUN_STARTDATE=1950-01-01 and RUN_TYPE=hybrid for compsets:
   -- FHIST and FHIST_BGC @ f19_f19_mg17
   -- FWmaHIST and FWmaHIST_BGC @ f19_f19_mg17

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       cime_config/config_component.xml
 - update IC file for BWmaCO2x4 @ f19_g17

M       cime_config/config_compsets.xml
 - set RUN_STARTDATE=1950-01-01 and RUN_TYPE=hybrid for compsets:
   -- FHIST and FHIST_BGC @ f19_f19_mg17
   -- FWmaHIST and FWmaHIST_BGC @ f19_f19_mg17

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: All PASS

hobart/nag: All PASS

hobart/pgi: All PASS

===============================================================
===============================================================

Tag name: cam_cesm2_1_rel_37
Originator(s): cacraig, nusbaume
Date: November 6, 2019
One-line Summary: Bring in ww3 external from git

Purpose of changes:
  - Change the external for ww3 from svn to git

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: nusbaume

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
          - Change the external for ww3 from svn to git

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: none run

cheyenne/intel/aux_cam: none run

hobart/nag: none run

hobart/pgi: none run

Testing consisted of changing the external to point to the ww3 git repository.  After running manage_externals, the
resulting code tree was differenced against the one in cam_cesm2_1_rel36.  The only difference is that there is no
longer an empty directory namde components/ww3/src/cpl_esmf.

===============================================================
===============================================================

Tag name: cam_cesm2_1_rel_36
Originator(s): cacraig
Date: October 28, 2019
One-line Summary: Update AQP11 to APQCONST

Purpose of changes:
  - AQPCONST is the new qualifier for the RCE runs

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: eaton, nusbaume, goldy, fvitt

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
          - update cime tag to one containing AQPCONST

M       cime_config/config_component.xml
M       cime_config/config_compsets.xml
          - change AQP11 to AQPCONST


If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: BFB

cheyenne/intel/aux_cam: BFB

hobart/nag: BFB

hobart/pgi: BFB

===============================================================
===============================================================

Tag name: cam_cesm2_1_rel_35
Originator(s): kay, swales, eaton
Date: Wed 16 Oct 2019 10:25:36 AM MDT
One-line Summary: COSP2 updates

Purpose of changes:

. Fix bug for reversed vertical order in several outputs with cosp_ht
  vertical coordinate (reported by Brian Medeiros).
. Update to COSP tag v2.1.4cesm.  This is the same as v2.1.4 with a single
  bugfix.
. Add Cloudsat diagnostics

Describe any changes made to build system: none

Describe any changes made to the namelist:

. removed:
  cosp_cfmip_3hr
  cosp_cfmip_da
  cosp_cfmip_off
  cosp_cfmip_mon
  cosp_sample_atrain
  cosp_atrainorbitdata

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: not checked

Code reviewed by: cacraig, nusbaume, goldy

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

Externals_CAM.cfg
. update cosp2 external from v2.0.3cesm to v2.1.4cesm

bld/namelist_files/namelist_definition.xml
. remove variables:
  cosp_cfmip_3hr
  cosp_cfmip_da
  cosp_cfmip_off
  cosp_cfmip_mon
  cosp_sample_atrain
  cosp_atrainorbitdata

src/physics/cam/cospsimulator_intr.F90
. fix some comments
  - 'lidar simulator' => 'calipso simulator'
. updates for interface consistency w/ v2.1.4
. remove namelist logicals that were removed from definition file
. remove logic that used remove namelist vars
  - some output variables that depended on namelist var settings now added
    by default 
. add cloudsat diagnostics (CS_*)
. fix for reversed vertical order in several outputs with nht_cosp dimension

src/physics/cosp2/Makefile.in
. build updates for v2.1.4

test/system/nl_files/outfrq3s_cosp
. add CS_MIXCERT CS_MIXPOSS CS_NOPRECIP CS_PIA CS_RAINPOSS CS_RAINPROB to
  fexcl1 

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS except:
018 bl380 TBL.sh f1.9c6aqcdh outfrq3s_cosp 9s .................................................FAIL! rc= 7 at Tue Oct 15 15:06:55 MDT 2019

cheyenne/intel/aux_cam: PASS

hobart/nag: PASS except:
024 bl317 TBL.sh f10c5aqcdm outfrq3s_cosp 9s ..................................................FAIL! rc= 7 at Tue Oct 15 15:31:31 MDT 2019
027 bl318 TBL.sh f10c6aqcdm sat_hist 9s .......................................................FAIL! rc= 7 at Tue Oct 15 15:57:34 MDT 2019

hobart/pgi: PASS

The baseline failures are due to the bug fix which reverses the vertical
order in some fields with the nht_cosp dimension.  These include the
diagnostic fields CFAD_SR532_CAL CLD_CAL CLD_CAL_ICE CLD_CAL_LIQ CLD_CAL_UN

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB except changes in COSP diagnostic
fields notes above.

===============================================================
===============================================================

Tag name: cam_cesm2_1_rel_34
Originator(s): fvitt, dkin
Date: 2 Oct 2019
One-line Summary: Updates for half-degree FWmaSD

Purpose of changes:

 Add support for 1.9x2.5 FWmaSD (WACCM middle atmosphere chemistry with
 specified dynamics)

 Correct "-chem" configure option in CAM_CONFIG_OPTS for FXmad* compsets
  -- the 'additive' modifier for CAM_CONFIG_OPTS caused the setting to be
     "-chem waccm_ma -chem waccm_mad" for CAM40%WXIED (WACCM-X with
     D-region chemistry).  The change here distiguishes "CAM40%WXIE" from
     "CAM40%WXIED" so that only waccm_mad is selected for CAM40%WXIED.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:

 bld/namelist_files/use_cases/sd_waccm_ma_cam6.xml
 - namelist settings for 1.9x2.5 horizontal grid

 cime_config/config_compsets.xml
 - hybrid run type and ref case for 1.9x2.5 FWmaSD

 cime_config/config_component.xml
 - sets only one "-chem" configure option in CAM_CONFIG_OPTS for FXmad compsets

 cime_config/testdefs/testlist_cam.xml
 - tests for 1.9x2.5 FWmaSD

 test/system/archive_baseline.sh
 - fix relative path for new directory tree

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: All PASS

izumi/nag: All PASS

izumi/pgi: All PASS

Summarize any changes to answers: Bit-for-bit unchanged

===============================================================
===============================================================
  
Tag name: release_tags/cam_cesm2_1_rel_33
Originator(s): goldy, nusbaume, cacraig
Date: 2019-10-02
One-line Summary: CAM move to GitHub

Purpose of changes: Move CAM to GitHub and restructure code to allow
    differing sandbox layouts for standalone and CESM checkouts.

Bugs fixed (include bugzilla ID): NA

Describe any changes made to build system: Build system cleaned up to
    allow CAM code to either be at top level or in components/cam.

Describe any changes made to the namelist: NA

List any changes to the defaults for the boundary datasets: NA

Describe any substantial timing or memory changes: NA

Code reviewed by: cacraig

List all files eliminated:
test/system/TFM.sh
 - No longer need svn:mergeinfo test

List all files added and what they do:
.cime_config
 - CAM file locations for standalone checkout (needed by CIME)
system/TGIT.sh
 - New check for reasonable git directory structure.

List all existing files that have been modified, and describe the changes:
bld/config_files/definition
bld/configure
bld/Makefile.in
cime_config/buildcpp
cime_config/buildnml
cime_config/buildlib
cime_config/config_component.xml
test/system/TR8.sh
test/system/TBL.sh
test/system/TPF.sh
test/system/test_driver.sh
test/system/tests_pretag_izumi_nag
test/system/tests_pretag_hobart_nag
test/system/input_tests_master
test/system/TBL_ccsm.sh
 - Changes to allow building and testing to work from new standalone
   sandbox directory structure.
 - Replace svn:mergeinfo test with git clone health test
doc/ChangeLog
 - Add a tag!

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All Pass

cheyenne/intel/aux_cam: All Pass

izumi/nag: All Pass

izumi/pgi: All Pass

CAM tag used for the baseline comparison tests if different than previous
tag: NA

Summarize any changes to answers: NA

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_32
Originator(s): cacraig, brianpm, Kevin.Reed@stonybrook.edu
Date: September 30, 2019
One-line Summary:  Add aquaplanet Radiative Convective Equilibrium (RCE)

Purpose of changes:
- The Radiative convective equilibrium follows the RCEMIP protocol.  Uses CAM6 with spectral
  element dynamical core, non-rotating, uniform insolation.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:
- Changes to CAM's namelist
          - Add use_rad_uniform_angle and rad_uniform_angle namelist variables
          - Add seq_flux_mct_albdif and seq_flux_albdir namelist variables
          - Add seq_flux_atmocn_minwind namelist variable
          - Add omega namelist variable
          - Add aqua_planet_sst 11
 - Changes in cime's namelist(but known by CAM for standalone runs)
          - Add seq_flux_mct_albdif and seq_flux_albdir namelist variables
          - Add seq_flux_atmocn_minwind namelist variable

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:
D       components/cam/test/system/tests_pretag_hobart_nag
D       components/cam/test/system/tests_pretag_hobart_pgi
          - removed hobart testing

List all files added and what they do:
A       components/cam/bld/namelist_files/use_cases/aquaplanet_rce_cam6.xml
          - use case for CAM6 RCE runs

A  +    components/cam/test/system/tests_pretag_izumi_nag
A  +    components/cam/test/system/tests_pretag_izumi_pgi
         - updates to handle new machine izumi
         - removed tests which fail for release branch (reduced functionality for release)

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
          - update cime tag as well as other component's tags

M       components/cam/bld/build-namelist
M       components/cam/bld/namelist_files/namelist_definition.xml
          - Add use_rad_uniform_angle and rad_uniform_angle namelist variables
          - Add seq_flux_mct_albdif and seq_flux_albdir namelist variables
          - Add seq_flux_atmocn_minwind namelist variable
          - Add omega namelist variable
          - Add aqua_planet_sst 11

M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
          - Add defaults for seq_flux_mct_albdif and seq_flux_albdir for standalone builds
          - Add seq_flux_atmocn_minwind namelist variable for standalone builds

M       components/cam/cime_config/config_component.xml
          - Add aquaplanet 11 use case (RCE)

M       components/cam/cime_config/config_compsets.xml
          - Add QPRCEMIP compset

M       components/cam/cime_config/testdefs/testlist_cam.xml
          - Add testing of QPRCEMIP compset

M       components/cam/src/physics/camrt/radiation.F90
M       components/cam/src/physics/rrtmg/radiation.F90
M       components/cam/src/utils/orbit.F90
          - Add the ability to set the rad_uniform_angle (constant solar zenith angle) if use_rad_uniform_angle is
            set to true

M       components/cam/src/utils/physconst.F90
          - Add setting of omega to the namelist.  The previous value is still the default.

M       components/cam/test/system/CAM_runcmnd.sh
M       components/cam/test/system/archive_baseline.sh
M       components/cam/test/system/test_driver.sh
         - updates to handle new machine izumi

M       components/cam/test/system/tests_pretag_cheyenne
         - removed tests which fail in the release branch (due to reduced functionality)

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all BFB

cheyenne/intel/aux_cam: all BFB except:
  ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s BASELINE cam_cesm2_1_rel_31
       - Ran cam_cesm21_rel_31 with the updated externals, and this test had changed answers as well.  Concluded that
         the baseline change is due to updated externals.

izumi/nag: all BFB

izumi/pgi: all BFB


===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_31
Originator(s): eaton
Date: Fri 26 Jul 2019 01:13:03 PM MDT
One-line Summary: fix "FV dycore only" check in cam history

Purpose of changes:

. The check in cam_history::fldlst was erroneously causing FV runs to
  remove the zonal average output fields due to the dycore_is function being
  called with the argument 'FV', but the dycore_is function didn't get
  updated to recognize 'FV' (the old version recognized 'LR').

Bugs fixed (include bugzilla ID): above

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:
components/cam/src/dynamics/fv/dycore.F90
. updated to recognize either FV or LR, case insensitive.

Testing:
Ran 1 step FW2000climo with f09 and made sure zonal avg output was
present.

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_30
Originator(s): mmills, cacraig
Date: July 22, 2019
One-line Summary: change files per Mike Mills request

Purpose of changes:

- Mike Mills requested several files to be changed as follows:
    in: components/cam/bld/namelist_files/namelist_defaults_cam.xml
    change: VolcanEESMv3.10_piControl_SO2_1850-2014average_2deg_c190220.nc
    to: VolcanEESMv3.10_piControl_SO2_1850-2014average_2deg_ZeroTrop_c190701.nc

    in: components/cam/bld/namelist_files/use_cases/*.xml
    change: qbocoefficients_c091230.nc
    to: qbocoefficients_c151023.nc

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
M       components/cam/bld/namelist_files/use_cases/waccm_carma_bc_2013_cam4.xml
M       components/cam/bld/namelist_files/use_cases/waccm_ma_1850_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_ma_2000_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_ma_hist_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_sc_1850_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_sc_2000_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_sc_2010_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_sc_hist_cam6.xml
    Files changed as described above


Testing:
 None - will be tested by Mike Mills in his runs
  

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_29
Originator(s): fvitt
Date: 29 May 2019
One-line Summary: Change format of prescribed ozone file to NETCDF-3

Purpose of changes:

 Some cray systems cannot hande NETCDF-4 format.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:

M       bld/namelist_files/use_cases/ssp585_cam6.xml
 - change format of prescribed_ozone_file

Testing:

  SMS_D_Ln9.f09_g17.BSSP585cmip6.cheyenne_intel (Overall: PASS) details:

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_28
Originator(s): fvitt
Date: 15 May 2019
One-line Summary: Fix WACCMX temperature bug

Purpose of changes:

 Correct the formulation of variable gas properties for instances when constituent
 mass mixing ratios are dry.  Inconsistencies of the calculation of specific
 heat of air at different points in the code caused the energy fixer to apply a
 bias to the tendencies of dry static energy.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: cacraig, eaton

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:

M       components/cam/src/dynamics/fv/dp_coupling.F90
 - specify that the mixing ratios are moist when physconst_updates is invoked

M       components/cam/src/physics/cam/physics_types.F90
 - pass pdel and pdeldry to physconst_updates to convert mixing ratios to moist

M       components/cam/src/utils/physconst.F90
 - convert mixing ratios to moist in physconst_updates if needed

Testing:

cheyenne/intel/aux_cam: All PASS except expect baseline failures for waccx:

  ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s BASELINE cam_cesm2_1_rel_27
  SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie (Overall: DIFF) details:
    FAIL SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie BASELINE cam_cesm2_1_rel_27

===============================================================

Tag name: release_tags/cam_cesm2_1_rel_27
Originator(s): mmills, fvitt
Date: 30 Apr 2019
One-line Summary: Corrections to SAD; update for 2-degrees configurations

Purpose of changes:

 - correct aerosol surface area used in heterogeneous chemistry reactions
 - updates for 2-degrees CMIP6 runs

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: cacraig, eaton

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:

M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
M       components/cam/bld/namelist_files/use_cases/waccm_ma_1850_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_ma_hist_cam6.xml
M       components/cam/cime_config/config_component.xml
M       components/cam/cime_config/config_compsets.xml
M       components/cam/cime_config/testdefs/testlist_cam.xml
 - updates for 2-degrees

M       components/cam/src/chemistry/modal_aero/aero_model.F90
 - corrections to surface area calculation

Testing:

  SMS_Ld1.f19_g17.B1850.cheyenne_intel.allactive-defaultio
  SMS_Ld1.f19_g17.B1PCTcmip6.cheyenne_intel.allactive-defaultio
  SMS_Ld1.f19_g17.BCO2x4cmip6.cheyenne_intel.allactive-defaultio
  SMS_Ld1.f19_g17.BHIST.cheyenne_intel.allactive-defaultio

  ERP_Ln9.f19_f19_mg17.FWsc1850.cheyenne_intel.cam-outfrq9s
  SMS_D_Ln9.f19_f19_mg17.FWmaHIST.cheyenne_intel.cam-outfrq9s
  SMS_D_Ln9.f19_f19_mg17.FWsc2010climo.cheyenne_intel.cam-outfrq9s
  SMS_D_Ln9.f19_f19_mg17.FWscHIST.cheyenne_intel.cam-outfrq9s
  SMS_D_Ln9.f19_g17.BWmaCO2x4cmip6.cheyenne_intel.allactive-default
  SMS_Ld1.f19_f19_mg17.FWmaHIST_BGC.cheyenne_intel.cam-reduced_hist1d

===============================================================

Tag name: release_tags/cam_cesm2_1_rel_26
Originator(s): cacraig
Date: April 25, 2019
One-line Summary: Added SSP245 and SSP360 and modified files in SSP126

Purpose of changes:
  - Added SSP245 and SSP360
  - Modified SSP126

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: 

List all files eliminated:

List all files added and what they do:
A       components/cam/bld/namelist_files/use_cases/ssp245_cam6.xml
A       components/cam/bld/namelist_files/use_cases/ssp370_cam6.xml
          - added use_cases for SSP245 and SSP370 (based on google docs)

List all existing files that have been modified, and describe the changes:
 M      .
M       SVN_EXTERNAL_DIRECTORIES
           - update manage_externals

M       components/cam/bld/namelist_files/use_cases/ssp126_cam6.xml
           - updated use_case based on the updated google doc

M       components/cam/cime_config/config_component.xml
           - add the hooks for SSP245 and SSP370

Testing:
   Ran create_newcase, case.setup, preview_namelists and check_input_data on 
     all SSPs and at both 1 and 2 degree resolutions

   Did not perform any actual runs

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_25
Originator(s): fvitt
Date: 11 Apr 2019
One-line Summary: Changes for 2-degrees configurations

Purpose of changes:
 - use 2-degrees emissions files
 - use climate parameters tuned for 2-degrees
 - add reference cases for 2-degrees

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: cacraig

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
M       components/cam/bld/namelist_files/use_cases/1850_cam6.xml
M       components/cam/bld/namelist_files/use_cases/hist_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_ma_1850_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_ma_hist_cam4.xml
M       components/cam/bld/namelist_files/use_cases/waccm_ma_hist_cam6.xml

Testing:
  SMS_D_Ld1.f09_g17.B1850cmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  SMS_Ld2.f09_g17.B1850.cheyenne_intel.allactive-defaultio (Overall: PASS) details:
  SMS_Ld2.f09_g17.BHIST.cheyenne_intel.allactive-defaultio (Overall: PASS) details:
  SMS_Ld2.f19_g17.B1850.cheyenne_intel.allactive-defaultio (Overall: DIFF) details:
  SMS_Ld2.f19_g17.BHIST.cheyenne_intel.allactive-defaultio (Overall: DIFF) details:

  ERS_Ld3.f09_g17.BWSSP126cmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  ERS_Ld3.f09_g17.BWSSP245cmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  ERS_Ld3.f09_g17.BWSSP370cmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  ERS_Ld3.f09_g17.BWSSP534oscmip6.cheyenne_intel.allactive-defaultio_min (Overall: FAIL) details:
  ERS_Ld3.f09_g17.BWSSP585cmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  SMS_D_Ld1.f09_g17.BWCO2x4cmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  SMS_D_Ln9.f09_g17.BWSSP126cmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  SMS_D_Ln9.f09_g17.BWSSP245cmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  SMS_D_Ln9.f09_g17.BWSSP370cmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  SMS_D_Ln9.f09_g17.BWSSP534oscmip6.cheyenne_intel.allactive-defaultio_min (Overall: FAIL) details:
  SMS_D_Ln9.f09_g17.BWSSP585cmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  SMS_Ld1.f09_g17.BW1850.cheyenne_intel.allactive-default (Overall: PASS) details:
  SMS_Ld1.f09_g17.BW1PCTcmip6.cheyenne_intel.allactive-defaultio_min (Overall: PASS) details:
  SMS_Ld1.f09_g17.BWHIST.cheyenne_intel.allactive-default (Overall: PASS) details:
  SMS_Ld1.f09_g17.BWma1850.cheyenne_intel.allactive-default (Overall: PASS) details:
  SMS_Ld1.f09_g17.BWmaHIST.cheyenne_intel.allactive-default (Overall: DIFF) details:
  SMS_Ld1.f09_g17.BWsc1850.cheyenne_intel.allactive-default (Overall: DIFF) details:
  SMS_Ld1.f09_g17.BWscHIST.cheyenne_intel.allactive-default (Overall: PASS) details:
  SMS_Ld5.f19_g17.BWma1850.cheyenne_intel.allactive-default (Overall: DIFF) details:
  SMS_Ld5.f19_g17.BWmaHIST.cheyenne_intel.allactive-default (Overall: DIFF) details:

cheyenne/intel/aux_cam:
  ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s BASELINE cesm2.1-alphabranch
  ERP_Ln9.f19_f19_mg17.FWsc1850.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f19_f19_mg17.FWsc1850.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f19_f19_mg17.FWsc1850.cheyenne_intel.cam-outfrq9s BASELINE cesm2.1-alphabranch
  ERS_Ln9.f19_f19_mg17.FSPCAMS.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERS_Ln9.f19_f19_mg17.FSPCAMS.cheyenne_intel.cam-outfrq9s NLCOMP

 - answer changes to 2-degree configurations

===============================================================

Tag name: release_tags/cam_cesm2_1_rel_24
Originator(s): eaton
Date: Fri Mar 29 16:39:43 MDT 2019
One-line Summary: bug fixes

Purpose of changes:

. Bug fix in code that was added to verify that both vector components are
  output when interpolated output is requested.  This only impact SE.

. Bug fix for issue raised on BB about missing outfld call for DP_CLD when
  clubb is used.

Bugs fixed (include bugzilla ID): see above

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:
components/cam/src/control/cam_history.F90
. fix in code that verifies both vector components are present when
  interpolated SE output is requested.

components/cam/src/physics/cam/clubb_intr.F90
. add outfld call for DP_CLD from clubb_tend_cam

Testing:
Ran 1 step FW2000climo with ne30pg3 and interpolated output to
make sure the missing vector components were added.

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_23
Originator(s): cacraig
Date: March 29, 2019
One-line Summary: Another typo and filename update

Purpose of changes:
- One more typo and another file update

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       components/cam/bld/namelist_files/use_cases/ssp126_cam6.xml
           - Added a missing "a" and updated the H2O file to a more recent date

No testing done as Erik will be testing in the BSSP126 compset

===============================================================
===============================================================
Tag name: release_tags/cam_cesm2_1_rel_22
Originator(s): cacraig
Date: March 29, 2019
One-line Summary: Fix typos and replace missing file in  CAM's SSP126 use_case

Purpose of changes:
- Fix typos and replace the missing tracer_cnst file in CAM's SSP126 use_case

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       components/cam/bld/namelist_files/use_cases/ssp126_cam6.xml
           - Fix typos and replace the missing tracer_cnst file in CAM's SSP126 use_case

No testing done as Erik will be testing in the BSSP126 compset

===============================================================
===============================================================
Tag name: release_tags/cam_cesm2_1_rel_21
Originator(s): cacraig
Date: March 29, 2019
One-line Summary: Create CAM's SSP126 use_case

Purpose of changes:
- create the SSP126 use_case and add it to the config_component file

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:
A       components/cam/bld/namelist_files/use_cases/ssp126_cam6.xml
          - created use_case based on Cecile's google doc

List all existing files that have been modified, and describe the changes:
M       components/cam/cime_config/config_component.xml
          - added SSP126 use_case

Tested by running SSP126_CAM60_CLM50%SP_CICE%PRES_DOCN%DOM_MOSART_CISM2%NOEVOLVE_SWAV in the CAM standlone tag
   and hand checked the resulting atm_in after running preview_namelists

===============================================================
===============================================================
Tag name: release_tags/cam_cesm2_1_rel_20
Originator(s): Chris Fischer
Date: Fri Mar 22 10:58:38 MDT 2019
One-line Summary: Update REFCASES

Purpose of changes:
.  Update externals to use latest component release tags.
.  Update REFCASES to be compatiable with new ctsm tags.
.  Fix a character length mismatch between dummy and actual arguments.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
 -  Update externals to latest release tag.
M  	components/cam/cime_config/config_compsets.xml
 -  Fix REFCASES to use correct inputs to support updated ctsm tags
M       components/cam/src/control/cam_history.F90
 -  Fix a character length mismatch between dummy and actual arguments that nag/debug
    was reporting.


Testing: Ran a cesm ERP prealpha test that was failing before.

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_19
Originator(s): eaton
Date: Sat Mar 16 14:44:14 MDT 2019
One-line Summary: new fix for mixing_ratio attribute problem

Purpose of changes:

. In order to avoid making a change to the CAM restart file which could
  have unintended consequences, fix the problem of the wrong mixing_ratio
  attribute after a restart by directly setting the mixing_ratio component
  in the active field lists.  This is done in the same location of
  subroutine read_restart_history where the data would have been read from
  the restart file.  But this information has already been initialized in
  the constituents module before the restart file is read.  So having it on
  the restart file is not necessary.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:
components/cam/src/control/cam_history.F90
. remove mixing_ratio attribute to restart file
. add code to set mixing_ratio directly in the active field lists.
  
components/cam/src/control/cam_history_support.F90
. change mixing_ratio component of field_info type back to size 3

Testing: did CAM standalone restart test to make sure files written after a
restart contained the correct values for the mixing_ratio attribute.

Summarize any changes to answers: none

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_18
Originator(s): klindsay, eaton
Date: Fri Mar 15 17:33:15 MDT 2019
One-line Summary: add mixing_ratio attribute to restart file

Purpose of changes:

. The mixing_ratio attribute was not being written to the restart file, and
  consequently history files written after a restart had a null string
  value which is interpreted by the code as 'wet'

. Added some fldlst checks for future use by SE (zonal fields and missing
  vector components).

Bugs fixed (include bugzilla ID): see above

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:
components/cam/src/control/cam_history.F90
. add mixing_ratio attribute to restart file
  
components/cam/src/control/cam_history_support.F90
. change mixing_ratio component of field_info type to be the same size as
  long_name and units.

Testing: did CAM standalone restart test to make sure files written after a
restart contained the correct values for the mixing_ratio attribute.

Summarize any changes to answers: none

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_17
Originator(s): mmills, cacraig
Date: March 7, 2019
One-line Summary: Update files in SSP585 use_case

Purpose of changes:
- Correct files in the SSP585 compset

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
         - update cime to bring in the new cheyenne settings

M       bld/namelist_files/use_cases/ssp585_cam6.xml
          - update three files in the SSP585 use_case

Tested by running the BSSP585cmip6 compset in a copy of Erik's sandbox
Tested by running SSP585_CAM60_CLM50%SP_CICE%PRES_DOCN%DOM_MOSART_CISM2%NOEVOLVE_SWAV in the CAM standlone tag

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_16
Originator(s): fvitt
Date: 6 Mar 2019
One-line Summary: Change compset match string for WACCM SSP compsets

Purpose of changes:

 The long name of the SSP compsets will no longer include "-" and "." characters.
 The compset string match in cime_config/config_component.xml was adjusted
 accordingly.  

 Some of the future scenarios have CO2 concentrations that exceed the 
 levels the formichev scheme can handle.  So we set nlte_limit_co2=.true. in
 these SSP compsets to limit the CO2 concentrations input into formichev.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       cime_config/config_component.xml
 - Change compset match string for SSP compsets

M       bld/namelist_files/use_cases/waccm_tsmlt_ssp370_cam6.xml
M       bld/namelist_files/use_cases/waccm_tsmlt_ssp534_cam6.xml
M       bld/namelist_files/use_cases/waccm_tsmlt_ssp585_cam6.xml
 - set nlte_limit_co2=.true. since CO2 concentrations in these scenarios 
   execeeds the formichev scheme limit

Tests
 SMS_D_Ln9.f09_g17.BWSSP126cmip6.cheyenne_intel.allactive-default
 SMS_D_Ln9.f09_g17.BWSSP245cmip6.cheyenne_intel.allactive-default
 SMS_D_Ln9.f09_g17.BWSSP370cmip6.cheyenne_intel.allactive-default
 SMS_D_Ln9.f09_g17.BWSSP534oscmip6.cheyenne_intel.allactive-default
 SMS_D_Ln9.f09_g17.BWSSP585cmip6.cheyenne_intel.allactive-default

===============================================================

Tag name: release_tags/cam_cesm2_1_rel_15
Originator(s): hannay, cacraig
Date: March 5, 2019
One-line Summary: Add the CAM hooks for SSP585

Purpose of changes:

Add use case files for CMIP6 future scenario compset: SSP585

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: cacraig

List all files eliminated:

List all files added and what they do:
A       components/cam/bld/namelist_files/use_cases/ssp585_cam6.xml
           - CAM setup for SSP585 - based off documentation provided by Cecile

List all existing files that have been modified, and describe the changes:
M       components/cam/cime_config/config_component.xml
           - add use_case information for SSP585

This tag is untested as it will be tested in the CESM BSSP585 compset
  - any tweeks will be made in a future tag

Did run case.setup/preview_namelist/check_input_data on cheyenne to verify the setup

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_14
Originator(s): mmills, fvitt
Date: 28 Feb 2019
One-line Summary: Updates to WACCM CMIP6 future scenario compsets

Purpose of changes:

Add use case files for CMIP6 future scenario compsets:
  BWSSP245cmip6 (SSP2-4.5)
  BWSSP370cmip6 (SSP3-7.0)

Adjust emissions datasets to be able to run through the end of 2100
in future scenario compsets:
  BWSSP126cmip6 (SSP1-2.6)
  BWSSP534oscmip6 (SSP5-3.4)
  BWSSP585cmip6 (SSP5-8.5)

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: cacraig

List all files eliminated:

List all files added and what they do:

A     components/cam/bld/namelist_files/use_cases/waccm_tsmlt_ssp370_cam6.xml
A     components/cam/bld/namelist_files/use_cases/waccm_tsmlt_ssp245_cam6.xml

List all existing files that have been modified, and describe the changes:

M     components/cam/bld/namelist_files/use_cases/waccm_tsmlt_ssp585_cam6.xml
M     components/cam/bld/namelist_files/use_cases/waccm_tsmlt_ssp126_cam6.xml
M     components/cam/bld/namelist_files/use_cases/waccm_tsmlt_ssp534_cam6.xml
M     components/cam/cime_config/config_component.xml
M     components/cam/doc/ChangeLog

Test on cheyenne:

  SMS_D_Ln9.f09_g17.BWSSP126cmip6.cheyenne_intel.allactive-defaultio_min
  SMS_D_Ln9.f09_g17.BWSSP245cmip6.cheyenne_intel.allactive-defaultio_min
  SMS_D_Ln9.f09_g17.BWSSP370cmip6.cheyenne_intel.allactive-defaultio_min
  SMS_D_Ln9.f09_g17.BWSSP534oscmip6.cheyenne_intel.allactive-defaultio_min
  SMS_D_Ln9.f09_g17.BWSSP585cmip6.cheyenne_intel.allactive-defaultio_min

===============================================================

Tag name: release_tags/cam_cesm2_1_rel_13
Originator(s): klindsay, eaton
Date: Wed Feb 27 16:47:14 MST 2019
One-line Summary: disable some dry to wet conversions for co2_cycle constituents

Purpose of changes:

. Mitigate some problems with advecting nearly constant tracers that were
  introduced by the dry to wet mmr conversions that were employed to regain
  mass conservation.  Omit the dry->wet conversion before CLUBB, gravity
  wave, and vertical_diffusion only for co2_cycle tracers.  Other
  constituents in CESM would not be affected. WACCM results would not
  change at all, as co2_cycle tracers are turned off in WACCM runs.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

src/physics/cam/clubb_intr.F90
src/physics/cam/gw_drag.F90
src/physics/cam/vertical_diffusion.F90
. supply optional arg to set_dry_to_wet which avoids doing the dry to wet
  conversion on co2_cycle constituents

src/physics/cam/co2_cycle.F90
. add subroutine co2_cycle_set_cnst_type which allows setting the cnst_type
  of the co2_cycle tracers to specified value.

src/physics/cam/physics_types.F90
. add an optional arg to subroutine set_wet_to_dry to all passing the
  cnst_type array as an arg rather than using the constituents module
  data.

Testing by Keith:

. I have an implementation of this counter-proposal, and have verified, using
  an F compset with co2_cycle tracers turned on, that introducing this mod
  only changes results for co2_cycle tracers, and that it removes the
  imprint of water vapor on co2_cycle tracers. That is, constant co2_cycle
  tracers are (nearly) preserved. Tracer mass is still conserved.

Summarize any changes to answers: none except co2_cycle constituents change.

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_12
Originator(s): klindsay, eaton
Date: Wed Feb 13 10:03:44 MST 2019
One-line Summary: Add CO2 cycle diagnostic; disable qneg3 on CO2 tracers

Purpose of changes:

. Add new history variable, TMac_CO2, the vertical integral of the aircraft
  CO2 emissions (ac_CO2).  This is helpful for closing tracer budgets. This
  history variable is not enabled by default.

. Disable qneg3 on CO2 tracers.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/physics/cam/cam_diagnostics.F90
. add output of TMac_CO2

components/cam/src/physics/cam/co2_cycle.F90
. addfld for TMac_CO2
. change qmin for CO2 constituents from 1.e-20 to -1.e36.  This is to turn
  off qneg3 modifications.

No testing done.

Summarize any changes to answers: none

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_11
Originator(s): fvitt
Date: 7 Feb 2019
One-line Summary: WACCM compsets

Purpose of changes:

 . implement future scenario compsets
 . misc changes to WACCM compsets
 . WACCM F compsets start from ref cases

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

A       components/cam/bld/namelist_files/use_cases/waccm_tsmlt_ssp126_cam6.xml
A       components/cam/bld/namelist_files/use_cases/waccm_tsmlt_ssp534_cam6.xml
A       components/cam/bld/namelist_files/use_cases/waccm_tsmlt_ssp585_cam6.xml
 - added for future scenario compsets
 
A       components/cam/bld/namelist_files/use_cases/sd_waccm_mad_cam6.xml
 - needed since FWmadSD has different start date than FWmaSD
 
List all existing files that have been modified, and describe the changes:

M       components/cam/bld/namelist_files/use_cases/sd_cam6.xml
M       components/cam/bld/namelist_files/use_cases/sd_trop_strat_vbs_cam6.xml
 - update met files list and solar forcing files

M       components/cam/bld/namelist_files/use_cases/sd_waccm_tsmlt_cam6.xml
 - update met files list and solar forcing files
 - first met file is for 1980-01-01
 - update lbc file

M       components/cam/bld/namelist_files/use_cases/sd_waccm_ma_cam6.xml
 - update met files list and solar forcing files
 - first met file is for 20005-01-01
 - update lbc file

M       components/cam/bld/namelist_files/use_cases/sd_waccm_ma_cam4.xml
 - update met files list and solar irradiance input

M       components/cam/bld/namelist_files/use_cases/waccm_ma_1850_cam6.xml
 - update lbc file

M       components/cam/bld/namelist_files/use_cases/waccm_ma_2000_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_ma_hist_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_sc_1850_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_sc_hist_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_tsmlt_1850_cam6.xml
M       components/cam/bld/namelist_files/use_cases/waccm_tsmlt_hist_cam6.xml
 - update lbc file

M       components/cam/cime_config/config_component.xml
 - implement SSP compsets

M       components/cam/cime_config/config_compsets.xml
 - WACCM F compsets start from ref cases
 - change start dates

M       components/cam/src/chemistry/modal_aero/aero_model.F90
 - corrections to effective radius diagnostics

M       components/cam/src/chemistry/utils/apex.F90
 - log waring only 1 time in future scenario runs

M       components/cam/src/physics/cam/physics_types.F90
 - see cam6_1_012
   physics_state_check - the changes for mmr were causing some of the checks
   based on qmin to fail.

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_10
Originator(s): eaton
Date: Fri Jan 18 13:11:46 MST 2019
One-line Summary: fix the fix in gw_tend

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_09
Originator(s): pel, eaton
Date: Fri Jan 18 12:02:18 MST 2019
One-line Summary: treat all tracers as wet in gravity wave drag code

Purpose of changes:

. Doing mass conservation checks on the previous tag revealed problems in
  standard CAM configs with mass conservation in the gravity wave drag
  code.  The problems are corrected by always using wet mmr in that
  parameterization.  This is done for all model configurations.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/physics/cam/gw_drag.F90
. gw_tend
  - copy input state and convert dry constituents to wet mmr
  - convert constituent tendencies for dry constituents back to dry basis
    in ptend object.

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_08
Originator(s): pel, eaton
Date: Thu Jan 17 15:30:40 MST 2019
One-line Summary: treat all tracers as wet in vertical diffusion and clubb

Purpose of changes:

. Doing mass conservation checks on the previous tag revealed problems in
  standard CAM configs with mass conservation in CLUBB and vertical
  diffusion.  The problems are mitigated by always using wet mmr in those
  parameterizations.  This is done for all model configurations, not just
  for WACCM as in the previous tag.

Bugs fixed (include bugzilla ID):

. The constituent surface fluxes for the modal aerosol species were being
  added to the bottom layer assuming wet mmr.  But those species are all
  declared dry.  Treating all species as wet in vertical_diffusion_tend
  fixes this bug.

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/physics/cam/clubb_intr.F90
. clubb_tend_cam uses a copy of state.  Convert all dry constituent mixing
  ratios in that copy to a wet basis.
. After all contributions to ptend are made, convert the constituent
  tendencies for dry constituents back to a dry basis.

components/cam/src/physics/cam/vertical_diffusion.F90
. In vertical_diffusion_tend treat all constituents on a wet basis.  Apply
  the dry to wet conversion to the state object.  After constituent
  diffusion tendencies are computed, convert any that apply to dry
  constituents to a dry basis.  Convert dry constituent mmr in state object
  back to dry basis before leaving the subroutine.

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_07
Originator(s): pel, eaton
Date: Tue Jan 15 17:59:55 MST 2019
One-line Summary: change WACCM configs to use dry constituents

Purpose of changes:

. WACCM configurations were setting constituents to have wet mmr in the
  physics and chemistry code due to the molecular diffusion code needing
  this.  The change is to declare the constituents dry and to only convert
  the mixing ratios to wet in the vertical diffusion code, and only for
  waccm configurations.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/chemistry/mozart/chemistry.F90
. remove code that sets mixtype='wet' if do_molec_diff

components/cam/src/physics/cam/constituents.F90
. make cnst_type protected

components/cam/src/physics/cam/vertical_diffusion.F90
. if do_molec_diff=.true. then
  - set constituent flags in fieldlist_wet object
  - call set_dry_to_wet at top of vertical_diffusion_tend
  - call set_wet_to_dry at bottom of vertical_diffusion_tend

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_06
Originator(s): klindsay, eaton
Date: Fri Jan 11 14:42:36 MST 2019
One-line Summary: fix for dry constituent mixing ratios in FV initial file output

Purpose of changes:

The bug discovered by Keith is that CAM-FV has been writing initial files with
all constituents having wet mixing ratios.  But in an initial run (which is
the mode CAM is in for a hybrid startup) the FV code assumes that
constitutents which are are registered as 'dry' will have dry mixing ratios
in the initial file.  It then converts the dry mixing ratio to wet since
that is what the dycore needs.  But since they are already wet (due to the
bug) an extra dry to wet conversion is being applied.  This reduces the
mixing ratios, so is effectively a small mass sink.  It would be difficult
to notice this except if you're looking closely at a field like CO2 which
is nearly constant and you see a strange pattern in it that looks like the
water vapor distribution.  That's how Keith noticed the problem.

The fix that's been implemented is:

1) fix the output initial files so that constituents declared as dry are
   output as dry mixing ratios
   
2) add an attribute to all constituent output which explicitly declares
   whether the mixing ratio is wet or dry

3) add a backward compatibility feature so that when reading constituents
   from an initial file, if this new attribute is not present then treat
   the mixing ratio as wet.  This will eliminate the extra dry to wet
   conversion that is happening in the current code.
   
Bugs fixed (include bugzilla ID): see above

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/control/cam_history.F90
. addfld_nd
  - check whether field is an advected constituent, and if so then add
    whether the mixing ratio uses a dry or wet air basis to the field_info
    object. 

. h_define
  - check whether the mixing_ratio component of the field_info object is
    set, and if so then use it as the value of attribute mixing_ratio

components/cam/src/control/cam_history_support.F90
. add mixing_ratio to the field_info type.

components/cam/src/dynamics/fv/diag_dynvar_ic.F90
. add wet to dry mixing ratio conversion for dry constituents.

components/cam/src/dynamics/fv/dyn_comp.F90
. read_inidat
  - set new initial_mr array to specify whether the constituent has been
    initialized with wet or dry mixing ratios.  This is for backwards
    compatibility with previously written initial files which contain wet
    mixing ratio for all constituents.  The old initial files do not
    contain the mixing_ratio attribute, and this will be used to indicate
    that the mixing ratio is wet.

components/cam/src/dynamics/fv/stepon.F90
. stepon_init
  - use new initial_mr array to decide whether constituents need to have a dry
    to wet conversion applied.  This replaces the use of cnst_type to allow
    correct treatment of mixing ratios read from old initial files which
    were written with wet values but registered as dry in the constituents
    module. 

Testing:

Checked that the new attribute appears in all history files.

Checked that the initial files contains diffs for constituents that are now
output with dry mixing ratios, but previously contained wet mixing ratios.

Expect to see different simulations for FV runs that read an old initial
file and now do not apply the redundant dry to wet conversion to the
constituents that are type 'dry'.

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_05
Originator(s): fvitt, eaton
Date: 27 Nov 2018
One-line Summary: Change longname format of SD compsets; bug fix for simple physics

Purpose of changes:

 Use "HIST_" time period and "%SDYN" in longname of SD compsets (specified dynamics).
 This configures CLM to be in a transient mode.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:

M       components/cam/cime_config/config_component.xml
M       components/cam/cime_config/config_compsets.xml
 - use "HIST_" time period and "%SDYN" in longname of SD compsets (specified dynamics).

M       components/cam/src/physics/simple/tj2016.F90
 - bug fix from eaton -- correction to argument array size

Testing:

cheyenne/intel/waccm:
  ERP_Ld3.f09_f09_mg17.FWmaSD.cheyenne_intel.cam-outfrq3d (Overall: DIFF) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWmaSD.cheyenne_intel.cam-outfrq3d NLCOMP
    FAIL ERP_Ld3.f09_f09_mg17.FWmaSD.cheyenne_intel.cam-outfrq3d BASELINE cesm2_1_rel_04
  ERP_Ld3.f09_f09_mg17.FWSD.cheyenne_intel.cam-outfrq1d (Overall: DIFF) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWSD.cheyenne_intel.cam-outfrq1d NLCOMP
    FAIL ERP_Ld3.f09_f09_mg17.FWSD.cheyenne_intel.cam-outfrq1d BASELINE cesm2_1_rel_04
  ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d (Overall: DIFF) details:
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d NLCOMP
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d BASELINE cesm2_1_rel_04
  SMS_D_Ln9.f09_f09_mg17.FWSD.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL SMS_D_Ln9.f09_f09_mg17.FWSD.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_D_Ln9.f09_f09_mg17.FWSD.cheyenne_intel.cam-outfrq9s BASELINE cesm2_1_rel_04
  SMS_D_Ln9.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL SMS_D_Ln9.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_D_Ln9.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq9s BASELINE cesm2_1_rel_04
  SMS_Ld5.f09_f09_mg17.FWmadSD.cheyenne_intel.cam-reduced_hist5d (Overall: DIFF) details:
    FAIL SMS_Ld5.f09_f09_mg17.FWmadSD.cheyenne_intel.cam-reduced_hist5d NLCOMP
    FAIL SMS_Ld5.f09_f09_mg17.FWmadSD.cheyenne_intel.cam-reduced_hist5d BASELINE cesm2_1_rel_04
 - expected baseline failures due to changes in CLM namelist options in SD compsets

cheyenne/intel/camchem:
  ERP_Ld3.f09_f09_mg17.FCSD.cheyenne_intel.cam-outfrq1d (Overall: DIFF) details:
    FAIL ERP_Ld3.f09_f09_mg17.FCSD.cheyenne_intel.cam-outfrq1d NLCOMP
    FAIL ERP_Ld3.f09_f09_mg17.FCSD.cheyenne_intel.cam-outfrq1d BASELINE cesm2_1_rel_04
 - expected baseline failure due to changes in CLM namelist options in SD compsets

  ERP_Ln9.f05_f05_mg17.FCSD.cheyenne_intel.cam-outfrq9s (Overall: FAIL) details:
    FAIL ERP_Ln9.f05_f05_mg17.FCSD.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f05_f05_mg17.FCSD.cheyenne_intel.cam-outfrq9s RUN time=52
  SMS_D_Ln9.f05_f05_mg17.FCSD.cheyenne_intel.cam-outfrq9s (Overall: FAIL) details:
    FAIL SMS_D_Ln9.f05_f05_mg17.FCSD.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_D_Ln9.f05_f05_mg17.FCSD.cheyenne_intel.cam-outfrq9s MODEL_BUILD time=21
 - f05 resolution is broken -- clm fix is need to point to an existing fsurdat file
 
cheyenne/intel/aux_cam:

  ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d (Overall: DIFF) details:
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d NLCOMP
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d BASELINE cam6_0_034
  SMS_D_Ln9.f09_f09_mg17.FSD.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL SMS_D_Ln9.f09_f09_mg17.FSD.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_D_Ln9.f09_f09_mg17.FSD.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_034
 - expected baseline failures due to changes in CLM namelist options in SD compsets

Summarize any changes to answers: SD compsets change answers, otherwise B4B

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_04
Originator(s): eaton
Date: Mon Nov 26 14:58:38 MST 2018
One-line Summary: fixes for simple models w/ EUL dycore

Purpose of changes:

. Don't allow EUL initialization to change the dry mass when it has been
  set via the analytic initial conditions option.

. Fix analytic IC code for baroclinic wave to correctly initialize
  constituents.

Bugs fixed (include bugzilla ID):

. see above

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/dynamics/eul/dyn_comp.F90
. global_int
  - modify so that no change is made to PS if the analytic IC code is
    active. 

components/cam/src/dynamics/tests/initial_conditions/ic_baroclinic.F90
. bc_wav_set_ic
  - remove assumption that all constituents are present in input
    constituent array.  This is to handle the Eulerian dycore which passes
    one constituent at a time.

Testing:

Check that Eulerian core gives reasonable results compared to FV when run
with baroclinic wave ICs, terminator chemistry, and moist or dry physics.

Summarize any changes to answers: BFB except:
1) Eulerian dycore with analytic baroclinic wave ICs and terminator
   chemistry. 
2) Eulerian dycore with moist simple physics (kessler or tj2016).

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_03
Originator(s): eaton
Date: Wed Nov 21 10:46:40 MST 2018
One-line Summary: workaround for cam.input_data_list

Purpose of changes:

. Implement workaround so that the aircraft CO2 emissions used by BGC shows
  up in the cam.input_data_list file.

. Fix how the aircraft_specifier string is added to the namelist.  Remove
  illegal characters from the namelist_defaults_cam.xml file.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/bld/build-namelist
. Add default for aircraft_co2_file when BGC is enabled.
. construct the aircraft_specifier string rather than getting the string
  from the defaults file.

components/cam/bld/namelist_files/namelist_defaults_cam.xml
. Add defaults for aircraft_co2_file.
. Remove illegal xml entry used for aircraft_specifier.  Replaced by entries
  for ac_CO2_emis which just provides the filename.

components/cam/bld/namelist_files/namelist_definition.xml
. Add namelist variable aircraft_co2_file to group camexp.  The purpose of
  this variable is to create an entry in the cam.input_data_list file.

Testing:

FHIST compset smoke tested to verify that:
1) The aircraft emission file shows up in cam.input_data_list
2) The aircraft_specifier string in atm_in is correct.

Summarize any changes to answers: BFB

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_02
Originator(s): cacraig
Date: Nov 16, 2018
One-line Summary: Update the science support and testing to reflect what is in the release

Purpose of changes:

- add science support flag for 1 and 2 degree FKESSLER runs
- remove science support flag from FWsc... compsets
- remove F2000climo ne30 test as CAM-SE is not supported in CESM2.1
- introduce FKESSLER 1 degree test (since it is science supported)

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: AMP scientists directed these changes

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:
M       components/cam/cime_config/config_compsets.xml 
          - Set 1 and 2 degree FKESSLER to science supported
          - Remove science support flag from FWscXXX compsets

M       components/cam/cime_config/testdefs/testlist_cam.xml
          - Remove F2000climo ne30 test as CAM-SE is not in this release
          - Add FKESSLER 1 degree test scine it is science supported

*** No testing done ***

===============================================================
===============================================================

Tag name: release_tags/cam_cesm2_1_rel_01
Originator(s): eaton
Date: Tue Nov  6 10:40:02 MST 2018
One-line Summary: use release tags for CAM externals; disable some SE functionality

Purpose of changes:

. Change CAM externals to use release_tag versions.

. Disable ability of SE dycore to run with topography or with the new CSLAM
  advection and physics grid.  The dycore may still be run for simple
  models and aquaplanet mode using the GLL advection.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/SVN_EXTERNAL_DIRECTORIES
. same changes to use release tags for CAM externals as done for cesm2_0

components/cam/bld/build-namelist
. don't allow SE with topo files

components/cam/bld/configure
. disable SE with CSLAM and FVM physics grid

components/cam/bld/namelist_files/namelist_defaults_cam.xml
. remove SE IC files for runs w/ topo.  Remove all SE topo files.

components/cam/bld/namelist_files/use_cases/hist_trop_strat_vbs_cam6.xml
components/cam/bld/namelist_files/use_cases/hist_trop_strat_vbsfire_cam6.xml
components/cam/bld/namelist_files/use_cases/waccm_sc_2000_cam4.xml
. remove SE IC file

components/cam/src/dynamics/se/dyn_comp.F90
. call endrun if fh_topo is associated.

*** No testing done ***

===============================================================
===============================================================

Tag name: cam6_0_034
Originator(s): aconley, eaton
Date: Mon Nov  5 10:01:13 MST 2018
One-line Summary: Mod to PORT tropopause calc; fix DEBUG code

Purpose of changes:

. change method used by PORT for tropopause calculation from
  TROP_ALG_HYBSTOB to TROP_ALG_CLIMATE (per aconley)

. fix to DEBUG code

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/chemistry/mozart/mo_fstrat.F90
. minor fixes in the DEBUG write statements

components/cam/src/physics/cam/radiation_data.F90
. change method used by PORT for tropopause calculation from
  TROP_ALG_HYBSTOB to TROP_ALG_CLIMATE

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS

cheyenne/intel/aux_cam: PASS except
  SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 (Overall: DIFF) details:
    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 BASELINE cam6_0_033

hobart/nag: PASS except
080 bl011 TBL.sh f4c5portdm outfrq24h_port 2d .................................................FAIL! rc= 7 at Fri Nov  2 17:57:43 MDT 2018

hobart/pgi: PASS

The failures of bl011 and the aux_cam test are expected due to the change
in the PORT code.


CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB except PORT

===============================================================
===============================================================

Tag name: cam6_0_033
Originator(s): eaton
Date: Thu Nov  1 16:10:53 MDT 2018
One-line Summary: cleanup for simple model output

Purpose of changes:

. Remove the special calculation of RELHUM for the tj2016 physics from the
  cam_diagnostics module.  Get the field from the physics buffer instead.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/physics/cam/cam_diagnostics.F90
. If RELHUM output requested check to see whether it's in the pbuf before
  doing local calculation.  Output version in pbuf if present.

components/cam/src/physics/simple/tj2016.F90
. restore calc of relative humidity to thatcher_jablonowski_precip

components/cam/src/physics/simple/tj2016_cam.F90
. add RELHUM to pbuf and set values from thatcher_jablonowski_precip call
 
If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS

cheyenne/intel/aux_cam: PASS

hobart/nag: PASS

hobart/pgi: PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB

===============================================================
===============================================================

Tag name: cam6_0_032
Originator(s): eaton
Date: Wed Oct 31 17:14:58 MDT 2018
One-line Summary: cleanup in diagnostic output and simple model code

Purpose of changes:

. Use the cam_export routine to set the psl component of CAM's export
  object.  Use the pbuf to communicate PSL.

. Cleanup use of CAM data structures in the simple model control and CAM
  interface layers.  Move towards being consistent with architecture of
  full physics code.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/bld/namelist_files/namelist_definition.xml
. add 'nhours' as valid value for stop_option

components/cam/bld/namelist_files/use_cases/dctest_tj2016.xml
. add VT,UU,VV,VU to fincl1

components/cam/src/control/camsrfexch.F90
. set the psl component of the export state from PSL field in pbuf.

components/cam/src/physics/cam/cam_diagnostics.F90
. add PSL to pbuf
. diag_phys_writeout_dry
  - set psl in pbuf rather than passing it as an intent(out) arg.
. diag_phys_writeout
  - remove psl as an optional arg and add pbuf as required arg.

components/cam/src/physics/cam/physpkg.F90
. in tphysbc fix actual args in diag_phys_writeout call

components/cam/src/physics/simple/kessler_cam.F90
. have this module manage the PREC_SED pbuf field rather than having
  it done in the tphysbc control layer.
. change the exner calc to use a local variable rather than setting the
  component in the state object in a manner incompatible with how it's set
  in dp_coupling.
. remove setting of precl in the export state object.  now done by
  cam_export routine analogously to full physics

components/cam/src/physics/simple/physpkg.F90
. remove adding PREC_SED to pbuf.  belongs in kesser interface
. tphysac
  - add call to diag_surf.  This provides outfld calls for components of
    CAM's import state.  The sequencing is different than in the full
    physics code to allow the simple models to provide the surface forcings
    rather than assuming they come from the surface component models.
. tphysbc
  - update actual args in call to kessler_tend and diag_phys_writeout
  - remove moist_physics conditional from calls to diag_phys_writeout and
    diag_conv as in full physics version.  The moist_physics condition is
    addressed internally in these routines.
  - add call to cam_export which is responsible for setting the components
    of the export state object.

components/cam/src/physics/simple/tj2016_cam.F90
. thatcher_jablonowski_sfc_pbl_hs_tend
  - set the components of the import state that are diagnosed in this
    routine.
  - remove outfld calls for the surface forcing fields.  They have been put
    in the import state object and the outfld calls are provided by the
    call to diag_surf added to tphysac.

components/cam/src/physics/spcam/spcam_drivers.F90
. fix interface of diag_phys_writeout


If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS

cheyenne/intel/aux_cam: PASS except

  ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined (Overall: DIFF) details:
    FAIL ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined BASELINE cam6_0_031

Diffs in coupler history file only.  Due to making use of the CAM export
state object which wasn't previously used in simple model configurations.
This doesn't change CAM answers since no surface components are using the
data sent to the coupler by current simple physics configurations.

hobart/nag: PASS

hobart/pgi: PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB

===============================================================
===============================================================

Tag name: cam6_0_031
Originator(s): fvitt, eaton
Date: Mon Oct 29 15:00:02 MDT 2018
One-line Summary: misc fixes

Purpose of changes:

. misc fixes for configurations not routinely tested:
  - fix for multi-instance multi-driver configurations
  - fix for compilations with DEBUG #defined
  - fix for gravity waves in FV when # physics tasks exceeds # dynamics tasks

Bugs fixed (include bugzilla ID): see above

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/cime_config/buildnml
. use NTASKS_PER_INST_ATM to set the -ntasks argument of build-namelist

components/cam/src/chemistry/mozart/mo_fstrat.F90
. fix wrong syntax inside #ifdef DEBUG conditionals

components/cam/src/dynamics/fv/dp_coupling.F90
. only call gws_src_fnct for active dynamics tasks

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS

cheyenne/intel/aux_cam: PASS

hobart/nag: PASS

hobart/pgi: PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB

===============================================================
===============================================================

Tag name:cam6_0_030
Originator(s): mmills, cacraig
Date: Oct 23, 2018

One-line Summary: Add CMIP6 usermods_dirs for WACCM

Purpose of changes:
 - With this commit, usermods_dirs for CAM and WACCM BHIST and B1850 are available.  It
   is important to note that the hooks to use these have NOT been put in place.  These
   hooks will be in a future CAM tag.  It is also important to note that the output
   frequency on the variables is set to monthly only, while CMIP6 runs may output some
   variables at a higher frequency.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:
A       components/cam/cime_config/usermods_dirs/CMIP6_B1850_WACCM
A       components/cam/cime_config/usermods_dirs/CMIP6_B1850_WACCM/user_nl_cam
A       components/cam/cime_config/usermods_dirs/CMIP6_BHIST_WACCM
A       components/cam/cime_config/usermods_dirs/CMIP6_BHIST_WACCM/user_nl_cam
          - Add the CMIP6 mods for WACCM 


-- No tests were made for this CAM tag (as there was nothing concrete to test yet)

===============================================================
===============================================================

Tag name: cam6_0_029
Originator(s): fvitt
Date: 18 Oct 2018
One-line Summary: Update middle atmosphere chemistry mechanisms

Purpose of changes:

 - update WACCM middle atmosphere chemistry mechanisms with JPL-15
   rate data and other adjustments
 - use chemistry cafe generated chemistry mechanism files
 - add WACCM-SC compsets
   . FWsc1850
   . FWsc2000climo
   . FWsc2010climo
 - clean out unused chemistry mechanisms
 - change WACCMX defaults to options:
   . use time-dependent Te solution
   . ionos_xport_nsplit to 5

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: eaton, cacraig

List all files eliminated:

D    components/cam/test/system/config_files/f1.9c4aqbamm
 - removed test configure for trop_bam

D    components/cam/src/chemistry/pp_trop_bam
D    components/cam/src/chemistry/pp_trop_ghg
D    components/cam/src/chemistry/pp_super_fast_llnl
D    components/cam/src/chemistry/pp_super_fast_llnl_mam3
D    components/cam/src/chemistry/pp_waccm_tsmlt_sulfur
D    components/cam/src/chemistry/pp_waccm_tsmlt
 - removed unused chemistry mechanisms

List all files added and what they do:

A    components/cam/bld/namelist_files/use_cases/waccm_sc_2000_cam6.xml
A    components/cam/bld/namelist_files/use_cases/waccm_sc_2010_cam6.xml
A    components/cam/bld/namelist_files/use_cases/waccm_sc_1850_cam6.xml
 - for waccm-sc compsets

List all existing files that have been modified, and describe the changes:

M    components/cam/bld/namelist_files/use_cases/sd_waccmx_ma_cam4.xml
 - new IC file
 - remove H1202 from LBC list

M    components/cam/bld/namelist_files/use_cases/waccm_sc_hist_cam6.xml
 - updates for FWscHIST compset

M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_2000_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_2010_cam6.xml
 - corrections to the external forcing files

M    components/cam/bld/namelist_files/use_cases/waccm_ma_1850_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_ma_hist_cam4.xml
M    components/cam/bld/namelist_files/use_cases/waccm_ma_hist_cam6.xml
M    components/cam/bld/namelist_files/use_cases/sd_waccm_ma_cam4.xml
M    components/cam/bld/namelist_files/use_cases/sd_waccm_ma_cam6.xml
M    components/cam/bld/namelist_files/use_cases/1950-2010_ccmi_refc1_waccmx_ma.xml
M    components/cam/bld/namelist_files/use_cases/waccm_ma_2000_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccmxie_ma_2000_cam4.xml
 - remove H1202 from LBC list for middle atmos chemistry mechanisms

M    components/cam/bld/namelist_files/namelist_defaults_cam.xml
 - set default ionos_xport_nsplit to 5
 - remove default inputs for unused chemistry mechanisms

M    components/cam/bld/namelist_files/namelist_definition.xml
M    components/cam/test/system/input_tests_master
M    components/cam/test/system/tests_chem_mpi
M    components/cam/bld/configure
M    components/cam/bld/config_files/definition.xml
 - removed unused chem mechanisms

M    components/cam/bld/build-namelist
 - set default steady_state_ion_elec_temp to .false. for wacccmx

M    components/cam/cime_config/testdefs/testlist_cam.xml
M    components/cam/cime_config/config_compsets.xml
M    components/cam/cime_config/config_component.xml
 - add
   FWsc1850
   FWsc2000climo
   FWsc2010climo

M    components/cam/cime_config/config_pes.xml
 - change default pe-layout for 2-degrees waccm on cheyenne

M    components/cam/src/physics/waccm/nlte_fomichev.F90
 - tweak CO2 error handling

M    components/cam/src/chemistry/mozart/chemistry.F90
 - remove references to super_fast_llnl chem packages

M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_prod_loss.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_lin_matrix.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_exp_sol.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/m_rxt_id.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_phtadj.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_nln_matrix.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_lu_factor.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_sim_dat.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_indprd.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/m_spc_id.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/chem_mech.doc
M    components/cam/src/chemistry/pp_waccm_ma_mam4/chem_mech.in
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_lu_solve.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_setrxt.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_adjrxt.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_rxt_rates_conv.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/mo_imp_sol.F90
M    components/cam/src/chemistry/pp_waccm_ma_mam4/chem_mods.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/m_rxt_id.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_phtadj.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_nln_matrix.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_lu_factor.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_sim_dat.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_indprd.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/m_spc_id.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/chem_mech.doc
M    components/cam/src/chemistry/pp_waccm_mad_mam4/chem_mech.in
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_lu_solve.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_setrxt.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_adjrxt.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_rxt_rates_conv.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/chem_mods.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_prod_loss.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_lin_matrix.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_lu_factor.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_sim_dat.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_indprd.F90
M    components/cam/src/chemistry/pp_waccm_ma/m_spc_id.F90
M    components/cam/src/chemistry/pp_waccm_ma/chem_mech.doc
M    components/cam/src/chemistry/pp_waccm_ma/chem_mech.in
M    components/cam/src/chemistry/pp_waccm_ma/mo_lu_solve.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_setrxt.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_adjrxt.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_rxt_rates_conv.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_imp_sol.F90
M    components/cam/src/chemistry/pp_waccm_ma/chem_mods.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_prod_loss.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_lin_matrix.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_exp_sol.F90
M    components/cam/src/chemistry/pp_waccm_ma/m_rxt_id.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_phtadj.F90
M    components/cam/src/chemistry/pp_waccm_ma/mo_nln_matrix.F90
M    components/cam/src/chemistry/pp_waccm_mad/mo_lin_matrix.F90
M    components/cam/src/chemistry/pp_waccm_mad/m_rxt_id.F90
M    components/cam/src/chemistry/pp_waccm_mad/mo_phtadj.F90
M    components/cam/src/chemistry/pp_waccm_mad/mo_nln_matrix.F90
M    components/cam/src/chemistry/pp_waccm_mad/mo_lu_factor.F90
M    components/cam/src/chemistry/pp_waccm_mad/mo_sim_dat.F90
M    components/cam/src/chemistry/pp_waccm_mad/mo_indprd.F90
M    components/cam/src/chemistry/pp_waccm_mad/m_spc_id.F90
M    components/cam/src/chemistry/pp_waccm_mad/chem_mech.doc
M    components/cam/src/chemistry/pp_waccm_mad/chem_mech.in
M    components/cam/src/chemistry/pp_waccm_mad/mo_lu_solve.F90
M    components/cam/src/chemistry/pp_waccm_mad/mo_setrxt.F90
M    components/cam/src/chemistry/pp_waccm_mad/mo_adjrxt.F90
M    components/cam/src/chemistry/pp_waccm_mad/mo_rxt_rates_conv.F90
M    components/cam/src/chemistry/pp_waccm_mad/chem_mods.F90
M    components/cam/src/chemistry/pp_waccm_mad/mo_prod_loss.F90
 - updated to JPL-15 -- from chemistry cafe

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel:
023 bl390 TBL.sh f1.9c4aqwmxdh outfrq3s+waccmx_ma_2000_cam4 9s ................................FAIL! rc= 7 at Thu Oct 18 11:38:49 MDT 2018
026 bl391 TBL.sh f1.9c4aqwmxidh outfrq3s 9s ...................................................FAIL! rc= 7 at Thu Oct 18 12:09:01 MDT 2018
 - expected failures due to mechanism updates
 
cheyenne/intel/aux_cam:
  ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d (Overall: DIFF) details:
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d NLCOMP
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d BASELINE cam6_0_028
  ERP_Ln9.f19_f19_mg17.FWsc1850.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f19_f19_mg17.FWsc1850.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f19_f19_mg17.FWsc1850.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_028: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam6_0_028/ERP_Ln9.f19_f19_mg17.FWsc1850.cheyenne_intel.cam-outfrq9s' does not exist
  ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_028
  SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie (Overall: DIFF) details:
    FAIL SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie NLCOMP
    FAIL SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie BASELINE cam6_0_028
  SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d NLCOMP
    FAIL SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d BASELINE cam6_0_028

  - expected failures due to mechanism updates and namelist changes

hobart/nag:
050 bl426 TBL.sh f10c4aqwmxdm outfrq3s_newyear 9s .............................................FAIL! rc= 7 at Thu Oct 18 11:07:11 MDT 2018
056 bl471 TBL.sh f10c6aqwmadm outfrq3s 9s .....................................................FAIL! rc= 7 at Thu Oct 18 11:38:02 MDT 2018

hobart/pgi: All PASS

Summarize any changes to answers:
 larger than roundoff for middle atmosphere chemistry configurations
 otherwise, BFB

===============================================================
===============================================================

Tag name: cam6_0_028
Originator(s): cjablono, eaton
Date: Thu Oct 18 08:47:23 MDT 2018
One-line Summary: add moist Held-Suarez physics package

Purpose of changes:

. Add the Thatcher, D. R. and C. Jablonowski (2016) implementation of a
  moist Held-Suarez physics package.

Bugs fixed (include bugzilla ID):

. fix problem with new aircraft_specifier variable in the inputdata file

Describe any changes made to build system:

. add configure option '-phys tj2016' to turn on new simple physics package

Describe any changes made to the namelist:

. new valid values for analytic_ic_type: moist_baroclinic_wave_dcmip2016,
  dry_baroclinic_wave_dcmip2016, and dry_baroclinic_wave_jw2006

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated:
components/cam/bld/namelist_files/use_cases/dctest_baro_moist.xml
. this file was renamed dctest_tj2016.xml

List all files added and what they do:
components/cam/bld/namelist_files/use_cases/dctest_tj2016.xml
. renamed from dctest_baro_moist.xml
. supplied default namelist settings for FTJ16 compset

List all existing files that have been modified, and describe the changes:
components/cam/bld/build-namelist
. add tj2016 to packages flagged as simple physics
. mods to build-namelist to fix the inputdata file entries for
  aircraft_specifier.

components/cam/bld/config_files/definition.xml
. add tj2016 to valid values for -phys option

components/cam/bld/configure
. add tj2016 to packages flagged as simple physics

components/cam/bld/namelist_files/namelist_defaults_cam.xml
. analytic_ic_type and se_qsize_condensate_loading depend on tj2016

components/cam/bld/namelist_files/namelist_definition.xml
. add to valid_values for analytic_ic_type; update documentation

components/cam/bld/namelist_files/use_cases/dctest_baro_kessler.xml
. change name of analytic_ic_type to moist_baroclinic_wave_dcmip2016

components/cam/cime_config/config_component.xml
. update descriptions of simple model options
. change component CAM%DCTBM to CAM%TJ16 which turns on tj2016 physics
  and uses dctest_tj2016 use case

components/cam/cime_config/config_compsets.xml
. change compset name from FDCBAROMOIST to FTJ16 and use component CAM%TJ16 

components/cam/cime_config/testdefs/testlist_cam.xml
. change FDCBAROMOIST to FTJ16

components/cam/cime_config/testdefs/testmods_dirs//cam/outfrq3s_refined/user_nl_cam
. baroclinic_wave -> moist_baroclinic_wave_dcmip2016

components/cam/src/control/cam_control_mod.F90
. add logical tj2016_phys.  set true when tj2016 phys package used.
. add logical simple_phys.  set true when any simple phys package is used.

components/cam/src/dynamics/se/dycore/control_mod.F90
. fix type of literal constant

components/cam/src/dynamics/se/dyn_comp.F90
. modify so that dry mass of initial conditions is NOT modified for simple
  models, nor when ICs are analytic.

components/cam/src/dynamics/tests/inic_analytic.F90
components/cam/src/dynamics/tests/inic_analytic_utils.F90
. change names:
  baroclinic_wave     -> moist_baroclinic_wave_dcmip2016
  dry_baroclinic_wave -> dry_baroclinic_wave_dcmip2016
. add option for dry_baroclinic_wave_jw2006

components/cam/src/physics/cam/cam_diagnostics.F90
. diag_init_moist
  - make sure cldliq is available before issuing addfld call
. diag_phys_writeout_moist
  - temporary fix to get correct RELHUM values for tj2016

components/cam/src/physics/simple/held_suarez.F90
components/cam/src/physics/simple/held_suarez_cam.F90
. cleanup comments

components/cam/src/physics/simple/physpkg.F90
. add calls to tj2016 interfaces

components/cam/src/utils/cam_pio_utils.F90
. fix message in endrun statement

components/cam/test/system/nl_files/outfrq3s_bwic
. baroclinic_wave -> moist_baroclinic_wave_dcmip2016

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel:
032 bl736 TBL.sh h16adtermdh terminator 9s ....................................................FAIL! rc= 7 at Wed Oct 17 18:16:11 MDT 2018

cheyenne/intel/aux_cam:
  ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined (Overall: NLFAIL) details:
    FAIL ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined NLCOMP

The namelist difference is the analytic_ic_type change from baroclinic_wave
to moist_baroclinic_wave_dcmip2016

hobart/nag: PASS except
034 bl335 TBL.sh f10idm idphys 9s .............................................................FAIL! rc= 7 at Wed Oct 17 16:23:49 MDT 2018

hobart/pgi: PASS except
026 bl704 TBL.sh h5.4addm outfrq3s 9s .........................................................FAIL! rc= 7 at Wed Oct 17 17:30:52 MDT 2018
031 bl707 TBL.sh h5.2addm outfrq3s 9s .........................................................FAIL! rc= 7 at Wed Oct 17 18:04:05 MDT 2018

bl335 is expected to fail since the energy fixer is no longer applied to
held_suarez physics

bl704, bl707, bl736 baselines fail because the SE initialization was
changed so that the dry mass of the non-analytic initial conditions is no
longer modified for simple models.

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB except for some simple model
configurations .

===============================================================
===============================================================

Tag name: cam6_0_027
Originator(s): patc, cacraig, klindsay
Date: Oct 15, 2018
One-line Summary: Nudging and fix for CO2 files

Purpose of changes:
 - Nudging is introduced to the CAM trunk
 - Using the extended CO2 files which allow jobs to run through Dec 2014

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: eaton, goldy

List all files eliminated:

List all files added and what they do:
A       components/cam/cime_config/testdefs/testmods_dirs/cam/nudging/shell_commands
A  +    components/cam/cime_config/testdefs/testmods_dirs/cam/nudging/user_nl_cam
          - Added test for nudging

A  +    components/cam/src/physics/cam/nudging.F90
          - New code for nudging

List all existing files that have been modified, and describe the changes:
M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
           - Changed CO2 files to new ones which extended the date so jobs can run through Dec 2014

M       components/cam/bld/namelist_files/namelist_definition.xml
M       components/cam/cime_config/testdefs/testlist_cam.xml
M       components/cam/src/control/runtime_opts.F90
M       components/cam/src/physics/cam/physpkg.F90
          - mods to support nudging

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all BFB

cheyenne/intel/aux_cam:
  ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s NLCOMP
      - Namelist change expected due to new CO2 files

  SMS_Ln9.f09_f09_mg17.F2010climo.cheyenne_intel.cam-nudging (Overall: DIFF) details:
    FAIL SMS_Ln9.f09_f09_mg17.F2010climo.cheyenne_intel.cam-nudging NLCOMP
    FAIL SMS_Ln9.f09_f09_mg17.F2010climo.cheyenne_intel.cam-nudging BASELINE cam6_0_025: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam6_0_025/SMS_Ln9.f09_f09_mg17.F2010climo.cheyenne_intel.cam-nudging' does not exist
       - new test so namelist and baselines will fail

hobart/nag: all BFB

hobart/pgi: all BFB

CAM tag used for the baseline comparison tests if different than previous
tag: cam6_0_025 (since tests were not run for cam6_0_026)

===============================================================
===============================================================

Tag name: cam6_0_026
Originator(s): cacraig, mmills, cfischer
Date: Oct 11, 2018
One-line Summary: Fixes for 4xCO2 and 1PCT runs 

Purpose of changes:
 - code change to eliminate excessive output which dramatically slows the 4xCO2 run
 - Move location of WACCM test below new F2010 definition so WACCM test is found correctly
 - add $DIN_LOC_ROOT to ncdata which did not have it
 - turn off flbc_cycle_yr for WACCM 1PCT test

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       components/cam/cime_config/config_component.xml
           - Move location of 2010 WACCM test below new F2010 definition so WACCM test is found correctly
           - add $DIN_LOC_ROOT to ncdata which did not have it
           - turn off flbc_cycle_yr for WACCM 1PCT test
          
M       components/cam/src/physics/waccm/nlte_fomichev.F90
          - commented out problematic error message at Mike Mill's request


If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: none run

cheyenne/intel/aux_cam: none run

hobart/nag: none run

hobart/pgi: none run

The 4xCO2 and 1PCT tests are B compsets, so will be tested in CESM testing

===============================================================
===============================================================

Tag name:cam6_0_025
Originator(s): cacraig, hannay
Date: Oct 9, 2018
One-line Summary: Misc compset changes

Purpose of changes:
 - change required for %4xCO2 and %1PCT to support CESM testing
 - change F1850 to use %SP 
 - add usermods_dirs for CMIP6_B1850, CMIP6_BHIST and CMIP6_GENERIC to allow those three configurations to work "out-of-the-box"

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:
A       components/cam/cime_config/usermods_dirs/CMIP6_B1850/user_nl_cam
A       components/cam/cime_config/usermods_dirs/CMIP6_BHIST/user_nl_cam
A       components/cam/cime_config/usermods_dirs/CMIP6_GENERIC/user_nl_cam
          - Files to support the usermods_dir setting of create_newcase to allow these compsets
            to work "out-of-the-box".  This will mimic what Cecile has been using for her CMIP6 runs.

List all existing files that have been modified, and describe the changes:
M       components/cam/cime_config/config_component.xml
          - Added $DIN_LOC_ROOT to the filepaths for the flbc_files

M       components/cam/cime_config/config_compsets.xml
          - Change F1850 to use %SP setting

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: none run

cheyenne/intel/aux_cam: only ran F1850 as it was the only test which changed with this tag

  ERP_Ln9.f09_f09_mg17.F1850.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F1850.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.F1850.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_024

   - Answers and namelist expected to change due to the change to using %SP

hobart/nag: none run

hobart/pgi: none run


===============================================================
===============================================================

Tag name: cam6_0_024
Originator(s): bardeenc, fvitt
Date: 9 Oct 2018
One-line Summary: New options for specified dynamics

Purpose of changes:

 - add options to specified dynamics
 - add option to turn on/off CLUBB energy fixer
 - add FSD compset (CAM with specified dynamics)

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: cacraig

List all files eliminated:

List all files added and what they do:

A    components/cam/bld/namelist_files/use_cases/sd_cam6.xml
 - new use case file for FSD compset

A    components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq9s_sd
A    components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq9s_sd/user_nl_cam
A    components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq9s_sd/shell_commands
 - regression test CAM SD options with 32 levels

List all existing files that have been modified, and describe the changes:

M    components/cam/bld/namelist_files/namelist_definition.xml
M    components/cam/src/physics/cam/clubb_intr.F90
M    components/cam/src/dynamics/fv/metdata.F90
 - new runtime options

M    components/cam/cime_config/testdefs/testlist_cam.xml
M    components/cam/cime_config/config_compsets.xml
M    components/cam/cime_config/config_component.xml
 - new FSD compset added
 - rename F1850_DONOTUSE as F1850 in testlist

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam:
  ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d (Overall: DIFF) details:
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d BASELINE cam6_0_023
  - correction to LHFLX diagnostic, otherwise BFB
  
  ERP_Ln9.f09_f09_mg17.F1850.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F1850.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.F1850.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_023: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam6_0_023/ERP_Ln9.f09_f09_mg17.F1850.cheyenne_intel.cam-outfrq9s' does not exist
  SMS_D_Ln9.f09_f09_mg17.FSD.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL SMS_D_Ln9.f09_f09_mg17.FSD.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_D_Ln9.f09_f09_mg17.FSD.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_023: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam6_0_023/SMS_D_Ln9.f09_f09_mg17.FSD.cheyenne_intel.cam-outfrq9s' does not exist
  - these have no baselines 

hobart/nag: All PASS

hobart/pgi: All PASS

Summarize any changes to answers: BFB

===============================================================
===============================================================

Tag name: cam6_0_023
Originator(s): cacraig, hannay, mmills, jet
Date: Oct 8, 2018
One-line Summary: Update CESM and WACCM compsets for CESM 2.1 release

Purpose of changes: 
- Add new namelist history_dust
- Add new CAM60 designators for %1PCT and %4xCO2
- Update FXXXclimo compsets

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: fvitt (sections only)

List all files eliminated:

List all files added and what they do:
A  +    bld/scripts/remapfv2eul.ncl
          - add scripts from John Truesdale which was missing in cam6_0_022 

List all existing files that have been modified, and describe the changes:
M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_cam.xml
M       bld/namelist_files/namelist_definition.xml
M       src/chemistry/bulk_aero/aero_model.F90
M       src/chemistry/modal_aero/aero_model.F90
M       src/chemistry/mozart/mo_chm_diags.F90
M       src/physics/cam/aer_rad_props.F90
M       src/physics/cam/modal_aer_opt.F90
M       src/physics/cam/phys_control.F90
          - add new namelist history_dust

M       bld/namelist_files/use_cases/2000_cam6.xml
M       bld/namelist_files/use_cases/2010_cam6.xml
          - update settings as directed by Cecile

M       cime_config/config_component.xml
          - Add settings for %1PCT and %4xCO2

M       cime_config/config_compsets.xml
          - Add settings for %1PCT and %4xCO2
          - Change CAM F climo runs to use %SP instead of %BGC_CROP
          - rename B1850_DONOTUSE to B1850
          - Changed name to FWHIST_BGC to match CAM's name

M       cime_config/testdefs/testlist_cam.xml
          - Add tests for F2010climo and FHIST_BGC
          - Changed name to FWHIST_BGC to match CAM's name

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all BFB

cheyenne/intel/aux_cam:
  ERP_D_Ln9.f09_f09_mg17.QSC6.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERP_D_Ln9.f09_f09_mg17.QSC6.cheyenne_intel.cam-outfrq9s NLCOMP
  ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s NLCOMP
  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: NLFAIL) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d NLCOMP
  ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d (Overall: NLFAIL) details:
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d NLCOMP
  ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s (Overall: FAIL) details:
    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s CREATE_NEWCASE
  ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s NLCOMP
  ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s NLCOMP
  ERS_Ln9.f19_f19_mg17.FSPCAMS.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERS_Ln9.f19_f19_mg17.FSPCAMS.cheyenne_intel.cam-outfrq9s NLCOMP
  ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined (Overall: NLFAIL) details:
    FAIL ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined NLCOMP
  SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s NLCOMP
  SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie (Overall: NLFAIL) details:
    FAIL SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie NLCOMP
  SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s NLCOMP
  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: NLFAIL) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d NLCOMP
  SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d (Overall: NLFAIL) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d NLCOMP
  SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 (Overall: NLFAIL) details:
    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 NLCOMP
      - Namelists fail due to introduction of new variable "history_dust"

  ERP_Ln9.f09_f09_mg17.F2000climo.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F2000climo.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.F2000climo.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_022
  SMS_Lm13.f10_f10_mg37.F2000climo.cheyenne_intel.cam-outfrq1m (Overall: DIFF) details:
    FAIL SMS_Lm13.f10_f10_mg37.F2000climo.cheyenne_intel.cam-outfrq1m NLCOMP
    FAIL SMS_Lm13.f10_f10_mg37.F2000climo.cheyenne_intel.cam-outfrq1m BASELINE cam6_0_022
       - F2000climo has answer changes for the compset

  ERP_Ln9.f09_f09_mg17.F2010climo.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F2010climo.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.F2010climo.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_022: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam6_0_022/ERP_Ln9.f09_f09_mg17.F2010climo.cheyenne_intel.cam-outfrq9s' does not exist
       - New test introduced for F2010climo

hobart/nag: all BFB

hobart/pgi: all BFB

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers, i.e.,
- what code configurations: F2000climo and F2010climo
- what platforms/compilers: all

The changes to F2000climo and F2010climo were made to match Cecile's latest runs.  She will verify them after this
tag has been made and if any changes are required, they will be made in a future tag.

===============================================================
===============================================================

Tag name: cam6_0_022
Originator(s): jet, jedwards, goldy
Date: 5 Oct 2018
One-line Summary: SCAM updates, python3 compatibility and passes pylint,update cime

Purpose of changes:

 - SCAM updates provide new equilibrated initial conditions that contain
	monthly average aerosols for all IOP cases.

 -  fix for cime issue #2822, it also has changes
	for python3 compatibility and passes pylint testing

 -  update cime external to maint-5.6 to include fix for SCAM

Bugs fixed (include bugzilla ID):cime issue #2822

Describe any changes made to build system:update cime to current head of maint-5.6 tag cime_cesm2_0_rel_06

Describe any changes made to the namelist:new esmf_inparm group added to drv_in created by build-namelist.

List any changes to the defaults for the boundary datasets:Added new initial conditions for SCAM IOP cases.

Describe any substantial timing or memory changes:

Code reviewed by: goldy, andrew

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:

	    Update Cime for SCAM bug fix
	M       Externals.cfg

	    fix for cime issue #2822, python3 compatibility and passes pylint testing
	M       components/cam/bld/build-namelist ### adds new esmf_inparm namelist group
	M       components/cam/cime_config/buildcpp
	M       components/cam/cime_config/buildlib
	M       components/cam/cime_config/buildnml

	    add new SCAM IOP initial condition files with realistic monthly average aerosols
	M       components/cam/cime_config/usermods_dirs/scam_arm95/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_arm97/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_atex/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_bomex/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_cgilsS11/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_cgilsS12/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_cgilsS6/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_dycomsRF01/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_dycomsRF02/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_gateIII/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_mpace/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_rico/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_sparticus/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_togaII/user_nl_cam
	M       components/cam/cime_config/usermods_dirs/scam_twp06/user_nl_cam

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All Pass

cheyenne/intel/aux_cam: Mostly Pass with the exeception of expected NLCOMP errors and WACCMX baselines

 ## The following failures were expected and due to the addition of the esmf_inparm namelist group

	    FAIL ERP_D_Ln9.f09_f09_mg17.QSC6.cheyenne_intel.cam-outfrq9s NLCOMP
	    FAIL ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s NLCOMP
	    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d NLCOMP
	    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d NLCOMP
	    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s NLCOMP
	    FAIL ERP_Ln9.f09_f09_mg17.F2000climo.cheyenne_intel.cam-outfrq9s NLCOMP
	    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s NLCOMP
	    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s NLCOMP
	    FAIL ERS_Ln9.f19_f19_mg17.FSPCAMS.cheyenne_intel.cam-outfrq9s NLCOMP
	    FAIL ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined NLCOMP
	    FAIL SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s NLCOMP
	    FAIL SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie NLCOMP
	    FAIL SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s NLCOMP
	    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d NLCOMP
	    FAIL SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d NLCOMP
	    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 NLCOMP
	    FAIL SMS_Lm13.f10_f10_mg37.F2000climo.cheyenne_intel.cam-outfrq1m NLCOMP

            FAIL SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_021
              - baseline compare failed for SCAM because of new initial data

            FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_021
            FAIL SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie BASELINE cam6_0_021
              - WACCMX baseline failures due to updated ESMF libraries in cime

hobart/nag: All PASS

hobart/pgi: All PASS

Summarize any changes to answer: WACCMX on cheyenne has changed due to updated ESMF libraries

===============================================================
===============================================================

Tag name: cam6_0_021
Originator(s): fvitt, liuh
Date: 3 Oct 2018
One-line Summary: WACCMX gravity waves

Purpose of changes:

 - implement option to apply tapering at the top of the model to reduce
   undesired effects of gravity waves in ionosphere/thermosphere

 - reduce the number of gravity wave spectrum bands (pgwv = 18) for waccmx
   configurations

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: cacraig, goldy, joemci

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:

M     components/cam/bld/build-namelist
M     components/cam/bld/namelist_files/namelist_defaults_cam.xml
 - set defaults for pgwv and gw_top_taper

M     components/cam/bld/namelist_files/namelist_definition.xml
 - add namelist option "gw_top_taper"

M     components/cam/src/physics/cam/gw_common.F90
M     components/cam/src/physics/cam/gw_drag.F90
M     components/cam/src/physics/cam/gw_diffusion.F90
 - set ramping profile for Kzz, U, V, and T tendencies if gw_top_taper is .true.

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel:
023 bl390 TBL.sh f1.9c4aqwmxdh outfrq3s+waccmx_ma_2000_cam4 9s ................................FAIL! rc= 7 at Wed Oct  3 14:01:53 MDT 2018
026 bl391 TBL.sh f1.9c4aqwmxidh outfrq3s 9s ...................................................FAIL! rc= 7 at Wed Oct  3 14:34:59 MDT 2018

cheyenne/intel/aux_cam:
  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: NLFAIL) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d NLCOMP
  ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d (Overall: NLFAIL) details:
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d NLCOMP
  ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_020
  SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie (Overall: DIFF) details:
    FAIL SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie NLCOMP
    FAIL SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie BASELINE cam6_0_020: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam6_0_020/SMS_D_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s_amie' does not exist
  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: NLFAIL) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d NLCOMP
  SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d (Overall: NLFAIL) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d NLCOMP

 - WACCM namelist failures due to inclusion of gw_top_taper=.false. setting, otherwise BFB
 - WACCMX baseline failures due to tapering GW

hobart/nag:
050 bl426 TBL.sh f10c4aqwmxdm outfrq3s_newyear 9s .............................................FAIL! rc= 7 at Wed Oct  3 13:34:55 MDT 2018

hobart/pgi: All PASS

Summarize any changes to answer: larger than roundoff for WACCMX

===============================================================
===============================================================

Tag name: cam6_0_020
Originator(s): fvitt
Date: 3 Oct 2018
One-line Summary: WACCMX steady state electron and ion temperature

Purpose of changes:
 - Use steady-state solution to the electron (and ion) temperature extracted from TIEGCM
 - Correction to use geomagnetic latitude rather than magnetic dip angle to calculate upper boundary
   to heat flux dynamic time-dependent solution to the electron (and ion) temperature

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: cacraig, goldy, joemci

List all files eliminated:

List all files added and what they do:
A     components/cam/src/physics/waccmx/ionos_state_mod.F90
A     components/cam/src/physics/waccmx/trsolv_mod.F90
A     components/cam/src/physics/waccmx/steady_state_tei.F90
A     components/cam/src/physics/waccmx/tei_mod.F90
 - new source files for steady state solution to the electron (and ion) temperature which was extracted from TIEGCM

List all existing files that have been modified, and describe the changes:

M     components/cam/bld/namelist_files/namelist_defaults_cam.xml
 - increase the default ions_xport_nsplit from 5 to 6 which is needed to
   to run successfully through solar storm periods

M     components/cam/bld/namelist_files/namelist_definition.xml
 - add namelist option "steady_state_ion_elec_temp"
   -- if true, steady state solution to the electron (and ion) temperature is used,
      otherwise, the dynamic time-dependent solution is used

M     components/cam/bld/namelist_files/use_cases/1950-2010_ccmi_refc1_waccmx_ma.xml
M     components/cam/bld/namelist_files/use_cases/waccmxie_ma_2000_cam4.xml
M     components/cam/bld/namelist_files/use_cases/sd_waccmx_ma_cam4.xml
 - removed QEN, QIN, and QEI from fincl lists -- these fields are not available with
   steady state solution to the electron (and ion) temperature is used

M     components/cam/src/ionosphere/waccmx/oplus.F90
 - remove trsolv -- use trsolv_mod utility module which is shared with waccmx physics code

M     components/cam/src/ionosphere/waccmx/dpie_coupling.F90
 - write log messages to iulog unit

M     components/cam/src/physics/cam/waccmx_phys_intr.F90
M     components/cam/src/control/runtime_opts.F90
 - invoke ion_electron_temp_readnl via waccmx_phys_intr interface code

M     components/cam/src/physics/waccm/mo_aurora.F90
 - add QTeQur phys buffer field which needed for the steady state solution
   to the electron (and ion) temperature

M     components/cam/src/physics/waccmx/ion_electron_temp.F90
 - added option to invoke steady state solution to the electron (and ion) temperature (default)
 - correction to use geomag latitude rather than mag dip angle to calculate upper boundary to heat flux
 - misc cleanup

M     components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq1d_amie/user_nl_cam
M     components/cam/cime_config/testdefs/testlist_cam.xml
M     components/cam/test/system/nl_files/outfrq3s_euv
 - use dynamic time-dependent solution to ion/electron temperature
   (steady_state_ion_elec_temp=.false.)

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel:
026 bl391 TBL.sh f1.9c4aqwmxidh outfrq3s 9s ...................................................FAIL! rc= 7 at Fri Sep 28 18:47:50 MDT 2018
 - change in WACCMX
	
cheyenne/intel/aux_cam:
  ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_019
 - change in WACCMX
 
hobart/nag: All PASS

hobart/pgi: All PASS

Summarize any changes to answers: larger than roundoff for WACCMX

===============================================================
===============================================================

Tag name:  cam6_0_019
Originator(s): fvitt, mmills
Date: 28 Sep 2018
One-line Summary: Update CAM forcings in historical simulations

Purpose of changes:

 Use results from WACCM historical simulations to force CAM6 historical simulations.
 Update CAM inputs:
  - lower boundary conditions
  - H2O forcings (CH4 oxidation)
  - prescribed stratospheric aerosols
  - prescribed ozone
  - prescribed oxidants

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
M       components/cam/bld/namelist_files/use_cases/hist_cam6.xml
 Update CAM inputs:
  - lower boundary conditions
  - H2O forcings (CH4 oxidation)
  - prescribed stratospheric aerosols
  - prescribed ozone
  - prescribed oxidants

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel:
020 bl380 TBL.sh f1.9c6aqcdh outfrq3s_cosp 9s .................................................FAIL! rc= 7 at Fri Sep 28 10:05:44 MDT 2018
 - expected failure due to update to default H2O forcing file in CAM6
 
cheyenne/intel/aux_cam:
  ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_018
 - expected failure due to update to forcings and LBC files
 
hobart/nag:
td.128674.status:027 bl318 TBL.sh f10c6aqcdm sat_hist 9s .......................................................FAIL! rc= 7 at Fri Sep 28 10:19:58 MDT 2018
td.128674.status:039 bl367 TBL.sh f10c6aqdm outfrq3s_convmic 9s ................................................FAIL! rc= 7 at Fri Sep 28 10:20:00 MDT 2018
td.128674.status:042 bl368 TBL.sh f10c6aqdm outfrq3s 9s ........................................................FAIL! rc= 7 at Fri Sep 28 10:20:03 MDT 2018
td.128674.status:045 bl369 TBL.sh f10c6aqdm outfrq3s_am 9s .....................................................FAIL! rc= 7 at Fri Sep 28 10:20:05 MDT 2018
td.128674.status:047 bl381 TBL.sh f0.9c6aqccdm outfrq3s+hist_cam6 3s ...........................................FAIL! rc= 7 at Fri Sep 28 10:36:14 MDT 2018
 - expected failures due to update to forcings and LBC files in CAM6

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: larger than roundoff for CAM HIST

If this tag changes climate describe the run(s) done to evaluate the new
climate in enough detail that it(they) could be reproduced, i.e.,
- source tag (all code used must be in the repository):
- platform/compilers:
- configure commandline:
- build-namelist command (or complete namelist):
- MSS location of output:
 Might be provided later	

MSS location of control simulations used to validate new climate:
 Might be provided later	

URL for AMWG diagnostics output used to validate new climate:
 Might be provided later	

===============================================================
===============================================================

Tag name: cam6_0_018
Originator(s): dswales, andrew, eaton
Date: Tue Sep 25 13:18:36 MDT 2018
One-line Summary: fix for cosp output; new LW diagnostics

Purpose of changes:

. update COSP external with bug fix

. add 2 single level diagnostic fields, FREQCLR and FLNTCLR, to better
  diagnose long wave radiation.

Bugs fixed (include bugzilla ID):

. fix in COSP for output of DBZE_CS which previously had the vertical
  ordering reversed.

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/SVN_EXTERNAL_DIRECTORIES
. update cosp to https://github.com/CFMIP/COSPv2.0/tags/v2.0.3cesm/src

components/cam/src/physics/rrtmg/radiation.F90
. add new diagnostic fields FLNTCLR, FREQCLR

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS

cheyenne/intel/aux_cam: PASS

hobart/nag: PASS

hobart/pgi: PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB.  Note that the COSP field which was
 fixed is not a default output, so there were no related baseline failures.

===============================================================
===============================================================

Tag name: cam6_0_017
Originator(s): klindsay, eaton
Date: Sat Sep 22 13:21:13 MDT 2018
One-line Summary: update co2_cycle; fixes for EUL dycore with simple physics

Purpose of changes:

. add CO2 aircraft emissions to co2_cycle
. fix for EUL code to allow running dry ideal physics with NAG/debug
. fix for EUL w/ kessler physics

Bugs fixed (include bugzilla ID):

. Eul with adiabatic phys and held_suarez ICs was failing with NAG/debug
  due to an uninitialized variable.
. Eul with kessler physics was failing due to an uninitialized component in
  the tend object.

Describe any changes made to build system: none

Describe any changes made to the namelist:
. add definitions for co2_readflux_aircraft, aircraft_datapath
. add SERIAL to valid values for aircraft_type
. add defaults for aircraft_type, aircraft_specifier, aircraft_datapath
  for transient co2_cycle runs

List any changes to the defaults for the boundary datasets:
. add aircraft CO2 emission data

Describe any substantial timing or memory changes: none

Code reviewed by: eaton, cacraig

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/bld/build-namelist
components/cam/bld/namelist_files/namelist_defaults_cam.xml
. add defaults for aircraft_type, aircraft_specifier, aircraft_datapath
  for transient co2_cycle runs

components/cam/bld/namelist_files/namelist_definition.xml
. add definitions for co2_readflux_aircraft, aircraft_datapath
. add SERIAL to valid values for aircraft_type

components/cam/src/chemistry/utils/aircraft_emit.F90
. set datapath from namelist

components/cam/src/chemistry/utils/horizontal_interpolate.F90
. add an overlap case that was missing

components/cam/src/chemistry/utils/tracer_data.F90
. modify logic for init of cyclic data
. add a column conservation option to interpolate_trcdata

components/cam/src/dynamics/eul/cubxdr.F90
. add initializer for fxl, fxr.

components/cam/src/physics/cam/co2_cycle.F90
. add co2_readflux_aircraft to namelist group co2_cycle_nl
. add routine co2_cycle_set_ptend for adding aircraft emissions
. add specific names for the global indices of the CO2 species

components/cam/src/physics/cam/physpkg.F90
. add call to co2_cycle_set_ptend in emissions section of tphysac

components/cam/src/physics/simple/physpkg.F90
. in tphysbc add initializer to the tend object for flx_net
  cases. 

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS

cheyenne/intel/aux_cam: PASS except:
  ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_016

Only diffs are in diagnostic fields: CO2, CO2_FFF, TMCO2, TMCO2_FFF, a2x_Sa_co2prog, x2l_Sa_co2prog
In compsets with the BGC%BDRD component the prognostic CO2 is not
radiatively active.

hobart/nag: PASS except:
047 bl381 TBL.sh f0.9c6aqccdm outfrq3s+hist_cam6 3s ...........................................FAIL! rc= 7 at Sat Sep 22 12:11:49 MDT 2018

The baseline fails because the prognostic CO2 from the co2_cycle code has
changed, and is radiatively active in this test.

hobart/pgi: PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB except co2_cycle.  This has no impact
  on simulations with the BGC%BDRD component since the prognostic CO2 is not
  radiatively active.

===============================================================
===============================================================

Tag name: cam6_0_016
Originator(s): fvitt, mmills
Date: 21 Sep 2018
One-line Summary: Misc updates to WACCM and CAM-Chem compsets

Purpose of changes:

 - Replace FW2000 with FW2000climo which uses year 2000 climatological forciings
 - Add FW2010climo which uses year 2010 climatological forciings
 - Update 2010climo emissions input files
 - Add WACCMX compsets which include D-region chemistry
 - Use MERRA2 meteorology in WACCMX SD compset (FXSD)
 - Use CLM50%SP specified phenology in WACCM and CAM-Chem compsets
 - Add new compsets:
   . FWHISTBgcCrop
   . FXmadHIST
   . FXmadSD
   . FW2000climo
   . FW2010climo
   . FW4madSD (for regression tests)
   . FW4madHIST (for regression tests)
 - Minor corrections to D-region chemistry reactions

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: CAM review team

List all files eliminated:
D    components/cam/bld/namelist_files/use_cases/sd_waccm5_mad_geos5.xml
 - remove unused use case file

List all files added and what they do:

A    components/cam/bld/namelist_files/use_cases/waccm_ma_hist_cam4.xml
 - new use case file mainly for testing FW4madHIST

A    components/cam/bld/namelist_files/use_cases/sd_waccm_ma_cam4.xml
 - new use case file mainly for testing FW4madSD

A    components/cam/src/chemistry/pp_waccm_mad/mo_prod_loss.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_lin_matrix.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_exp_sol.F90
A    components/cam/src/chemistry/pp_waccm_mad/m_rxt_id.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_phtadj.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_nln_matrix.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_lu_factor.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_sim_dat.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_indprd.F90
A    components/cam/src/chemistry/pp_waccm_mad/m_spc_id.F90
A    components/cam/src/chemistry/pp_waccm_mad/chem_mech.doc
A    components/cam/src/chemistry/pp_waccm_mad/chem_mech.in
A    components/cam/src/chemistry/pp_waccm_mad/mo_lu_solve.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_setrxt.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_adjrxt.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_rxt_rates_conv.F90
A    components/cam/src/chemistry/pp_waccm_mad/mo_imp_sol.F90
A    components/cam/src/chemistry/pp_waccm_mad/chem_mods.F90
A    components/cam/src/chemistry/pp_waccm_mad
 - new D-region chemistry package for CAM4 physics -- primarily for WACCMX

List all existing files that have been modified, and describe the changes:

M    components/cam/bld/configure
M    components/cam/bld/config_files/definition.xml
 - add new waccm_mad chemistry config option (for waccmx/cam4-phys)

M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_hist_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_sc_hist_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_1850_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_ma_1850_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_ma_hist_cam6.xml
 - update IC file

M    components/cam/bld/namelist_files/use_cases/sd_waccmx_ma_cam4.xml
 - use MERRA2 meteorology data (rather than MERRA)
 - use topo file that has MERRA2 PHYS

M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_2000_cam6.xml
 - updated to use 2000climo emissions and low boundary data sets
 - include volcanic forcings of SO2

A    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_2010_cam6.xml
 - new use case file for FW2010climo
 - include volcanic forcings of SO2
 - use 2010 climo emissions
 - use solar data

M    components/cam/bld/namelist_files/use_cases/sd_waccm_tsmlt_cam6.xml
 - include NITROP_DP in fincl8 list

M    components/cam/bld/namelist_files/use_cases/2000_trop_strat_vbs_cam6.xml
M    components/cam/bld/namelist_files/use_cases/2010_trop_strat_vbs_cam6.xml
 - include volcanic forcings of SO2
 - update 2010climo emissions input files

M    components/cam/bld/namelist_files/use_cases/hist_trop_strat_vbsfire_cam6.xml
 - update fire emis factor input file

M    components/cam/cime_config/config_component.xml
M    components/cam/cime_config/config_compsets.xml
 - add new compsets:
   . FWHISTBgcCrop
   . FW4madSD
   . FW4madHIST
   . FXmadHIST
   . FXmadSD
   . FW2000climo
   . FW2010climo
 - switch CLM%BGC-CROP to CLM%SP in waccm and cam-chem compsets
 - change start date of FW*HIST compsets to 1950
 - remove reference cases for FW* compsets since we are now using CLM50%SP

M    components/cam/cime_config/config_pes.xml
 - change default PE layout for 1-degrees compsets on cheyenne
 - change default PE layout for 2-degrees waccm compsets on cheyenne

M    components/cam/cime_config/testdefs/testlist_cam.xml
 - add cheyenne intel tests for
   . FC2010climo
   . FW2000climo
   . FW2010climo
   . FXSD
   . FXmadSD
   . FXmadHIST
   . FWmadHIST
   . FW4madHIST
   . FW4madSD
 - add hobart nag tests for
   . FW4madHIST
   . FW4madSD

M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_imp_sol.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/chem_mods.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_prod_loss.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_lin_matrix.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_exp_sol.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_nln_matrix.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_lu_factor.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_sim_dat.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_indprd.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/chem_mech.doc
M    components/cam/src/chemistry/pp_waccm_mad_mam4/chem_mech.in
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_lu_solve.F90
M    components/cam/src/chemistry/pp_waccm_mad_mam4/mo_setrxt.F90
 - use vectorized chemistry solver
 - corrections to D-region chemistry reactions

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam:
  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d BASELINE cam6_0_015
  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d BASELINE cam6_0_015
  SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_015
 - namelist changes and baseline failures due to switch CLM50%BGC-CROP to CLM50%SP and updates to ICs

  ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s NLCOMP
  ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s NLCOMP
  ERP_Ln9.f09_f09_mg17.F2000climo.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERP_Ln9.f09_f09_mg17.F2000climo.cheyenne_intel.cam-outfrq9s NLCOMP
  ERP_D_Ln9.f09_f09_mg17.QSC6.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL ERP_D_Ln9.f09_f09_mg17.QSC6.cheyenne_intel.cam-outfrq9s NLCOMP
  SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 (Overall: NLFAIL) details:
    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 NLCOMP
 - namelist changes due to change in PE layout

  ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d (Overall: DIFF) details:
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d NLCOMP
    FAIL ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d BASELINE cam6_0_015: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam6_0_015/ERP_Ld3.f19_f19_mg16.FW4madSD.cheyenne_intel.cam-outfrq3d' does not exist
  SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d NLCOMP
    FAIL SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d BASELINE cam6_0_015: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam6_0_015/SMS_Ld1.f09_f09_mg17.FW2000climo.cheyenne_intel.cam-outfrq1d' does not exist
 - these new tests have no baselines to compare against

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: larger than roundoff for WACCM and CAM-Chem compsets

===============================================================
===============================================================

Tag name: cam6_0_015
Originator(s): eaton
Date: Mon Sep 17 07:46:13 MDT 2018
One-line Summary: Bug fix for missing longitude coordinate in history output

Purpose of changes:

. Fix bug in longitude coordinate creation for physics grid.  Refactor some
  memory management in the coordinate creation code for physics grid and FV
  grids.

Bugs fixed (include bugzilla ID): 

. The longitude coordinate for the physics grid was missing from the output
  file in 1/4-deg FV configurations.  There was no problem with wrong
  values being written.

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/dynamics/fv/dyn_grid.F90
. define_cam_grids
  - change local var coord_map from pointer to allocatable

components/cam/src/physics/cam/phys_grid.F90
. phys_grid_init
  - fix logic for choosing which columns send their longitude to the
    distributed coordinate object.
  - change local var coord_map from pointer to allocatable.

components/cam/src/physics/cam/conv_water.F90
. conv_water_readnl -- add initializer for conv_water_frac_limit

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS

cheyenne/intel/aux_cam: PASS

hobart/nag: PASS

hobart/pgi: PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB

===============================================================
===============================================================

Tag name: cam6_0_014
Originator(s): fvitt
Date: 6 Sep 2018
One-line Summary: Fix D-region chemistry bug; update volcanic emissions inputs; other misc changes

Purpose of changes:

 - fix bug in mo_setext which affects only D-region ion chemistry
 - update volcanic forcings inputs
 - include CFC11 in the fixed lower boundary species list for FWscHIST
 - adjust history fields in WACCM6 compsets

Bugs fixed (include bugzilla ID):

 bug in mo_setext which affects only D-region ion chemistry
  -- force electrons consistently with ions produced by energetic particle precipitation

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:
 - update volcanic emissions / forcings inputs for WACCM6

Describe any substantial timing or memory changes:

Code reviewed by: eaton

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:

M    components/cam/bld/namelist_files/namelist_defaults_cam.xml
 - update volcanic emissions / forcings

M    components/cam/bld/namelist_files/use_cases/sd_waccm_tsmlt_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_2000_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_1850_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_hist_cam6.xml
 - updates to history fields

M    components/cam/bld/namelist_files/use_cases/waccm_sc_hist_cam6.xml
  - include CFC11 as well as CFC11eq in the fixed lower boundary list

M    components/cam/src/chemistry/mozart/mo_setext.F90
 - force electrons consistently with ions
 - correct P_ION diagnostic

M    components/cam/src/chemistry/mozart/charge_neutrality.F90
 - refactored fix_mmr routine in a more straight forward manner

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: All BFB
  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: NLFAIL) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d NLCOMP
  SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details:
    FAIL SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s NLCOMP
  SMS_Ld1.f09_f09_mg17.FW2000.cheyenne_intel.cam-outfrq1d (Overall: NLFAIL) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW2000.cheyenne_intel.cam-outfrq1d NLCOMP

 Change in SO2 external forcings input file in atm_in

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: larger than roundoff for FWmad* and FWsc* compsets only

===============================================================
===============================================================

Tag name: cam6_0_013
Originator(s): klindsay, eaton
Date: Mon Aug 27 10:00:42 MDT 2018
One-line Summary: CO2 cycle mods; update manage externals

Purpose of changes:

. Fix bug that so that the hist_cam6 use case will set the fossil fuel
  dataset when the BGC component is included in the compset.  This bug
  affected the BHIST compset, but the CO2 cycle is diagnostic (BDRD) and
  doesn't impact the climate.

. Update the CO2 fossil fuel emission data set to use CMIP6 data.

. Refactor handling of co2 surface flux datasets to use recent CAM utils
  chemistry/utils/input_data_utils.F90 for time axis handling
  control/ncdio_atm.F90 for file IO

. Add FHIST_BDRD and F1850_BDRD compsets to exercise CO2 cycle.

. Update manage_externals.

Bugs fixed (include bugzilla ID):

. add check in flbc_set (mo_flbc.F90) to make sure the advected specie is
  one of the chemical species before trying to set it.  Avoids potential
  out of bounds write.

. bug fix to allow just the ISCPP simulator to run with COSP enabled.

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets:

. add CMIP6 data for CO2 emissions:
  emissions-cmip6_CO2_anthro_surface_175001-201412_0.9x1.25_kgm2s_c20180516.nc

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do:

components/cam/test/system/config_files/f0.9c6aqccdm
. add config for 1-deg cam6 w/ co2_cycle

List all existing files that have been modified, and describe the changes:

SVN_EXTERNAL_DIRECTORIES
. update manage externals to manic-v1.1.5

components/cam/bld/namelist_files/namelist_defaults_cam.xml
. update co2flux_fuel_file to use cmip6 data

components/cam/bld/namelist_files/use_cases/hist_cam6.xml
. add sim_year=1850-2000.  This is used as an attribute for setting the
  default value of co2flux_fuel_file when the CO2 cycle is on.

components/cam/cime_config/config_compsets.xml
. add F1850_BDRD and FHIST_BDRD to exercise CO2 cycle

components/cam/cime_config/testdefs/testlist_cam.xml
. replace aux_cam test for FHIST on cheyenne/intel by test for FHIST_BDRD
  to add co2_cycle test coverage

components/cam/src/chemistry/utils/mo_flbc.F90
. flbc_set -- Add check to make sure the advected specie is one of the
  chemical species before trying to set it.

components/cam/src/physics/cam/chem_surfvals.F90
. cleanup namelist read and summary to log file

components/cam/src/physics/cam/co2_cycle.F90
. update time interpolation to make use of methods in co2_data_flux.F90

components/cam/src/physics/cam/co2_data_flux.F90
. make use of new time_coordinate type (from input_data_utils)
. make use of distributed data reading routines in ncdio_atm

components/cam/src/physics/cam/cospsimulator_intr.F90
. bug fix to allow COSP to run with only the ISCPP simulator on.

components/cam/test/system/input_tests_master
. add {sm,bl}381 f0.9c6aqccdm outfrq3s+hist_cam6 3s

components/cam/test/system/test_driver.sh
. revert scratch location on cheyenne back to /glade/scratch

components/cam/test/system/tests_pretag_hobart_nag
. add {sm,bl}381 f0.9c6aqccdm outfrq3s+hist_cam6 3s

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS

cheyenne/intel/aux_cam: PASS except:
  ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_012:
      ERROR BFAIL baseline directory
      '/glade/p/cesmdata/cseg/cesm_baselines/cam6_0_012/ERP_Ln9.f09_f09_mg17.FHIST_BDRD.cheyenne_intel.cam-outfrq9s'
      does not exist 

This is a new test with no baseline available

hobart/nag: all PASS except

047 bl381 TBL.sh f0.9c6aqccdm outfrq3s+hist_cam6 3s ...........................................FAIL! rc= 7 at Fri Aug 24 14:46:01 MDT 2018

This is a new test with no baseline available

hobart/pgi: PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB except for the diagnostic CO2 cycle
 tracers due to new fossil fuel emissions.

===============================================================
===============================================================

Tag name: cam6_0_012
Originator(s): fvitt
Date: 15 Aug 2018
One-line Summary: WACCMX enhancements and bug fixes

Purpose of changes:

 - fix bug in charge neutrality module (to include Op2D and Op2P)
 - set aurora parameters when weimer potential model in WACCMX is active
 - enable AMIE prescribed electric potential in WACCMX
 - set potential model critical colatitudes by parameter set by
   high-latitude potential model
 - enable WACCMX 1-degree horizontal resolution
 - improve start up of the ionosphere on cold start by:
   . using ion and electron temperatures from ICs on first time step
     rather than neutral temperatures in chemistry, waccm heating, and
     ion drag
   . initializing not-transported species from IC file
 - misc code clean up

Bugs fixed (include bugzilla ID):

 - fix bug in charge neutrality module to include missing Op2D and Op2P ions

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: CAM code review team

List all files eliminated:

D     components/cam/src/physics/waccm/wei05sc.F90
 - removed stub

List all files added and what they do:

A     components/cam/src/physics/waccm/heelis_mod.F90
 - made available for WACCM -- this will enable removal of wei96 high-latitude potential model

A     components/cam/src/physics/waccm/aurora_params.F90
 - aurora parameters set by electric potential model

A     components/cam/src/ionosphere/waccmx/rgrd_mod.F90
A     components/cam/src/ionosphere/waccmx/amie.F90
 - added for AMIE

A     components/cam/src/ionosphere/epotential_params.F90
 - for exposing critical colatitudes to cam history

A     components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq9s_amie/user_nl_cam
A     components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq9s_amie/shell_commands
A     components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq9s_amie
A     components/cam/cime_config/testdefs/testmods_dirs/cam/waccmx_weimer/user_nl_cam
A     components/cam/cime_config/testdefs/testmods_dirs/cam/waccmx_weimer/shell_commands
A     components/cam/cime_config/testdefs/testmods_dirs/cam/waccmx_weimer
A     components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq1d_amie/user_nl_clm
A     components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq1d_amie/user_nl_cam
A     components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq1d_amie/shell_commands
A     components/cam/cime_config/testdefs/testmods_dirs/cam/outfrq1d_amie
A     components/cam/test/system/tests_waccmx_mpi
 - for regression tests

List all existing files that have been modified, and describe the changes:

M     components/cam/src/ionosphere/waccmx/filter.F90
 - correction to interpolate nn to the grid
 -- this changes answers for 4x5 res (not 1.9x2.5)

M     components/cam/bld/build-namelist
 - set default ionos_xport_nsplit for waccmx

M     components/cam/bld/namelist_files/namelist_defaults_cam.xml
 - add default IC file for 1deg waccmx
 - add default ionos_xport_nsplit

M     components/cam/bld/namelist_files/namelist_definition.xml
 - add namelist options:
   . epot_crit_colats -- electric potential critical colatitdes
   . ionos_epotential_amie -- if true then overwrite electric potential when AMIE inputs are available
   . amienh_file -- filepath for AMIE northern hemisphere inputs
   . amiesh_file -- filepath for AMIE southern hemisphere inputs

M     components/cam/cime_config/testdefs/testlist_cam.xml
 - add WACCMX tests for
   . AMIE
   . weimer
   . 1-deg

M     components/cam/cime_config/config_component.xml
 - use usermods_dirs/waccmx only if the horizontal resolution is 1.9x2.5
   for setting IC file for CLM4

M     components/cam/cime_config/config_pes.xml
 - set default PE layout for 1deg WACCMX on cheyenne

M     components/cam/src/chemistry/mozart/charge_neutrality.F90
 - BUG fix -- need to include excited states of Op (Op2P, Op2D)

M     components/cam/src/control/cam_history_support.F90
M     components/cam/src/control/cam_history.F90
 - add critical colatitides and solar wind parameters to history

M     components/cam/src/physics/waccmx/ion_electron_temp.F90
 - do not set ion and eletron temperatures to zero here on 0th time step

M     components/cam/src/physics/waccm/iondrag.F90
M     components/cam/src/physics/waccm/mo_aurora.F90
 - separate out parameters set by potential model
 - enable overwriting of mean energy and energy flux supplied by AMIE

M     components/cam/src/physics/waccm/mag_parms.F90
M     components/cam/src/physics/waccm/efield.F90

M     components/cam/src/chemistry/utils/solar_wind_data.F90
M     components/cam/src/chemistry/utils/solar_data.F90
 - expose solar_wind_on

M     components/cam/src/chemistry/mozart/mo_gas_phase_chemdr.F90
 - use ion and electron temperatures on 0th time step when read from IC file
   rather than the neutral temperatures

M     components/cam/src/chemistry/mozart/mo_chemini.F90
 - pass pbuf2d to aurora_inti

M     components/cam/src/chemistry/mozart/mo_aurora.F90
 - change stub interface

M     components/cam/src/chemistry/mozart/mo_sad.F90
 - remove unused is_first_step

M     components/cam/src/chemistry/mozart/chemistry.F90
 - invoke short-lived species write IC

M     components/cam/src/chemistry/mozart/mo_waccm_hrates.F90
 - use ion and electron temperatures on 0th time step when read from IC file
   rather than the neutral temperatures
 - pass pbuf to aurora for AMIE

M     components/cam/src/chemistry/mozart/short_lived_species.F90
 - write/read not-transported species to/from IC file

M     components/cam/src/chemistry/mozart/mo_usrrxt.F90
 - fix indentation

M     components/cam/src/ionosphere/waccmx/edyn_maggrid.F90
 - simply set cross-tail potential based on Kp
 - clean up

M     components/cam/src/ionosphere/waccmx/edyn_params.F90
M     components/cam/src/ionosphere/waccmx/edyn_init.F90
M     components/cam/src/ionosphere/waccmx/edyn_solve.F90
M     components/cam/src/ionosphere/waccmx/getapex.F90
 - clean up

M     components/cam/src/ionosphere/waccmx/ionosphere_interface.F90
 - add AMIE and colatitude options
 - enable coupling of AMIE with aurora in column physics
 - nag clean up

M     components/cam/src/ionosphere/waccmx/edynamo.F90
 - set edyn_esmf_update_flag
 - clean up

M     components/cam/src/ionosphere/waccmx/filter.F90
M     components/cam/src/ionosphere/waccmx/edyn_mpi.F90
 - changes to support 1-degrees waccmx


M     components/cam/src/ionosphere/waccmx/edyn_esmf.F90
 - add regrid capability for AMIE fields
 - nag clean up

M     components/cam/src/ionosphere/waccmx/heelis.F90
 - parts moved to column physics to enable use of heelis model in WACCM
 - nag cleanup

M     components/cam/src/ionosphere/waccmx/wei05sc.F90
 - set aurora parameters

M     components/cam/src/ionosphere/waccmx/dpie_coupling.F90
 - enable AMIE specification of electric potential
 - set critical angles using theta0 from potential model if they are not set by the user
 - nag clean up

M     components/cam/src/ionosphere/ionosphere_interface.F90
 - stub interface change

M     components/cam/test/system/tests_waccm_mpi
M     components/cam/test/system/nl_files/outfrq3s_euv
M     components/cam/test/system/input_tests_master
 - regression tests updates

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel:
023 bl390 TBL.sh f1.9c4aqwmxdh outfrq3s+waccmx_ma_2000_cam4 9s ................................FAIL! rc= 7 at Tue Aug 14 21:06:08 MDT 2018
026 bl391 TBL.sh f1.9c4aqwmxidh outfrq3s 9s ...................................................FAIL! rc= 7 at Tue Aug 14 21:40:01 MDT 2018

cheyenne/intel/aux_cam:
  ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_011

hobart/nag:
048 bl426 TBL.sh f10c4aqwmxdm outfrq3s_newyear 9s .............................................FAIL! rc= 7 at Tue Aug 14 16:32:57 MDT 2018

hobart/pgi: All PASS

WACCM-X answer changes due to:
 - crit angles set by theta0 from potential model (WCMXIE)
 - correction in charge neutrality (WCMX, WCM4)
 - use electron and ion temperatures from IC file on 1st time step in
   ion drag / joule heating, chemical heating, and chemistry (WCMXIE)
 - update solar wind data input to weimer potential model

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: larger than roundoff only for WACCMX, other wise bit-for-bit unchanged

===============================================================
===============================================================

Tag name: cam6_0_011
Originator(s): eaton
Date: Fri Aug 10 11:59:38 MDT 2018
One-line Summary: fix for running standalone mode w/ threads; mod to
                  archive initial files. 

Purpose of changes:

. update build-namelist to change namelist group ccsm_pes to cime_pes.  This
  is needed for standalone mode only.  When running via CESM scripts the
  driver component is responsible for these variables.

. Modify the short term archiving script to archive the initial files with
  the history files.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist:

. update namelist definitions for consistency with cime.

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/bld/build-namelist
. remove add_defaults for {ice,lnd,rof}_nthreads (these components are not
  used in standalone mode)
. change ccsm_pes to cime_pes

components/cam/bld/namelist_files/namelist_definition.xml
. remove variables for components that CAM standalone no longer uses
. change namelist group ccsm_pes to cime_pes

components/cam/cime_config/config_archive.xml
. modify so the initial files are archived with the history files.
  resolves github.com/ESMCI/cime/issues/2732

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam:

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB

===============================================================
===============================================================

Tag name: cam6_0_010
Originator(s): mmills, fvitt
Date: 6 Aug 2018
One-line Summary: Update CAM forcing files for 1850 compsets

Purpose of changes:

 Update the CAM forcing files produced from latest WACCM:
   . prescribed_ozone_file
   . prescribed_strataero_file
   . tracer_cnst_file
   . H2O ext_frc file

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M   components/cam/bld/namelist_files/use_cases/1850_cam6.xml
 - update forcing files:
   . prescribed_ozone_file
   . prescribed_strataero_file
   . tracer_cnst_file
   . H2O ext_frc file

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam:
  ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_009
  - expected failure due to changes to 1850_cam6 use case

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: larger than roundoff

If bitwise differences were observed, how did you show they were no worse
than roundoff?

If this tag changes climate describe the run(s) done to evaluate the new
climate in enough detail that it(they) could be reproduced, i.e.,
- source tag (all code used must be in the repository):
- platform/compilers:
- configure commandline:
- build-namelist command (or complete namelist):
- MSS location of output:

MSS location of control simulations used to validate new climate:

URL for AMWG diagnostics output used to validate new climate:

===============================================================
===============================================================

Tag name: cam6_0_009
Originator(s): fvitt
Date: 2 Aug 2018
One-line Summary: WACCM and CAM-Chem compset updates; correction to gravity wave diagnostic

Purpose of changes:
 - fix gravity wave diagnostic TTGWORO
 - add missing build-namelist use case file for FCfireHIST compset
 - updates to WACCM and CAM-Chem compsets
  . updates to history fields output in WACCM6 compsets
  . use CLM50%SP (rather than %BGC-CROP) in SD compsets
  . change start date to 1 Jan 2005 for 1-deg SD compsets
  . CLM namelist option use_init_interp=.true. seems to be needed for 2-deg WACCM
  . SD compsets no longer started as hybrid run type

Bugs fixed (include bugzilla ID):

 - add missing build-namelist use case file for FCfireHIST compset

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: cacraig, eaton

List all files eliminated:

List all files added and what they do:
A  components/cam/bld/namelist_files/use_cases/hist_trop_strat_vbsfire_cam6.xml
 - missing use case for FCfireHIST compset

List all existing files that have been modified, and describe the changes:
M    components/cam/src/physics/cam/gw_drag.F90
 - fix TTGWORO diagnostic

M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_2000_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_1850_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_hist_cam6.xml
M    components/cam/bld/namelist_files/use_cases/sd_waccm_tsmlt_cam6.xml
 - adjustments to the history fields lists (fincls) for waccm6

M    components/cam/bld/namelist_files/use_cases/sd_waccm_ma_cam6.xml
M    components/cam/bld/namelist_files/use_cases/sd_trop_strat_vbs_cam6.xml
 - change start date to 1 Jan 2005 for 1-deg SD compsets

M    components/cam/cime_config/config_compsets.xml
 - use CLM50%SP (rather than %BGC-CROP) in SD compsets
 - change start date to 1 Jan 2005 for 1-deg SD compsets
 - clm namelist option use_init_interp=.true. seems to be needed for 2-deg waccm
 - SD compsets no longer started as hybrid run type

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: All PASS

hobart/nag: All PASS

hobart/pgi: All PASS

Summarize any changes to answers:
 SD compsets will change answers due to:
   - change in start date
   - change in initial conditions
   - switch CLM50%BGC-CROP to CLM50%SP
   - change in clm build-namelist use case

===============================================================
===============================================================

Tag name: cam6_0_008
Originator(s): jet
Date: 31 July 2018
One-line Summary:  fix scam bug and replace faulty T42 ocn domain files with new ones.  A corresponding PR for cime
	has also been submitted which updates T42 domain defaults. https://github.com/ESMCI/cime/pull/2736

Purpose of changes:

 - fix scam bug and replace faulty T42 ocn domain that were created for the cesm2.0 release with new ones.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets: default domain.ocn.T42 files were replace
with new ones.  Older versions domain.xxx.170629.nc had incorrect coordinate values for xc and yc due
to a problem with the gen_domain code.

Describe any substantial timing or memory changes:

Code reviewed by: cacraig

List all files eliminated:

List all files added and what they do:
	M       bld/namelist_files/namelist_defaults_cam.xml
		- replace faulty T42 ocn.domain file with corrected file
	M       src/dynamics/eul/iop.F90
	        - fixed bug when interpolating from an iop file
	          with a different number of levels than plev.

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: All PASS

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: New domain files produce BFB results for everything but SCAM compsets
	or CAM runs using T42 resolution.  Bug fix for iop.F90 affects SCAM runs that need to
	interpolate IOP levels to CAM levels.

===============================================================

Tag name: cam6_0_007
Originator(s): fvitt, tilmes
Date: 20 July 2028
One-line Summary: Updates to CAMChem and SD compsets; add PM2.5 diagnostic

Purpose of changes:

 - add PM2.5 diagnostics (2.5 micrometer particulate matter)
 - add extended VBS SOA chemistry mechanism
 - add compsets:
    . FCvbsxHIST -- CAMChem with extended VBS SOA scheme
    . FCfireHIST -- CAMChem with active CLM fire emissions
 - use MERRA meteorology in all SD compsets
 - add support for half-degree SD CAMChem
 - change start date of FCHIST to 1995-01-01

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: eaton, cacraig

List all files eliminated:

List all files added and what they do:

A     components/cam/bld/namelist_files/use_cases/hist_trop_strat_vbsext_cam6.xml
 - for FCvbsxHIST -- full VBS chemistry mechanism

A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_exp_sol.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/m_rxt_id.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_phtadj.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_nln_matrix.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_lu_factor.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_sim_dat.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_indprd.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/m_spc_id.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/chem_mech.doc
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/chem_mech.in
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_lu_solve.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_setrxt.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_adjrxt.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_rxt_rates_conv.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_imp_sol.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/chem_mods.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_prod_loss.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext/mo_lin_matrix.F90
A     components/cam/src/chemistry/pp_trop_strat_mam4_vbsext
 - add full VBS chemistry mechanism

A     components/cam/test/system/config_files/f10c6aqtsvbsxdm
A     components/cam/test/system/config_files/f1.9c6aqtsvbsxdh
 - add new tests for full VBS chemistry

List all existing files that have been modified, and describe the changes:

M     components/cam/src/chemistry/utils/modal_aero_wateruptake.F90
 - add PM2.5 diagnostics

M     components/cam/src/dynamics/fv/metdata.F90
 - write to log only if masterproc

M     components/cam/test/system/nl_files/outfrq3s_sums
M     components/cam/test/system/input_tests_master
M     components/cam/test/system/tests_chem_hybrid
M     components/cam/test/system/tests_chem_mpi
M     components/cam/bld/config_files/definition.xml
 - add  trop_strat_mam4_vbsext chem option

M     components/cam/bld/build-namelist
 - accommodate emissions for full VBS mechanism

M     components/cam/bld/namelist_files/master_aer_drydep_list.xml
M     components/cam/bld/namelist_files/master_aer_wetdep_list.xml
 - add pombb1 and pomff1 (a1 and a4) for full VBS mechanism

M     components/cam/bld/namelist_files/use_cases/2000_trop_strat_vbs_cam6.xml
M     components/cam/bld/namelist_files/use_cases/2010_trop_strat_vbs_cam6.xml
 - add PM25 to fincl1 list

M     components/cam/bld/namelist_files/use_cases/hist_trop_strat_vbs_cam6.xml
 - update IC file
 - add PM25 to fincl1 list

M     components/cam/bld/namelist_files/use_cases/sd_trop_strat_vbs_cam6.xml
 - use MERRA PHIS
 - add half-degree MERRA meteorology
 - change start date of one-degree meteorology to 19800101
 - add PM25 to fincl1 list

M     components/cam/bld/namelist_files/use_cases/sd_waccm_tsmlt_cam6.xml
M     components/cam/bld/namelist_files/use_cases/sd_waccm_ma_cam6.xml
 - use MERRA meteorology
 - use MERRA PHIS
 - change start date of meteorology to 19800101

M     components/cam/bld/namelist_files/namelist_defaults_cam.xml
 - use WACCM default GW settings when chem is trop_strat_mam4_vbsext

M     components/cam/cime_config/config_pes.xml
M     components/cam/cime_config/config_compsets.xml
M     components/cam/cime_config/testdefs/testlist_cam.xml
M     components/cam/cime_config/config_component.xml
 - add compsets FCvbsxHIST and FCfireHIST
 - change start data of FCHIST to 1995-01-01
 - update reference cases for SD compsets
 - add support for half-degree FCSD

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam:

  SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_006: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam6_0_006/SMS_D_Ln9.f09_f09_mg17.FCvbsxHIST.cheyenne_intel.cam-outfrq9s' does not exist
 - no baseline to compare against

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB except SD and FCHIST compsets change answers

===============================================================
===============================================================

Tag name: cam6_0_006
Originator(s): pel, aherring, patc, goldy, eaton
Date: Wed Jul 18 10:49:31 MDT 2018
One-line Summary: Update SE/CSLAM

Purpose of changes:

. updates to SE/CSLAM

Bugs fixed (include bugzilla ID):

. bug fix for CSLAM

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:
components/cam/bld/build-namelist
components/cam/bld/namelist_files/namelist_defaults_cam.xml
. change se_ftype default to 2 for all applications

components/cam/src/dynamics/se/dp_coupling.F90
components/cam/src/dynamics/se/dp_mapping.F90
components/cam/src/dynamics/se/dycore/element_mod.F90
components/cam/src/dynamics/se/dycore/fvm_analytic_mod.F90
components/cam/src/dynamics/se/dycore/fvm_consistent_se_cslam.F90
components/cam/src/dynamics/se/dycore/fvm_control_volume_mod.F90
components/cam/src/dynamics/se/dycore/fvm_mapping.F90
components/cam/src/dynamics/se/dycore/fvm_mod.F90
components/cam/src/dynamics/se/dycore/fvm_reconstruction_mod.F90
components/cam/src/dynamics/se/dycore/prim_advance_mod.F90
components/cam/src/dynamics/se/dycore/prim_advection_mod.F90
components/cam/src/dynamics/se/dycore/prim_driver_mod.F90
components/cam/src/dynamics/se/dycore/prim_state_mod.F90
components/cam/src/dynamics/se/dycore/vertremap_mod.F90
components/cam/src/dynamics/se/dycore/viscosity_mod.F90
components/cam/src/dynamics/se/dyn_comp.F90
components/cam/src/dynamics/se/restart_dynamics.F90
components/cam/src/dynamics/se/stepon.F90
components/cam/src/dynamics/se/test_fvm_mapping.F90
. scale top-of-atmosphere damping based on pressure instead of index
  (same as FV)
. bug fix for CSLAM
. new pg2-pg4 physics-dynamics coupling algorithm (Adam's presentation)
  that has been scientifically validated (not yet optimized)
. increase vorticity damping
. different scaling of hyper viscosity with resolution
. Patrick Callaghan's updated reference pressure algorithm
. clean-up (boundary exchanges for psdry that were not used, variables not
  used, etc.)

components/cam/src/physics/cam/cam_diagnostics.F90
. move addfld for energy and angular momentum diagnostics to
  diag_init_dry.  (so that they work on Held-Suarez setup)

components/cam/src/physics/cam/physpkg.F90
. code change so that energy diagnostics are correct for EUL and FV

components/cam/src/physics/cam/tracers.F90
. change location and size of slotted-cylinder distribution

components/cam/src/physics/camrt/rad_solar_var.F90
components/cam/src/physics/rrtmg/ebert_curry.F90
components/cam/src/physics/rrtmg/oldcloud.F90
components/cam/src/physics/rrtmg/rad_solar_var.F90
components/cam/src/physics/rrtmg/radiation.F90
components/cam/src/physics/rrtmg/rrtmg_state.F90
. fixes to make r8 checker happy

components/cam/src/physics/simple/physpkg.F90
. add energy and angular momentum diagnostics to simple physics setup

components/cam/test/system/TR8.sh
. added directories to check

components/cam/test/system/test_driver.sh
. cleanup

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel:
029 bl735 TBL.sh h16c5aqdm outfrq3s+1850-2005_cam5 9s .........................................FAIL! rc= 7 at Tue Jul 17 14:51:51 MDT 2018
032 bl736 TBL.sh h16adtermdh terminator 9s ....................................................FAIL! rc= 7 at Tue Jul 17 14:54:17 MDT 2018

all SE baselines expected to fail

cheyenne/intel/aux_cam:

  ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined (Overall: DIFF) details:
    FAIL ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined NLCOMP
    FAIL ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined BASELINE cam6_0_005

. The SE test fails namelist comparison and baseline due to SE changes.

hobart/nag:
058 bl700 TBL.sh h5adicdm outfrq3s_bwic 9s ....................................................FAIL! rc= 7 at Tue Jul 17 11:24:39 MDT 2018
062 bl702 TBL.sh h5.3adicdm outfrq3s_bwic 9s ..................................................FAIL! rc= 7 at Tue Jul 17 11:27:50 MDT 2018
067 bl711 TBL.sh h5c5aqt5mdm ttrac 9s .........................................................FAIL! rc= 7 at Tue Jul 17 11:41:16 MDT 2018
073 bl720 TBL.sh h16c4aqdm outfrq3s+aquaplanet_cam4 9s ........................................FAIL! rc= 7 at Tue Jul 17 11:51:54 MDT 2018
076 bl721 TBL.sh h16.3c4aqdm outfrq3s+aquaplanet_cam4 9s ......................................FAIL! rc= 7 at Tue Jul 17 11:58:40 MDT 2018

. all SE baselines fail due to SE changes

hobart/pgi:
026 bl704 TBL.sh h5.4addm outfrq3s 9s .........................................................FAIL! rc= 7 at Tue Jul 17 12:02:36 MDT 2018
031 bl707 TBL.sh h5.2addm outfrq3s 9s .........................................................FAIL! rc= 7 at Tue Jul 17 12:37:40 MDT 2018
034 bl712 TBL.sh h5c5aqbamdm outfrq3s+aquaplanet_cam5 9s ......................................FAIL! rc= 7 at Tue Jul 17 12:50:30 MDT 2018

. all SE baselines fail due to SE changes

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB except SE changes answers

===============================================================
===============================================================

Tag name: cam6_0_005
Originator(s): santos, andrew, eaton
Date: Mon Jul 16 09:40:14 MDT 2018
One-line Summary: MG2 bug fix in evaporation code

Purpose of changes:

. fix bug reported by Sean Santos in MG2

Bugs fixed (include bugzilla ID):

. bug fix in MG2 evaporation of rain number

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/physics/cam/micro_mg2_0.F90
. bug fix in adding evaporation of rain number


If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: PASS except:
017 bl370 TBL.sh f1.9c6aqtsvbsdh outfrq3s 9s ..................................................FAIL! rc= 7 at Fri Jul 13 14:23:06 MDT 2018
020 bl380 TBL.sh f1.9c6aqcdh outfrq3s_cosp 9s .................................................FAIL! rc= 7 at Fri Jul 13 14:53:14 MDT 2018

cam6 physics configs have different answers

cheyenne/intel/aux_cam: PASS except:
  ERP_D_Ln9.f09_f09_mg17.QSC6.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_D_Ln9.f09_f09_mg17.QSC6.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_004
  ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_004
  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d BASELINE cam6_0_004
  ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_004
  ERP_Ln9.f09_f09_mg17.F2000climo.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F2000climo.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_004
  ERP_Ln9.f09_f09_mg17.FHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST.cheyenne_intel.cam-outfrq9s BASELINE cam6_0_004
  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d BASELINE cam6_0_004
  SMS_Ld1.f09_f09_mg17.FW2000.cheyenne_intel.cam-outfrq1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW2000.cheyenne_intel.cam-outfrq1d BASELINE cam6_0_004
  SMS_Lm13.f10_f10_mg37.F2000climo.cheyenne_intel.cam-outfrq1m (Overall: DIFF) details:
    FAIL SMS_Lm13.f10_f10_mg37.F2000climo.cheyenne_intel.cam-outfrq1m BASELINE cam6_0_004

cam6 physics configs have different answers

hobart/nag: PASS except:
027 bl318 TBL.sh f10c6aqcdm sat_hist 9s .......................................................FAIL! rc= 7 at Fri Jul 13 13:02:07 MDT 2018
039 bl367 TBL.sh f10c6aqdm outfrq3s_convmic 9s ................................................FAIL! rc= 7 at Fri Jul 13 13:14:31 MDT 2018
042 bl368 TBL.sh f10c6aqdm outfrq3s 9s ........................................................FAIL! rc= 7 at Fri Jul 13 13:17:32 MDT 2018
045 bl369 TBL.sh f10c6aqdm outfrq3s_am 9s .....................................................FAIL! rc= 7 at Fri Jul 13 13:20:39 MDT 2018
054 bl471 TBL.sh f10c6aqwmadm outfrq3s 9s .....................................................FAIL! rc= 7 at Fri Jul 13 13:46:09 MDT 2018

cam6 physics configs have different answers

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB except all configs that use cam6
  physics change answers.

===============================================================
===============================================================

Tag name: cam6_0_004
Originator(s): eaton
Date: Thu Jul 12 09:36:47 MDT 2018
One-line Summary: update hobart testing to nag-6.2; misc fixes

Purpose of changes:

. update hobart testing to nag-6.2
. misc fixes
  - update size of mode_defs array from 60 to 120 
  - initializations of integer(iMap) arrays to zero have been changed
    to use 0_iMap instead of a default 0.
  - remove initialization of cam_out%tbot to posinf
  - change archive location on cheyenne to /glade/p/cesmdata/cseg/cam_baselines

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:
components/cam/bld/configure
. update load flags for nag to 6.2

components/cam/bld/namelist_files/namelist_definition.xml
. update size of mode_defs array from 60 to 120 

components/cam/src/dynamics/fv/d2a3dijk.F90
components/cam/src/dynamics/fv/d2a3dikj.F90
components/cam/src/dynamics/fv/par_vecsum.F90
. add missing end subroutine statements

components/cam/src/dynamics/se/dyn_grid.F90
. define_cam_grids
  - All initializations of integer(iMap) arrays to zero have been changed
    to use 0_iMap instead of a default 0.

components/cam/src/physics/cam/physpkg.F90
. remove unused infnan
. remove initialization of cam_out%tbot to posinf

components/cam/src/physics/cam/rad_constituents.F90
. increase n_mode_str from 60 to 120

components/cam/test/system/archive_baseline.sh
. change archive location on cheyenne to /glade/p/cesmdata/cseg/cam_baselines

components/cam/test/system/test_driver.sh
. change /glade/scratch to /glade/scratch_new.  Will need to revert this
  when CISL does.
. update NAG from 6.1 to 6.2

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: PASS except:

  SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 (Overall: DIFF) details:
    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 BASELINE cam6_0_003
    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 MEMCOMP Error: Memory usage increase > 10% from baseline

The baseline fails in the cpl output due to changing the initialization of
a2x_Sa_tbot from inf to 0.0.

The MEMCOMP error is due to a flakey test.

hobart/nag: PASS except:
005 bl111 TBL.sh e8c5aqt5mdm ghgrmp_e8 9s .....................................................FAIL! rc= 7 at Tue Jul 10 13:51:06 MDT 2018
017 bl311 TBL.sh f10c5aqt5mdm ttrac 9s ........................................................FAIL! rc= 7 at Tue Jul 10 14:07:24 MDT 2018
024 bl317 TBL.sh f10c5aqcdm outfrq3s_cosp 9s ..................................................FAIL! rc= 7 at Tue Jul 10 14:17:21 MDT 2018
027 bl318 TBL.sh f10c6aqcdm sat_hist 9s .......................................................FAIL! rc= 7 at Tue Jul 10 14:30:23 MDT 2018
030 bl325 TBL.sh f10c5aqscdm outfrq3s_subcol 9s ...............................................FAIL! rc= 7 at Tue Jul 10 14:34:36 MDT 2018
036 bl338 TBL.sh f10c5aqdm rad_diag_mam 9s ....................................................FAIL! rc= 7 at Tue Jul 10 14:38:17 MDT 2018
039 bl367 TBL.sh f10c6aqdm outfrq3s_convmic 9s ................................................FAIL! rc= 7 at Tue Jul 10 14:43:54 MDT 2018
042 bl368 TBL.sh f10c6aqdm outfrq3s 9s ........................................................FAIL! rc= 7 at Tue Jul 10 14:47:07 MDT 2018
045 bl369 TBL.sh f10c6aqdm outfrq3s_am 9s .....................................................FAIL! rc= 7 at Tue Jul 10 14:52:27 MDT 2018
051 bl430 TBL.sh f10c5aqcmtt1dm outfrq3s_carma 9s .............................................FAIL! rc= 7 at Tue Jul 10 15:09:52 MDT 2018
054 bl471 TBL.sh f10c6aqwmadm outfrq3s 9s .....................................................FAIL! rc= 7 at Tue Jul 10 15:25:13 MDT 2018
067 bl711 TBL.sh h5c5aqt5mdm ttrac 9s .........................................................FAIL! rc= 7 at Tue Jul 10 15:45:13 MDT 2018

All diffs look like roundoff due to compiler version change.

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB.  Roundoff diffs w/ NAG due to
  compiler version change.

===============================================================
===============================================================

Tag name: cam6_0_003
Originator(s): mmills, eaton
Date: Fri Jul  6 09:45:06 MDT 2018
One-line Summary: Update emission files; update cime external

Purpose of changes:

. Update some emission files and add ndep_list to all compsets using
  WACCM TSMLT chemistry (CAM60%WCTS) and CAM TS chemistry (CAM60%CCTS)

. update to cime5.6.9

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: 
. Replace
  emissions-cmip6_BIGALK_bb_surface_1750-2015_0.9x1.25_c20170322.nc with
  emissions-cmip6_BIGALK_bb_surface_1750-2015_0.9x1.25_c20180611.nc

. Replace
  emissions-cmip6_BIGENE_bb_surface_1750-2015_0.9x1.25_c20170322.nc with
  emissions-cmip6_BIGENE_bb_surface_1750-2015_0.9x1.25_c20180611.nc

. Replace
  emissions-cmip6_NO_bb_surface_1750-2015_0.9x1.25_c20170322.nc with
  emissions-cmip6_NO_bb_surface_1750-2015_0.9x1.25_c20180611.nc

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated: none

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

cam/bld/configure
. update NAG lib for hobart upgrade

cam/bld/namelist_files/namelist_defaults_cam.xml
. update the emissions files listed above

cam/bld/namelist_files/use_cases/2000_trop_strat_vbs_cam6.xml
cam/bld/namelist_files/use_cases/2010_trop_strat_vbs_cam6.xml
cam/bld/namelist_files/use_cases/hist_trop_strat_vbs_cam6.xml
cam/bld/namelist_files/use_cases/sd_trop_strat_vbs_cam6.xml
cam/bld/namelist_files/use_cases/sd_waccm_tsmlt_cam6.xml
cam/bld/namelist_files/use_cases/waccm_tsmlt_1850_cam6.xml
cam/bld/namelist_files/use_cases/waccm_tsmlt_2000_cam6.xml
cam/bld/namelist_files/use_cases/waccm_tsmlt_hist_cam6.xml
. add ndep_list='noy','nhx'

cam/test/system/test_driver.sh
. update pgi-17.05 to pgi-18.1

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel:
017 bl370 TBL.sh f1.9c6aqtsvbsdh outfrq3s 9s ..................................................FAIL! rc= 7 at Thu Jul  5 13:48:09 MDT 2018

Diff due to new emissions.

cheyenne/intel/aux_cam:

  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d BASELINE cam6_0_002

  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d BASELINE cam6_0_002

  SMS_Ld1.f09_f09_mg17.FW2000.cheyenne_intel.cam-outfrq1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW2000.cheyenne_intel.cam-outfrq1d NLCOMP
    FAIL SMS_Ld1.f09_f09_mg17.FW2000.cheyenne_intel.cam-outfrq1d BASELINE cam6_0_002

Diffs due to new emissions and ndep_list

hobart/nag:
054 bl471 TBL.sh f10c6aqwmadm outfrq3s 9s .....................................................FAIL! rc= 7 at Thu Jul  5 13:10:29 MDT 2018

Diff due to new CO emissions.

hobart/pgi:
004 bl112 TBL.sh e8c3aqdm outfrq3s+aquaplanet_cam3 9s .........................................FAIL! rc= 7 at Thu Jul  5 11:35:54 MDT 2018
008 bl114 TBL.sh e8c4aqdm co2rmp 9s ...........................................................FAIL! rc= 7 at Thu Jul  5 11:45:35 MDT 2018
011 bl222 TBL.sh f10spmaqdm outfrq3s 9s .......................................................FAIL! rc= 7 at Thu Jul  5 12:31:11 MDT 2018
014 bl314 TBL.sh f10c4aqwscdm outfrq3s_diags 9s ...............................................FAIL! rc= 7 at Thu Jul  5 12:44:21 MDT 2018
017 bl320 TBL.sh f10c5aqpbadm rad_diag 9s .....................................................FAIL! rc= 7 at Thu Jul  5 12:55:50 MDT 2018
020 bl334 TBL.sh f10c5aqudm outfrq3s 9s .......................................................FAIL! rc= 7 at Thu Jul  5 13:09:52 MDT 2018
023 bl339 TBL.sh f10adhterm terminator 9s .....................................................FAIL! rc= 7 at Thu Jul  5 13:18:16 MDT 2018
026 bl704 TBL.sh h5.4addm outfrq3s 9s .........................................................FAIL! rc= 7 at Thu Jul  5 13:27:41 MDT 2018
031 bl707 TBL.sh h5.2addm outfrq3s 9s .........................................................FAIL! rc= 7 at Thu Jul  5 14:00:47 MDT 2018
034 bl712 TBL.sh h5c5aqbamdm outfrq3s+aquaplanet_cam5 9s ......................................FAIL! rc= 7 at Thu Jul  5 14:12:38 MDT 2018

Roundoff level diffs due to compiler update.

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB except for:

 . answer changes in configs using new emissions and use cases with
   ndep_list added

 . roundoff diffs resulting from pgi update on hobart

===============================================================
===============================================================

Tag name: cam6_0_002
Originator(s): eaton
Date: Thu Jun 14 11:07:04 MDT 2018
One-line Summary: merge fixes from release branch

Purpose of changes:

. merge fixes from release branch through cam_cesm2_0_rel_10.

  - add check that filename is not missing before adding it the inputdata
    file used by cime scripts to automatically download required data files.

  - fix python3 incompatibility in buildnml script

Bugs fixed (include bugzilla ID):

. Fix bug in calculation of axial angular momentum diagnostics

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated:

components/cam/cime_config/testdefs/testmods_dirs/cam/dartcambigens/user_nl_cice
. remove -- not needed

List all files added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/cime_config/buildnml
. use int() function on calc for dtime setting

components/cam/bld/build-namelist
. add check that filename is not missing before adding it the inputdata
  file used by cime scripts to automatically download required data files.

components/cam/src/physics/cam/check_energy.F90
. Fix bug in calculation of axial angular momentum diagnostics

components/cam/cime_config/testdefs/testlist_cam.xml
. increase the wallclock time for DART and FWmadSD tests

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: PASS, but note:
    FAIL ERP_Ln9.f09_f09_mg17.F2000climo.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 NLCOMP
    FAIL SMS_Lm13.f10_f10_mg37.F2000climo.cheyenne_intel.cam-outfrq1m NLCOMP

    These failures are due to a known bug in the cime comparison code.

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB

===============================================================
===============================================================

Tag name: cam6_0_001
Originator(s): cacraig
Date: May 25, 2018
One-line Summary: Update externals to match cesm2_0_alpha10h and bring in bug fixes from release

Purpose of changes:
 - update externals to cesm2_0_alpha10h
 - increase timings on FCSD and FWmaSD tests
 - add QPC6 and QSC6 ne30 tests
 - bring in change in atm_comp_mct.F90 for DART
 - add missing _mg17 in one test in testlist

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
          - update externals to match cesm2_0_alpha10h

M       components/cam/cime_config/testdefs/testlist_cam.xml
          - bump up timing on FCSD and FWmaSD tests
          - add ne30 tests for QPC6 and QSC6
          - add missing _mg17 on one test

M       components/cam/src/cpl/atm_comp_mct.F90
          - bug fix for multi-instance DART

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all BFB

cheyenne/intel/aux_cam:  all tests have namelist changes and all tests except for HIST and aquaplanet have
  baseline failures due to changed externals

hobart/nag: all BFB

hobart/pgi: all BFB

===============================================================
===============================================================

Tag name:cam6_0_000 
Originator(s): cacraig (and MANY other developers)
Date: May 17, 2018
One-line Summary: CAM6 initial release

Purpose of changes:
  - This is an duplicate tag for cam5_4_191 and represents the CAM6 release code
  - Bug fixes may still occur

List all existing files that have been modified, and describe the changes:  NONE

===============================================================
===============================================================

Tag name:cam5_4_191 
         (also known as cam_cesm2_0_rel_00)
Originator(s): cacraig, hannay
Date: May 17, 2018
One-line Summary: Final mods for the CESM2.0 release

Purpose of changes:
  - Update the SST files
  - Update the F2000climo and FHIST compsets
  - Remove metadata which is unset in CAM's history files

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
          - update cime

M       components/cam/bld/namelist_files/use_cases/2000_cam6.xml
          - modified emission file
          - added flbc file info

M       components/cam/cime_config/config_compsets.xml
          - Change F2000_Dev to F2000climo
          - Change FHIST_Dev to FHIST
          - remove obsolete FC5L45BGC compset
          - update SST files
          - add missing "CROP" to CLM longnames

M       components/cam/cime_config/testdefs/testlist_cam.xml
          - Change F2000_Dev to F2000climo
          - Change FHIST_Dev to FHIST
          - remove camchem test from DART (should not have been there)
          - FWSD has a higher wallclock time
          - various mods for test_release tests

M       components/cam/src/control/cam_history.F90
          - commented out all of the metadata fields which are not being currently set properly


If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all BFB

cheyenne/intel/aux_cam: All tests had namelist changes due to changes in cime
                        The following tests had namelist changes (due to new SST file) as well as baseline changes
  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
  ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
  ERS_Ln9.f19_f19_mg17.FSPCAMS.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
  SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s (Overall: NLFAIL) details: This will have answer changes over the ocean
  SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 (Overall: DIFF) details:
                        The following tests were renamed and had no namelist or baselines to compare against (but
                        changes were expected due to new SST files)
  ERP_Ln9.f09_f09_mg17.F2000climo.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
  ERP_Ln9.f09_f09_mg17.FHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
  SMS_Lm13.f10_f10_mg37.F2000climo.cheyenne_intel.cam-outfrq1m (Overall: DIFF) details:
                        The following test did not have a baseline as the required input file did not exist until now
  SMS_Ld1.f09_f09_mg17.FW2000.cheyenne_intel.cam-outfrq1d (Overall: DIFF) details:

hobart/nag: all BFB

hobart/pgi: all BFB

Additional tests run:
  Ran test_release testing for every CAM compset to make sure that they compile and run for at least 9 time steps (not all tests
  made it into the machine prior to this tag being made)

===============================================================
===============================================================

Tag name: cam5_4_190
Originator(s): fvitt
Date: 14 May 2018
One-line Summary: Update CIMP6 CO anthropogenic surface emissions and other misc updates

Purpose of changes:

 - update CIMP6 CO emissions (1750-2015, 2000climo, 2010climo)
 - update 2000climo and 2010clim LBC files for FC2000climo and FC2010climo compsets
 - update FW1850 run reference case

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: fvitt

List all files eliminated:

List all files added and what they do:

List all existing files that have been modified, and describe the changes:

M     components/cam/bld/namelist_files/namelist_defaults_cam.xml
 - update CIMP6 CO emissions

M     components/cam/bld/namelist_files/use_cases/2000_trop_strat_vbs_cam6.xml
 - update 2000climo CO emissions and LBC files

M     components/cam/bld/namelist_files/use_cases/2010_trop_strat_vbs_cam6.xml
 - update 2010climo CO emissions and LBC files

M     components/cam/cime_config/config_compsets.xml
M     components/cam/cime_config/config_component.xml
 - update FW1850 run reference case to f.e20.FW1850.f09_f09_mg17.295_v2
   -- no longer need to specify ncdata separately

M     components/cam/cime_config/testdefs/testlist_cam.xml
 - minor correction for the FX2000 compset test

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel:
017 bl370 TBL.sh f1.9c6aqtsvbsdh outfrq3s 9s ..................................................FAIL! rc= 7 at Mon May 14 17:00:22 MDT 2018
 - expected failure due to change in default CO surface emissions file

cheyenne/intel/aux_cam:
  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d BASELINE cam5_4_189
 - FWHIST baseline is expected to fail due to updates to CO emissions file

  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d BASELINE cam5_4_189: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam5_4_189/SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d' does not exist
 - FW1850 baseline is expected to fail due to updates to CO emissions file and refernce case files

hobart/nag:
054 bl471 TBL.sh f10c6aqwmadm outfrq3s 9s .....................................................FAIL! rc= 7 at Mon May 14 14:37:52 MDT 2018
 - expected failure due to change in default CO surface emissions file

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: changes are larger than roundoff for CAM-Chem and WACCM, impact on climate is expected to be small

If bitwise differences were observed, how did you show they were no worse
than roundoff?

If this tag changes climate describe the run(s) done to evaluate the new
climate in enough detail that it(they) could be reproduced, i.e.,
- source tag (all code used must be in the repository):
- platform/compilers:
- configure commandline:
- build-namelist command (or complete namelist):
- MSS location of output:

MSS location of control simulations used to validate new climate:

URL for AMWG diagnostics output used to validate new climate:

===============================================================
===============================================================

Tag name: cam5_4_189
Originator(s): cacraig, hannay, fvitt, goldy, raeder, mmills, jet, jedwards
Date: May 13, 2018
One-line Summary: misc changes for CAM6 release branch

Purpose of changes:
  - updates to use CLM new refcases
  - update manage_externals
  - changes to allow SCAM tests to perform the comparison with the camiop
  - updates to 1850 use case to mimic Cecile's 297 run
  - CAM now has its own config_archive.xml file
  - added science_support flags for CAM compsets

NOTE -- FW1850 is currently BROKEN and will be fixed in an upcoming tag

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: eaton (parts)

List all files eliminated:

List all files added and what they do:
A         components/cam/cime_config/config_archive.xml
              - CAM now has config_archive information in its source tree

A         components/cam/cime_config/testdefs/testmods_dirs/cam/dartcambigens
A         components/cam/cime_config/testdefs/testmods_dirs/cam/dartcambigens/user_nl_cam
A         components/cam/cime_config/testdefs/testmods_dirs/cam/dartcambigens/shell_commands
A         components/cam/cime_config/testdefs/testmods_dirs/cam/dartcambigens/user_nl_cice
A         components/cam/cime_config/testdefs/testmods_dirs/cam/dartcambigens/user_nl_clm
              - Filex to support DART

A         components/cam/test/system/config_files/e64c6aqiopdm
A         components/cam/test/system/config_files/scmc6aqds
              - Files to support SCAM and CAM IOP testing

List all existing files that have been modified, and describe the changes:
 M      .
M       SVN_EXTERNAL_DIRECTORIES
          - new manage_externals

M       Externals.cfg
          - update cime and CLM

M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
          - updates for SCAM IOP testing
          - updates for WACCM GW calculations

M       components/cam/bld/namelist_files/use_cases/1850_cam6.xml
          - mods to match Cecile's 297 run

M       components/cam/bld/namelist_files/use_cases/2000_trop_strat_vbs_cam6.xml
M       components/cam/bld/namelist_files/use_cases/2010_trop_strat_vbs_cam6.xml
M       components/cam/bld/namelist_files/use_cases/hist_trop_strat_vbs_cam6.xml
M       components/cam/bld/namelist_files/use_cases/sd_trop_strat_vbs_cam6.xml
           - changes to support WACCM GW calculation

M       components/cam/cime_config/config_compsets.xml
           - added science support flag, revised names and added DART and FWmad compsets

M       components/cam/cime_config/testdefs/testlist_cam.xml
           - reverted back change which should not have been introduced in previous tag
            
M       components/cam/test/system/input_tests_master
M       components/cam/test/system/tests_pretag_hobart_pgi
           - added new SCAM test

M       components/cam/test/system/test_driver.sh
           - bump up the time limit for cheyenne testing

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all BFB

cheyenne/intel/aux_cam:   all namelist fail due to changes in cime

ERP_D_Ln9.f09_f09_mg17.QSC6.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_D_Ln9.f09_f09_mg17.QSC6.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_188: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam5_4_188/ERP_D_Ln9.f09_f09_mg17.QSC6.cheyenne_intel.cam-outfrq9s' does not exist
       - testing at new resolution so no previous baseline

  ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
       - Fails baseline due to modifications to match Cecile's 297 run

  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
  ERP_Ln9.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
  ERP_Ln9.f09_f09_mg17.FHIST_DEV.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
  SMS_Lm13.f10_f10_mg37.F2000_DEV.cheyenne_intel.cam-outfrq1m (Overall: DIFF) details:
       - All of these tests fail baselines due to changes in CLM.  Verified this was the case by
         running this same source code tree using the CLM rev005 and these tests were all BFB

  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: FAIL) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d RUN time=11
       - THIS TEST IS FAILING DUE TO INPUT ISSUES

hobart/nag: all BFB

hobart/pgi: all BFB

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers, i.e.,
All changes to answers for 1850 were made to mimic Cecile's 297 run.  This tag will be independently
checked by Cecile after its commit.

===============================================================
===============================================================

Tag name: cam5_4_188
Originator(s): jet
Date: Fri May  4 
One-line Summary: SCAM updates

Purpose of changes:

.  IOP namelist parameters were modified so that aerosols will be
   relaxed to initial conditions using a new feature added in a
   previous tag. Additionally the prognostic SCAM temperature
   calculation is being relaxed to IOP observations to compensate for
   errors in advective forcing near the top of the column in the IOP
   forcing datasets.  For the radiative equilibrium cases, the
   observed IOP temperature is used.

. Add script camfv2iop.ncl which will allow user to create SCAM
  IOP boundary data from CAM fv history files.

. New default emission boundary data were provide for SCAM.  These
  files have a much smaller footprint than the standard CAM
  emissions.  (Better for remote users who need to download emission
  boundary data to their machines.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: SCAM IOP namelists now include
	options to relax emissions to initial condition by default.

List any changes to the defaults for the boundary datasets: SCAM emission
	datasets now default to 2000climo versions instead of the much
	larger multiyear boundary data used by cam6.

Describe any substantial timing or memory changes: none

Code reviewed by: eaton,cacraig

List all files eliminated: none

List all files added and what they do:
A       components/cam/bld/scripts/camfv2iop.ncl

List all existing files that have been modified, and describe the changes:
M       components/cam/cime_config/usermods_dirs/scam_arm95/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_arm97/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_atex/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_bomex/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_cgilsS11/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_cgilsS12/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_cgilsS6/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_dycomsRF01/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_dycomsRF02/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_gateIII/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_mpace/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_rico/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_sparticus/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_togaII/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_twp06/user_nl_cam
. Mods to relax emission profile to initial condition.

M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
. Update SCAM emission boundary data defaults to use 2000climo versions.

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS except:
041 sc001 TSC.sh e64c5aqiopdm scm_prep scmc5aqds scm_b4b_o1 7s ................................FAIL! rc= 6 at Mon May  7 22:16:15 MDT 2018
        CAM6 scam no longer passes the bfb test due to Clubb.  Clubb has CPP defines that run different code depending on whether you are running
	from cam6 or single column.  The SCAM specific code mode seem to be tuning for single column runs but one or more of these cause
	bfb test to fail.

cheyenne/intel/aux_cam: All PASS except:
    FAIL SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_187
        Test failures due to non bfb changes in SCAM namelist settings (relax emissions, use different emission datasets)

hobart/nag: All PASS

hobart/pgi: All PASS except:
039 sc002 TSC.sh e64c4aqiopdm scm_prep scmc4aqds scm_b4b_o1 7s ................................FAIL! rc= 6 at Fri May  4 15:03:56 MDT 2018
        CAM6 scam no longer passes the bfb test due to Clubb.  Clubb has CPP defines that run different code depending on whether you are running
	from cam6 or single column.  The SCAM specific code mode seem to be tuning for single column runs but one or more of these cause
	bfb test to fail.

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB for CAM, Non BFB for SCAM due to different emission files and relaxation settings. BFB cam iop test fails
	due to CPP SCAM defines in Clubb.

===============================================================
===============================================================

Tag name: cam5_4_187
Originator(s): eaton
Date: Fri May  4 11:56:01 MDT 2018
One-line Summary: update COSP2 code; misc fixes

Purpose of changes:

. Update COSP2 code to use its github source as an svn external.  The only
  significant code change is to use the COSP2 version of the MODIS
  simulator rather than the previous COSP1.4 version.  This changes answers
  for the MODIS diagnostics.

. Add check to print message and exit when fields are requested for sathist
  output that can't be output due to hardcoded constraints in sat_hist module.

. Add PSDRY and PMID to default SE output when running with moist physics.

. Some mods in Eulerian dycore for use with analytic ICs.  This
  functionality is not yet fully implemented.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all files eliminated:
components/cam/src/physics/cosp2/src/hooks/cosp_constants.F90
components/cam/src/physics/cosp2/src/hooks/cosp_errorHandling.F90
components/cam/src/physics/cosp2/src/hooks/cosp_kinds.F90
components/cam/src/physics/cosp2/src/simulator/icarus-scops-4.1-bsd/icarus.F90
. change to github source

List all files added and what they do:
components/cam/src/physics/cosp2/cosp_errorHandling.F90
components/cam/src/physics/cosp2/cosp_kinds.F90
components/cam/src/physics/cosp2/src/README
components/cam/src/physics/cosp2/src/cosp_constants.F90
components/cam/src/physics/cosp2/src/simulator/README
components/cam/src/physics/cosp2/src/simulator/icarus/README
components/cam/src/physics/cosp2/src/simulator/icarus/icarus.F90
components/cam/src/physics/cosp2/src/simulator/icarus/license
. change to github source

List all existing files that have been modified, and describe the changes:
components/cam/SVN_EXTERNAL_DIRECTORIES
. add COSP2 from its github source

components/cam/bld/configure
. filepath change due to change to COSP2 github source

components/cam/cime_config/testdefs/testlist_cam.xml
. change wallclock on 1 test

components/cam/doc/ChangeLog_template
. update to reflect current testing

components/cam/src/control/sat_hist.F90
. add check that fields requested for sathist output do not contain extra
  mdims in addition to the vertical coordinate.

components/cam/src/cpl/atm_comp_mct.F90
. fix accessing model_doi_url value

components/cam/src/dynamics/eul/dyn_comp.F90
. move check on dimensions of fields in IC file to read_inidat
. in process_inidat don't do the branch that calls cnst_init_default if the
  analytic ICs are active.

components/cam/src/dynamics/eul/dyn_grid.F90
. move the check on IC field dimensions to read_inidat

components/cam/src/dynamics/fv/dyn_comp.F90
. improve a comment

components/cam/src/physics/cam/cam_diagnostics.F90
. add PSDRY and PMID to the default output when running SE with moist
  physics. 

components/cam/src/physics/cam/cospsimulator_intr.F90
. modify the add_hist_coord call for cosp_ht to indicate that this is a
  vertical coordinate.

components/cam/src/physics/cosp2/Makefile.in
components/cam/src/physics/cosp2/src/cosp.F90
components/cam/src/physics/cosp2/src/cosp_config.F90
components/cam/src/physics/cosp2/src/simulator/MODIS_simulator/modis_simulator.F90
components/cam/src/physics/cosp2/src/simulator/actsim/lidar_simulator.F90
components/cam/src/physics/cosp2/src/simulator/cosp_modis_interface.F90
. change to github source

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS except:
020 bl380 TBL.sh f1.9c6aqcdh outfrq3s_cosp 9s .................................................FAIL! rc= 7 at Fri May  4 07:32:06 MDT 2018

cheyenne/intel/aux_cam: All PASS

hobart/nag: All PASS except:
024 bl317 TBL.sh f10c5aqcdm outfrq3s_cosp 9s ..................................................FAIL! rc= 7 at Fri May  4 09:05:39 MDT 2018
027 bl318 TBL.sh f10c6aqcdm sat_hist 9s .......................................................FAIL! rc= 7 at Fri May  4 09:14:43 MDT 2018

hobart/pgi: All PASS

The baseline test failures are due to changes in MODIS diagnostic fields.

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB.  Only MODIS diagnostic fields have
diffs. 

===============================================================
===============================================================

Tag name: cam5_4_186
Originator(s): cacraig, goldy, sacks, olson
Date: May 3, 2018
One-line Summary: Update externals to alpha10e, regression test cleanup, add DOI info and correct diagnostics

Purpose of changes:
 - Use the externals in cesm2_0_alpha10e, with the exception of cime which is using a newer tag
 - Now that the supported="false" flag is available, tests that are for unsupported runs now use this flag, but can be
   in the aux_cam test suite.
 - Use the 10 degree files for the 13 month regression test
 - Turn on using the DOI info
 - Remove invalid 60 level ncdata file from 30 level specification
 - In buildnml, have informative message use the logger.info instead of logger.debug setting
 - Fix a couple of diagnostics in clubb and gw_drag

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all subroutines eliminated:

List all subroutines added and what they do:

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
          - update externals to match cesm2_0_alpha10e (with updated bug-fixed cime tag)

M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
          - remove invalid ncdata file (60 level file specified for a 30 level setup)

M       components/cam/cime_config/buildnml
          - change logger.debug to logger.info so informative messages are written

M       components/cam/cime_config/testdefs/testlist_cam.xml
          - modify 13 month test to use 10 degree files
          - use new supported="false" flag for test-only compsets and removed test_cam designator

M       components/cam/src/cpl/atm_comp_mct.F90
          - Use the model_doi_url supplied by cime

M       components/cam/src/physics/cam/clubb_intr.F90
          - fix the DPDLFT diagnostic output

M       components/cam/src/physics/cam/gw_drag.F90
          - remove TTGWORO from history_budget setting

M       components/cam/src/physics/cam/micro_mg_cam.F90
          - fix output units for ACTNL and ACTNI
          
M       components/cam/test/system/test_driver.sh
          -  remove test_cam testing (all done in aux_cam now)

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all BFB

cheyenne/intel/aux_cam: All tests had namelist changes

  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d BASELINE cam5_4_185
  ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_185
  ERP_Ln9.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_185
  ERP_Ln9.f09_f09_mg17.FHIST_DEV.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_DEV.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_185
  ERS_Ln9.f19_f19_mg17.FSPCAMS.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERS_Ln9.f19_f19_mg17.FSPCAMS.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_185
  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d BASELINE cam5_4_185
       - Answer changes due to external components 

  SMS_Lm13.f10_f10_mg37.F2000_DEV.cheyenne_intel.cam-outfrq1m (Overall: DIFF) details:
    FAIL SMS_Lm13.f10_f10_mg37.F2000_DEV.cheyenne_intel.cam-outfrq1m BASELINE cam5_4_185: ERROR BFAIL baseline directory '/glade/p/cesmdata/cseg/cesm_baselines/cam5_4_185/SMS_Lm13.f10_f10_mg37.F2000_DEV.cheyenne_intel.cam-outfrq1m' does not exist
       - Now running with 10 degree files

hobart/nag: all BFB

hobart/pgi: all BFB

===============================================================
===============================================================

Tag name: cam5_4_185
Originator(s): fvitt, joemci, goldy
Date: 1 May 2018
One-line Summary: Removed O3S from WACCM and CAM-Chem chemistry mechanisms and other misc changes

Purpose of changes:

- remove diagnostic O3S species from WACCM and CAM-Chem chemical mechanisms
- add default CTEM history fields to the h0 monthly files
- use MERRA2 meteorology data in FCSD compset
- minor changes in history specifiers in WACCMX compsets
- correct typo in qneg4

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: CAM code review team

List all subroutines eliminated:

List all subroutines added and what they do:

List all existing files that have been modified, and describe the changes:

M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_2000_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_1850_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_hist_cam6.xml
M    components/cam/bld/namelist_files/use_cases/sd_waccm_tsmlt_cam6.xml
M    components/cam/bld/namelist_files/use_cases/hist_trop_strat_vbs_cam6.xml
M    components/cam/bld/namelist_files/use_cases/2000_trop_strat_vbs_cam6.xml
 - remove O3S from fincl lists

M    components/cam/bld/namelist_files/use_cases/sd_trop_strat_vbs_cam6.xml
 - use MERRA2 meteorology data
 - remove O3S from fincl lists

M    components/cam/bld/namelist_files/use_cases/2010_trop_strat_vbs_cam6.xml
 - move IC file to standard relative inputdata relative path
 - remove O3S from fincl lists

M    components/cam/bld/namelist_files/use_cases/1950-2010_ccmi_refc1_waccmx_ma.xml
M    components/cam/bld/namelist_files/use_cases/waccmxie_ma_2000_cam4.xml
M    components/cam/bld/namelist_files/use_cases/sd_waccmx_ma_cam4.xml
 - minor changes in history specifiers

M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/mo_setrxt.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/mo_adjrxt.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/mo_rxt_rates_conv.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/chem_mods.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/mo_prod_loss.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/mo_lin_matrix.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/m_rxt_id.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/mo_nln_matrix.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/mo_indprd.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/mo_sim_dat.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/m_spc_id.F90
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/chem_mech.doc
M    components/cam/src/chemistry/pp_trop_strat_mam4_vbs/chem_mech.in
- remove diagnostics O3S species from waccm and cam-chem chemical mechanisms

M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/mo_setrxt.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/mo_adjrxt.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/mo_rxt_rates_conv.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/chem_mods.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/mo_prod_loss.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/mo_lin_matrix.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/m_rxt_id.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/mo_nln_matrix.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/mo_indprd.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/mo_sim_dat.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/m_spc_id.F90
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/chem_mech.doc
M    components/cam/src/chemistry/pp_waccm_tsmlt_mam4/chem_mech.in
- remove diagnostics O3S species from waccm and cam-chem chemical mechanisms

M    components/cam/src/dynamics/fv/ctem.F90
- add default CTEM history fields to the h0 monthly files

M    components/cam/src/physics/cam/qneg_module.F90
- replace t_stopf ('qneg3') with t_stopf ('qneg4') in subroutine qneg4

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: All bit-for-bit

  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d BASELINE cam5_4_184
  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d BASELINE cam5_4_184
 These WACCM compsets are actually bit-for-bit unchanged.  The removal of O3S from the dry deposition list caused
 differences to be detected only in the dry deposition fields cpl.hi.* file (the dry dep states are shifted by one).
 The CAM histories are bit-for-bit idendical.

  ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_184
 WACCMX is bit-for-bit unchanged.  Moving history fields from h5 to h6 caused the baseline test to fail.

    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 MEMCOMP Error: Memory usage increase > 10% from baseline
 Memory usage increase is not believed -- there are no code changes which will increase memory footprint

cheyenne/intel/test_cam: All PASS

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: Bit-for-bit unchanged

===============================================================
===============================================================

Tag name: cam5_4_184
Originator(s): eaton, goldy
Date: Fri Apr 27 09:31:09 MDT 2018
One-line Summary: mods for DART mode

Purpose of changes:

. Mods to allow running CAM with DART.  The main issue is that CAM needs to
  be able to run as an initial run when the model is restarted as a
  continuation run.  CAM examines data in the atm_resume component of the
  infodata structure passed from the driver to determine when it is running
  in DART mode.

Bugs fixed (include bugzilla ID): none

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all subroutines eliminated: none

List all subroutines added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/src/cpl/atm_comp_mct.F90
. Initialize dart_mode from the atm_resume data (in infodata structure)
  passed from the driver, then pass to cam_init. 
. Access logical variable dart_mode from cam_control_mod
. Use dart_mode conditional to modify creating the name of the .rs. file to
  use the current caseid rather than the caseid from a restart file.

components/cam/src/control/cam_control_mod.F90
. add dart_mode to module data (public, protected)
. cam_ctrl_init
  - add dart_mode as intent(in) arg and when dart_mode=.true. then force
    CAM to use a start type of "initial run"

components/cam/src/control/cam_comp.F90
. cam_init
  - add dart_mode to intent(in) args
  - pass dart_mode to cam_ctrl_init

components/cam/src/utils/time_manager.F90
. timemgr_init
  - enforce start_date to equal curr_date on an initial run.

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: All PASS

cheyenne/intel/test_cam: All PASS

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB

===============================================================
===============================================================

Tag name: cam5_4_183
Originator(s): fvitt, mmills
Date: 18 Apr 2018
One-line Summary: Update volcanic forcings for WACCM

Purpose of changes:
 Updates to volcanic forcing input datasets:
  . minor updates to some eruptions in the 1875-1912 period based on revision by Ryan Neely
  . updating the piControl averaged volcanic eruptions to be consistent with the historical update

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: fvitt

List all subroutines eliminated: NA

List all subroutines added and what they do: NA

List all existing files that have been modified, and describe the changes:

M    components/cam/bld/namelist_files/namelist_defaults_cam.xml
 - update default waccm6 volcanic forcing files

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam:
  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: NLFAIL) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d NLCOMP
  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d BASELINE cam5_4_182
 - the namelist compare test failed due to updates to the volcanic forcing input files
 - there are slight changes in pre-industrial volcanic forcing

cheyenne/intel/test_cam: All PASS

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag: NA

Summarize any changes to answers: NA

If bitwise differences were observed, how did you show they were no worse
than roundoff? NA

If this tag changes climate describe the run(s) done to evaluate the new
climate in enough detail that it(they) could be reproduced: NA

MSS location of control simulations used to validate new climate: NA

URL for AMWG diagnostics output used to validate new climate: NA

===============================================================
===============================================================

Tag name:  cam5_4_182
Originator(s): fvitt
Date: 17 Apr 2018
One-line Summary: Add option to turn off ridge scheme vertical diffusion, adjust non-LTE Fomichev CO2 limiter, fix TROP_Z

Purpose of changes:
 - add namelist option to give the user the ability to switch off vertical diffusion
   in ridge scheme
 - in non-LTE Fomichev abort the run if CO2 exceeds the limit at altitudes above 1 mbar
   unless apply_co2_limit=.true
 - add height of surface (above sea level) to TROP_Z (height of tropopause)

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: cacraig, eaton

List all subroutines eliminated:

D    components/cam/bld/namelist_files/use_cases/sd_waccm5_geos5.xml
 - remove this obsolete use case file

List all subroutines added and what they do:

List all existing files that have been modified, and describe the changes:

M    components/cam/src/physics/cam/gw_rdg.F90
M    components/cam/src/physics/cam/gw_common.F90
M    components/cam/src/physics/cam/gw_drag.F90
 - add option to turn off ridge scheme contribution to vertical diffusion

M    components/cam/bld/namelist_files/namelist_definition.xml
 - add namelist option "gw_rdg_do_vdiff"
 - adjust discription of "nlte_limit_co2" namelist option

M    components/cam/src/physics/cam/tropopause.F90
 - add height of surface (above sea level) to TROP_Z (height of tropopause)

M    components/cam/src/physics/waccm/nlte_fomichev.F90
 - abort the run if CO2 exceeds the limit at altitudes above the 1 mbar level unless apply_co2_limit=.true
 - some code cleanup

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all PASS
 
cheyenne/intel/aux_cam: 
    FAIL ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined NLCOMP
   - the baseline namelist files were missing
   
cheyenne/intel/test_cam:
    FAIL SMS_Lm13.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq1m MEMCOMP Error: Memory usage increase > 10% from baseline

hobart/nag: all PASS

hobart/pgi: all PASS

CAM tag used for the baseline comparison tests if different than previous
tag: NA

Summarize any changes to answers: NA

If bitwise differences were observed, how did you show they were no worse
than roundoff? NA

If this tag changes climate describe the run(s) done to evaluate the new
climate in enough detail that it(they) could be reproduced: NA

MSS location of control simulations used to validate new climate: NA

URL for AMWG diagnostics output used to validate new climate: NA

===============================================================
===============================================================

Tag name: cam5_4_181
Originator(s): cacraig, goldy
Date: 2018-04-16
One-line Summary: qneg modularized, added readnl, history and namelist cleanup

Purpose of changes:
 - Modularize QNEG output. Provide summary output and convert detailed output
   to history output
 - Namelist cleanup in preparation for relase
 - Addition of model DOI to CAM history files (pending CIME upgrade)
 - Delay endrun for bad history field entries until all bad entries are logged

Bugs fixed (include bugzilla ID): NA

Describe any changes made to build system: NA

Describe any changes made to the namelist:
 - New qneg_nl namelist to configure QNEG output
 - Cleanup of descriptions and formatting change for documentation output
 - Added fv_print_dpcoup_warn (see below)
 - Added print_filew_warn (see below)

List any changes to the defaults for the boundary datasets: NA

Describe any substantial timing or memory changes: NA

Code reviewed by: goldy, cacraig

List all subroutines eliminated: NA

List all subroutines added and what they do:
 - history_initialized: logical function so routines called both during
   initialization and runtime can avoid making history calls too early.
 - fill_nl: new namelist reader to control fv fill warning output
 - qneg_init: Initialize qneg output and history processing
 - subcol_pack_allocate: Allocate internal packing memory
 - subcol_pack_init_restart: Create restart variables for internal state
 - subcol_pack_write_restart: Write restart variables for internal state
 - subcol_pack_read_restart: Read restart variables for internal state

List all existing files that have been modified, and describe the changes:
M       SVN_EXTERNAL_DIRECTORIES
 - Updated manage_externals to v1.1.3
M       components/cam/bld/build-namelist
 - Add default for print_qneg_warn
M       components/cam/bld/namelist_files/namelist_definition.xml
 - Description cleanup
 - Format change for documentation output
 - Addition of qneg_nl with print_qneg_warn variable
M       components/cam/doc/ChangeLog
 - Removed extraneous line-ending spaces
M       components/cam/src/chemistry/mozart/mo_airplane.F90
M       components/cam/src/chemistry/utils/mo_flbc.F90
 - Use gmean from new gmean_mod
M       components/cam/src/control/cam_comp.F90
 - Pass model_doi_url to intht (history initialization)
 - Print QNEG summary output depending on value of print_qneg_warn
M       components/cam/src/control/cam_history.F90
 - Added history_initialized function
 - Add model_doi_url attribute to all output files (if present)
 - Delay calling endrun for invalid history output entries (e.g., fincl, fexcl)
   until all invalid entries have been logged.
M       components/cam/src/control/runtime_opts.F90
 - Add call to qneg_readnl
M       components/cam/src/cpl/atm_comp_mct.F90
 - Add infrastructure to collect model_doi_url and make it available to
   the history infrastructure. Needs to be finalized after model_doi_url is
   available from seq_infodata.
M       components/cam/src/dynamics/eul/dp_coupling.F90
M       components/cam/src/dynamics/eul/dyn_comp.F90
M       components/cam/src/dynamics/eul/tfilt_massfix.F90
 - Add use statement for qneg3
M       components/cam/src/dynamics/fv/dp_coupling.F90
 - Remove no-longer-used debug_adjust_print variable
M       components/cam/src/dynamics/fv/dyn_comp.F90
 - Move lat/lon dim check on ncdata to read_inidat from dyn_grid_init
 - Added fv_print_dpcoup_warn namelist variable to control constituent warning
   output.
M       components/cam/src/dynamics/fv/dyn_grid.F90
 - Moved lat/lon dim check on ncdata to read_inidat as this check is not always
   possible at this stage (analytic initial condition ncdata files do not have
   horizontal coordinate information and therefore, cannot be incorrect in
   those dimensions).
M       components/cam/src/dynamics/fv/fill_module.F90
 - Added fill_readnl with the new print_filew_warn control namelist variable
 - Use print_filew_warn to control fill warning output
M       components/cam/src/dynamics/fv/fv_prints.F90
 - Use gmean from new gmean_mod
M       components/cam/src/dynamics/se/dp_coupling.F90
 - Use gmean from new gmean_mod
 - Add use statement for qneg3
M       components/cam/src/dynamics/se/native_mapping.F90
 - Fixed bug that was leaving namelist file open if the native_mapping_nl
   namelist is not present in atm_in
M       components/cam/src/physics/cam/check_energy.F90
 - Use gmean from new gmean_mod
M       components/cam/src/physics/cam/phys_gmean.F90
 - Moved gmean interface and supporting code to new gmean_mod module
M       components/cam/src/physics/cam/physics_buffer.F90.in
 - Use subcol_pack and subcol_unpack from the new subcol_pack_mod module
M       components/cam/src/physics/cam/physics_types.F90
 - Add use statement for qneg3
 - Fix array bounds and cleaned up call to qneg3
M       components/cam/src/physics/cam/physpkg.F90
 - Add call to qneg_init
 -  Add use statement for qneg4
D       components/cam/src/physics/cam/qneg3.F90
D       components/cam/src/physics/cam/qneg4.F90
 - Moved to qneg_module
A       components/cam/src/physics/cam/qneg_module.F90
 - Moved qneg3 and qneg4 to this new module
 - Removed all log print statements
 - Added summary statistics processing
 - Added history variables for all constituents for qneg3 and qneg4. For qneg3
   each constituent has a 3D variable (<name>_qneg3) and a column sum 2D
   variable (<name>__qneg3_col). For qneg4, the new variable is qflux_exceeded.
A       components/cam/src/physics/cam/subcol_pack_mod.F90.in
 - Moved subcol_unpack, subcol_pack, subcol_get_nsubcol, subcol_set_nsubcol,
   and subcol_get_indcol here from subcol_utils to avoid a circular
   dependency caused by adding history to qneg_module.
 - Added new interfaces (subcol_pack_allocate, subcol_pack_init_restart,
   subcol_pack_write_restart, and subcol_pack_read_restart) for use by
   subcol_utils
M       components/cam/src/physics/cam/subcol_tstcp.F90
 - Move use statement for subcol_get_nsubcol to subcol_pack_mod
M       components/cam/src/physics/cam/subcol_utils.F90.in
 - Moved subcol_unpack, subcol_pack, subcol_get_nsubcol, subcol_set_nsubcol,
   and subcol_get_indcol to subcol_pack_mod to avoid a circular
   dependency caused by adding history to qneg_module.
 - Call the new interfaces (subcol_pack_allocate, subcol_pack_init_restart,
   subcol_pack_write_restart, and subcol_pack_read_restart) to properly
   handle subcol's pack and unpack internal state.
M       components/cam/src/physics/simple/physpkg.F90
 - Add call to qneg_init
M       components/cam/src/physics/spcam/spcam_drivers.F90
 -  Add use statement for qneg3
A       components/cam/src/utils/gmean_mod.F90
 - Moved gmean interface and supporting code from phys_gmean to avoid a
   circular dependency caused by adding history to qneg_module.
M       components/cam/test/system/test_driver.sh
 - Removed a walltime argument to aux_cam testargs.

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: ALL PASS

cheyenne/intel/aux_cam: Failure (expected) only due to new qneg_nl namelist
    FAIL ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_D_Ln9.f19_f19_mg17.QSC6.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_DEV.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERS_Ln9.f19_f19_mg17.FSPCAMS.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 NLCOMP
    FAIL SMS_Lm13.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq1m NLCOMP

cheyenne/intel/test_cam: Failure (expected) only due to new qneg_nl namelist
    FAIL ERS_Ln9.ne0TESTONLYne5x4_ne0TESTONLYne5x4_mg37.FADIAB.cheyenne_intel.cam-outfrq3s_refined NLCOMP

hobart/nag: ALL PASS

hobart/pgi: ALL PASS

CAM tag used for the baseline comparison tests if different than previous
tag: NA

Summarize any changes to answers: NA

If bitwise differences were observed, how did you show they were no worse
than roundoff? NA

If this tag changes climate describe the run(s) done to evaluate the new
climate in enough detail that it(they) could be reproduced: NA

MSS location of control simulations used to validate new climate: NA

URL for AMWG diagnostics output used to validate new climate: NA

===============================================================
===============================================================

Tag name: cam5_4_180
Originator(s): cacraig, mmills, hannay
Date: April 6, 2018
One-line Summary: Fix for CAM's cold model top (and other changes to match Cecile's #289 run)

Purpose of changes:
  - Changes were made to reduce the assumed attenuation of solar fluxes above the CAM model top. For
    this purpose, ozone mixing ratios are now assumed to decrease linearly from the values in the top
    layer of CAM to zero at 0.5 hPa. Previously, solar fluxes were attenuated assuming ozone mixing
    ratios were constant above the CAM top.

  - Changes to some of the files used by default for 1850 CAM6 runs

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: eaton

List all subroutines eliminated:

List all subroutines added and what they do:

List all existing files that have been modified, and describe the changes:
M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
          - updated H2O ext_frc file for CAM6

M       components/cam/bld/namelist_files/use_cases/1850_cam6.xml
          - updated tracer_cnst, prescribed_strataero, prescribed_ozone, and H2O ext_frc files

M       components/cam/src/physics/rrtmg/radiation.F90
          - added addfld for O3colAbove variable

M       components/cam/src/physics/rrtmg/rrtmg_state.F90
          - changes to fix CAM's cold model top


If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all BFB except:
015 bl360 TBL.sh f1.9c5aqm volc+1850-2005_cam5 2d .............................................FAIL! rc= 7 at Thu Apr  5 18:09:03 MDT 2018
017 bl370 TBL.sh f1.9c6aqtsvbsdh outfrq3s 9s ..................................................FAIL! rc= 7 at Thu Apr  5 18:32:07 MDT 2018
020 bl380 TBL.sh f1.9c6aqcdh outfrq3s_cosp 9s .................................................FAIL! rc= 7 at Thu Apr  5 18:49:26 MDT 2018
029 bl735 TBL.sh h16c5aqdm outfrq3s+1850-2005_cam5 9s .........................................FAIL! rc= 7 at Thu Apr  5 20:04:34 MDT 2018
   - Changes expected due to fix for CAM's cold water top

cheyenne/intel/aux_cam:
  ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_179
  ERP_D_Ln9.f19_f19_mg17.QSC6.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_D_Ln9.f19_f19_mg17.QSC6.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_179
  ERP_Ln9.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_179
  ERP_Ln9.f09_f09_mg17.FHIST_DEV.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_DEV.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_179
  SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_179
  SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 (Overall: DIFF) details:
    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 BASELINE cam5_4_179
    FAIL SMS_Ld5.f09_f09_mg17.PC6.cheyenne_intel.cam-cam6_port_f09 MEMCOMP Error: Memory usage increase > 10% from baseline
  SMS_Lm13.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq1m (Overall: DIFF) details:
    FAIL SMS_Lm13.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq1m BASELINE cam5_4_179
    FAIL SMS_Lm13.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq1m MEMCOMP Error: Memory usage increase > 10% from baseline
         - Changes expected due to fix for CAM's cold water top

  ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_179
         - Changes expected due to fix for CAM's cold water top
         - Modified ext_frc_specifier for H2O for 1850 cases

cheyenne/intel/test_cam: PASS

hobart/nag: all BFB except:
005 bl111 TBL.sh e8c5aqt5mdm ghgrmp_e8 9s .....................................................FAIL! rc= 7 at Thu Apr  5 17:06:20 MDT 2018
017 bl311 TBL.sh f10c5aqt5mdm ttrac 9s ........................................................FAIL! rc= 7 at Thu Apr  5 17:24:07 MDT 2018
024 bl317 TBL.sh f10c5aqcdm outfrq3s_cosp 9s ..................................................FAIL! rc= 7 at Thu Apr  5 17:34:58 MDT 2018
027 bl318 TBL.sh f10c6aqcdm sat_hist 9s .......................................................FAIL! rc= 7 at Thu Apr  5 17:48:39 MDT 2018
030 bl325 TBL.sh f10c5aqscdm outfrq3s_subcol 9s ...............................................FAIL! rc= 7 at Thu Apr  5 17:52:38 MDT 2018
036 bl338 TBL.sh f10c5aqdm rad_diag_mam 9s ....................................................FAIL! rc= 7 at Thu Apr  5 17:56:48 MDT 2018
039 bl367 TBL.sh f10c6aqdm outfrq3s_convmic 9s ................................................FAIL! rc= 7 at Thu Apr  5 18:02:23 MDT 2018
042 bl368 TBL.sh f10c6aqdm outfrq3s 9s ........................................................FAIL! rc= 7 at Thu Apr  5 18:08:15 MDT 2018
045 bl369 TBL.sh f10c6aqdm outfrq3s_am 9s .....................................................FAIL! rc= 7 at Thu Apr  5 18:13:06 MDT 2018
051 bl430 TBL.sh f10c5aqcmtt1dm outfrq3s_carma 9s .............................................FAIL! rc= 7 at Thu Apr  5 18:37:13 MDT 2018
067 bl711 TBL.sh h5c5aqt5mdm ttrac 9s .........................................................FAIL! rc= 7 at Thu Apr  5 19:13:42 MDT 2018
         - Changes expected due to fix for CAM's cold water top

hobart/pgi:
011 bl222 TBL.sh f10spmaqdm outfrq3s 9s .......................................................FAIL! rc= 7 at Thu Apr  5 17:55:37 MDT 2018
017 bl320 TBL.sh f10c5aqpbadm rad_diag 9s .....................................................FAIL! rc= 7 at Thu Apr  5 18:16:13 MDT 2018
020 bl334 TBL.sh f10c5aqudm outfrq3s 9s .......................................................FAIL! rc= 7 at Thu Apr  5 18:29:35 MDT 2018
034 bl712 TBL.sh h5c5aqbamdm outfrq3s+aquaplanet_cam5 9s ......................................FAIL! rc= 7 at Thu Apr  5 19:18:46 MDT 2018
         - Changes expected due to fix for CAM's cold water top

Summarize any changes to answers, i.e.,
- what code configurations: all which use rrtmg
- what platforms/compilers: all
- nature of change (roundoff; larger than roundoff but same climate; new
  climate): New climate

If this tag changes climate describe the run(s) done to evaluate the new
climate in enough detail that it(they) could be reproduced, i.e.,
- case:
     /glade/p/cesmdata/cseg/runs/cesm2_0/b.e20.B1850.f09_g17.pi_control.all.289
- platform/compilers: cheyenne/intel
- MSS location of output:   /glade/p/cesm0005/archive/b.e20.B1850.f09_g17.pi_control.all.289

URL for AMWG diagnostics output used to validate new climate:
http://webext.cgd.ucar.edu/B1850/b.e20.B1850.f09_g17.pi_control.all.289/atm

===============================================================
===============================================================

Tag name: cam5_4_179
Originator(s): cacraig
Date: April 3, 2018
One-line Summary: Cleanup of files in inputdata and namelist_definition file

Purpose of changes:
  - In preparation for release, verified that all files referenced in the CAM code reside in
    inputdata and if they do not, they were removed from the CAM code

  - Completed the verification/corrections for the namelist_definition.xml file (which will be used to generate the
    namelist documentation for the release)

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: eaton

List all subroutines eliminated:
D       components/cam/bld/namelist_files/use_cases/1850_cam5_super_fast_llnl.xml
           - this use_case is no longer used and the files it referenced no longer existed

List all subroutines added and what they do:

List all existing files that have been modified, and describe the changes:
M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
          - removed obsolete files
          - Renamed mice_warren_2008.nc to mice_warren2008 which it was stored as in the svn repository

M       components/cam/bld/namelist_files/namelist_definition.xml
          - Replaced prescribed_strataero_name with prescribed_strataero_specifier (which is what it is in the Fortran code)
          - Corrected/added comments as needed
          - Updated defaults to match the actual settings

M       components/cam/src/chemistry/utils/prescribed_strataero.F90
          - corrected prescribed_strataero_specifier length in mpibast call

M       components/cam/src/physics/carma/models/cirrus/carma_model_flags_mod.F90
M       components/cam/src/physics/carma/models/cirrus_dust/carma_model_flags_mod.F90
M       components/cam/src/physics/carma/models/pmc/carma_model_flags_mod.F90
M       components/cam/src/physics/carma/models/pmc_sulfate/carma_model_flags_mod.F90
          - Renamed mice_warren_2008.nc to mice_warren2008 which it was stored as in the svn repository

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all BFB

cheyenne/intel/aux_cam: all PASS

cheyenne/intel/test_cam: PASS

hobart/nag: all BFB

hobart/pgi: all BFB

===============================================================
===============================================================

Tag name: cam5_4_178
Originator(s): dswales, eaton
Date: Wed Mar 28 09:50:54 MDT 2018
One-line Summary: fix cosp_ht coordinate in history files

Purpose of changes:

. Fix cosp_ht coordinate output to history files.  The fix has no
  impact on the COSP diagnostic fields.

Bugs fixed (include bugzilla ID): above

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all subroutines eliminated: none

List all subroutines added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/bld/scripts/create_scam6_iop_multi
. fix EOF indentation

components/cam/src/physics/cam/cospsimulator_intr.F90
. fix for vertical coordinate cosp_ht

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS except
020 bl380 TBL.sh f1.9c6aqcdh outfrq3s_cosp 9s .................................................FAIL! rc= 7 at Tue Mar 27 13:56:34 MDT 2018

cheyenne/intel/aux_cam: PASS

cheyenne/intel/test_cam: PASS

hobart/nag: All PASS except
024 bl317 TBL.sh f10c5aqcdm outfrq3s_cosp 9s ..................................................FAIL! rc= 7 at Tue Mar 27 12:37:34 MDT 2018
027 bl318 TBL.sh f10c6aqcdm sat_hist 9s .......................................................FAIL! rc= 7 at Tue Mar 27 12:50:15 MDT 2018

hobart/pgi: PASS

The failed baselines are due to changes in the cosp_ht coordinate
variable.  The COSP diagnostics are not affected.


CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: BFB

===============================================================
===============================================================

Tag name: cam5_4_177
Originator(s): eaton
Date: Mon Mar 26 14:41:02 MDT 2018
One-line Summary: fix for ideal physics w/ >=60 levels

Purpose of changes:

. fix bug that caused ideal physics configurations to fail if the number of
  vertical layers was >=60.

Bugs fixed (include bugzilla ID): above

Describe any changes made to build system: none

Describe any changes made to the namelist: none

List any changes to the defaults for the boundary datasets: none

Describe any substantial timing or memory changes: none

Code reviewed by: eaton

List all subroutines eliminated: none

List all subroutines added and what they do: none

List all existing files that have been modified, and describe the changes:

components/cam/bld/build-namelist
. modify conditional that turns on gwdrag options for nlev>=60

components/cam/bld/namelist-files/use_cases/held_suarez_1994.xml
. add dyn="eul" attribute to setting of eul_hdif_order.  This is just a
  cleanup so that namelist variables for EUL dycore don't show up in atm_in
  when non-Eulerian dycore is used.

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: All PASS

cheyenne/intel/aux_cam: All PASS

cheyenne/intel/test_cam: All PASS

hobart/nag: All PASS

hobart/pgi: All PASS

CAM tag used for the baseline comparison tests if different than previous
tag:

Summarize any changes to answers: none

===============================================================
===============================================================

Tag name: cam5_4_176
Originator(s): fvitt, mmills, emmons
Date: 22 Mar 2018
One-line Summary: Corrections to wet removal of gas-phase constituents and other misc changes

Purpose of changes:
 - corrections to NEU wet removal routine
   -- correct setting of flag for mass-limited (HNO3,etc.) vs Henry's Law washout
 - in CAM HIST compset (use case file hist_cam6.xml)
   -- use WACCM LBC file
   -- use corrected solar forcing file -- datesec shifted by half day
 - additional chemistry diagnostics when history_scwaccm_forcing is set to .true.
 - include O3S list of species which are dry deposited

Bugs fixed (include bugzilla ID):
 - washout corrections -- correct setting of flag for mass-limited (HNO3,etc.) vs Henry's Law washout

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:
 In compset FHIST_DEV:
  - use WACCM LBC file
  - use corrected solar forcing file

Describe any substantial timing or memory changes:

Code reviewed by: cacraig, eaton

List all subroutines eliminated:

List all subroutines added and what they do:

List all existing files that have been modified, and describe the changes:
M    components/cam/src/chemistry/mozart/mo_neu_wetdep.F90
 - correct setting of flag for mass-limited (HNO3,etc.) vs Henry's Law washout

M    components/cam/src/chemistry/utils/mo_flbc.F90
 - can handle zonal mean files without longitude coordinate variable

M    components/cam/bld/namelist_files/use_cases/hist_cam6.xml
 - use WACCM LBC file
 - use corrected solar forcing file -- datesec shifted by half day

M    components/cam/bld/namelist_files/use_cases/sd_trop_strat_vbs_cam6.xml
M    components/cam/bld/namelist_files/use_cases/hist_trop_strat_vbs_cam6.xml
 - use corrected solar forcing file -- datesec shifted by half day

M     components/cam/src/chemistry/mozart/chem_prod_loss_diags.F90
M     components/cam/src/chemistry/mozart/mo_chemini.F90
M     components/cam/src/chemistry/mozart/rate_diags.F90
M     components/cam/src/chemistry/mozart/mo_gas_phase_chemdr.F90
M     components/cam/src/chemistry/mozart/mo_chm_diags.F90
 - include chemistry diagnostics when history_scwaccm_forcing is set to .true.

M    components/cam/bld/namelist_files/use_cases/sd_waccm_ma_cam6.xml
M    components/cam/bld/namelist_files/use_cases/sd_waccm_tsmlt_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_2000_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_1850_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_tsmlt_hist_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_ma_1850_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_ma_hist_cam6.xml
M    components/cam/bld/namelist_files/use_cases/waccm_ma_2000_cam6.xml
 - use better documented LBC file

M    components/cam/bld/namelist_files/use_cases/waccm_sc_hist_cam6.xml
 - use CFC11eq LBC

M    components/cam/bld/namelist_files/master_gas_drydep_list.xml
 - include O3S list of species which are dry deposited

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel:
013 bl353 TBL.sh f1.9c4aqmozdh outfrq3s+2000_cam4_trop_chem 9s ................................FAIL! rc= 7 at Wed Mar 21 15:06:34 MDT 2018
015 bl360 TBL.sh f1.9c5aqm volc+1850-2005_cam5 2d .............................................FAIL! rc= 7 at Wed Mar 21 15:08:07 MDT 2018
017 bl370 TBL.sh f1.9c6aqtsvbsdh outfrq3s 9s ..................................................FAIL! rc= 7 at Wed Mar 21 15:27:59 MDT 2018
020 bl380 TBL.sh f1.9c6aqcdh outfrq3s_cosp 9s .................................................FAIL! rc= 7 at Wed Mar 21 15:44:46 MDT 2018
023 bl390 TBL.sh f1.9c4aqwmxdh outfrq3s+waccmx_ma_2000_cam4 9s ................................FAIL! rc= 7 at Wed Mar 21 16:21:02 MDT 2018
026 bl391 TBL.sh f1.9c4aqwmxidh outfrq3s 9s ...................................................FAIL! rc= 7 at Wed Mar 21 16:54:42 MDT 2018
029 bl735 TBL.sh h16c5aqdm outfrq3s+1850-2005_cam5 9s .........................................FAIL! rc= 7 at Wed Mar 21 16:59:39 MDT 2018
 These baseline failures are due to corrections in the gas phase 'NUE' wet removal routine.

cheyenne/intel/aux_cam:
  ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_D_Ln9.f19_f19_mg17.QPC6.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_175
  ERP_D_Ln9.f19_f19_mg17.QSC6.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_D_Ln9.f19_f19_mg17.QSC6.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_175
  ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL ERP_Ld3.f09_f09_mg17.FWHIST.cheyenne_intel.cam-reduced_hist1d BASELINE cam5_4_175
  ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F1850_DONOTUSE.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_175
  ERP_Ln9.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_175
  ERP_Ln9.f09_f09_mg17.FHIST_DEV.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_DEV.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL ERP_Ln9.f09_f09_mg17.FHIST_DEV.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_175
  ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL ERS_Ln9.f19_f19_mg16.FXHIST.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_175
  SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d (Overall: DIFF) details:
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d NLCOMP
    FAIL SMS_Ld1.f09_f09_mg17.FW1850.cheyenne_intel.cam-reduced_hist1d BASELINE cam5_4_175
  SMS_Lm13.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq1m (Overall: DIFF) details:
    FAIL SMS_Lm13.f09_f09_mg17.F2000_DEV.cheyenne_intel.cam-outfrq1m BASELINE cam5_4_175
 These baseline failures are mostly due to corrections in the gas phase 'NUE' wet removal routine.
 In compset FHIST_DEV the use of WACCM LBC file and corrected solar forcing file also contribute to answer changes.

cheyenne/intel/test_cam: All PASS

hobart/nag:
005 bl111 TBL.sh e8c5aqt5mdm ghgrmp_e8 9s .....................................................FAIL! rc= 7 at Wed Mar 21 14:30:59 MDT 2018
017 bl311 TBL.sh f10c5aqt5mdm ttrac 9s ........................................................FAIL! rc= 7 at Wed Mar 21 14:57:20 MDT 2018
024 bl317 TBL.sh f10c5aqcdm outfrq3s_cosp 9s ..................................................FAIL! rc= 7 at Wed Mar 21 15:11:42 MDT 2018
027 bl318 TBL.sh f10c6aqcdm sat_hist 9s .......................................................FAIL! rc= 7 at Wed Mar 21 15:25:35 MDT 2018
030 bl325 TBL.sh f10c5aqscdm outfrq3s_subcol 9s ...............................................FAIL! rc= 7 at Wed Mar 21 15:33:41 MDT 2018
036 bl338 TBL.sh f10c5aqdm rad_diag_mam 9s ....................................................FAIL! rc= 7 at Wed Mar 21 15:38:48 MDT 2018
039 bl367 TBL.sh f10c6aqdm outfrq3s_convmic 9s ................................................FAIL! rc= 7 at Wed Mar 21 15:46:48 MDT 2018
042 bl368 TBL.sh f10c6aqdm outfrq3s 9s ........................................................FAIL! rc= 7 at Wed Mar 21 15:51:33 MDT 2018
045 bl369 TBL.sh f10c6aqdm outfrq3s_am 9s .....................................................FAIL! rc= 7 at Wed Mar 21 15:59:15 MDT 2018
048 bl426 TBL.sh f10c4aqwmxdm outfrq3s_newyear 9s .............................................FAIL! rc= 7 at Wed Mar 21 16:11:24 MDT 2018
051 bl430 TBL.sh f10c5aqcmtt1dm outfrq3s_carma 9s .............................................FAIL! rc= 7 at Wed Mar 21 16:25:53 MDT 2018
054 bl471 TBL.sh f10c6aqwmadm outfrq3s 9s .....................................................FAIL! rc= 7 at Wed Mar 21 16:52:03 MDT 2018
067 bl711 TBL.sh h5c5aqt5mdm ttrac 9s .........................................................FAIL! rc= 7 at Wed Mar 21 17:44:27 MDT 2018
 These baseline failures are due to corrections in the gas phase 'NUE' wet removal routine.

hobart/pgi:
020 bl334 TBL.sh f10c5aqudm outfrq3s 9s .......................................................FAIL! rc= 7 at Wed Mar 21 15:52:19 MDT 2018
 This baseline failure is due to corrections in SO2 wet removal.

Summarize any changes to answers, i.e.,
- what code configurations: cases where gas_wetdep_method = 'NEU'
- what platforms/compilers: all
- nature of change: larger than roundoff but same climate

If this tag changes climate describe the run(s) done to evaluate the new
climate in enough detail that it(they) could be reproduced, i.e.,
- source tag (all code used must be in the repository):
   https://svn-ccsm-models.cgd.ucar.edu/cam1/branch_tags/misc_cam5_4_170_tags/misc03_cam5_4_170
- platform/compilers:
   cheyenne, intel
- configure commandline:
   ./create_newcase --compset FW2000 --res f09_f09_mg17 --case /glade/p/work/fvitt/cesm/cases/fw2000_wetdep_test01

URL for AMWG diagnostics output used to validate new climate:

 CAM climate validation:
 http://webext.cgd.ucar.edu/B1850/b.e20.B1850.f09_g17.pi_control.all.280/atm/b.e20.B1850.f09_g17.pi_control.all.280_yrs5-29-b.e20.B1850.f09_g17.pi_control.all.279_yrs5-29

 WACCM climate validation:
 https://acomstaff.acom.ucar.edu/tilmes/amwg/cesm2/fw2000_wetdep_test01.2_7-fw2000_wetdep_cntl01.2_7
 https://acomstaff.acom.ucar.edu/tilmes/amwg/cesm2/aerosol/fw2000_wetdep_test01.cam.h0.0002-0007.-fw2000_wetdep_cntl01.cam.h0.0002-0007./aerosol.html

===============================================================
===============================================================

Tag name: cam5_4_175
Originator(s): cacraig, eaton, jet
Date: March 21, 2018
One-line Summary: Updates to SCAM

Purpose of changes:

 - SCAM now uses CAM6 physics
 - Mods to allow SCAM to run in a single MPI task.  Previously it was only
   allowed to be configured with the -nospmd flag.
 - Added 8 new IOP test cases for SCAM
 - Expanded the functionality of the scam relaxation feature

     There is now a new scam namelist parameter "scm_relax_fincl" which is a list of strings containing
     the names of fields which are to be relaxed. Previously a user was only able to apply a relaxation
     tendency to the group of four forecast profiles for U,V,T, and Q by setting scm_relaxation = .true.
     Now, if relaxation is requested (scm_relaxation = .true.) and scm_relax_fincl remains empty then
     the default prognostic fields of T,U,V,Q will be relaxed just as before.  If scm_relaxation = .true.
     and scm_relax_fincl contains one or more fields then the defaults are ignored and only the fields in
     scm_relax_fincl will be relaxed.  Additionally, SCAM can now apply a relaxation tendency for every
     registered tracer field.  The relaxation tendency for tracers is derived relative to the initial
     condition profile.  For the prognostic variables T,U,V, and Q the relaxation tendency is derived
     relative to the observed values on the IOP dataset.  If no relaxation tendency is requested
     (scm_relaxation = .false.) then scm_relax_fincl will be ignored.

     Usage example:

     The following set of commands will apply a relaxation tendency to the prognostic variables T,U and
     V as well as the tracer fields num_a1,num_a2,num_a3.

     scm_relaxation = .true.
     scm_relax_fincl = 'T','U','V','num_a1',num_a2','num_a3'

     The interface for controlling relaxation to observations is undergoing review and will likely be modified
     in an upcoming commit.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:
  - SCAM is now allowed to run with a single MPI task

Describe any changes made to the namelist:
  - Added namelist scm_relax_fincl (list of fields that will be relaxed to obs)

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by: eaton

List all subroutines eliminated:

List all subroutines added and what they do:
A       components/cam/bld/scripts
          - added new scripts directory for sample run_scripts

A       components/cam/bld/scripts/create_scam6_iop
          - sample script for single IOP SCAM run

A       components/cam/bld/scripts/create_scam6_iop_multi
          - sample script for multiple IOPs SCAM run

A       components/cam/cime_config/usermods_dirs/scam_atex
A       components/cam/cime_config/usermods_dirs/scam_atex/shell_commands
A       components/cam/cime_config/usermods_dirs/scam_atex/user_nl_cam
A       components/cam/cime_config/usermods_dirs/scam_bomex
A       components/cam/cime_config/usermods_dirs/scam_bomex/shell_commands
A       components/cam/cime_config/usermods_dirs/scam_bomex/user_nl_cam
A       components/cam/cime_config/usermods_dirs/scam_cgilsS11
A       components/cam/cime_config/usermods_dirs/scam_cgilsS11/shell_commands
A       components/cam/cime_config/usermods_dirs/scam_cgilsS11/user_nl_cam
A       components/cam/cime_config/usermods_dirs/scam_cgilsS12
A       components/cam/cime_config/usermods_dirs/scam_cgilsS12/shell_commands
A       components/cam/cime_config/usermods_dirs/scam_cgilsS12/user_nl_cam
A       components/cam/cime_config/usermods_dirs/scam_cgilsS6
A       components/cam/cime_config/usermods_dirs/scam_cgilsS6/shell_commands
A       components/cam/cime_config/usermods_dirs/scam_cgilsS6/user_nl_cam
A       components/cam/cime_config/usermods_dirs/scam_dycomsRF01
A       components/cam/cime_config/usermods_dirs/scam_dycomsRF01/shell_commands
A       components/cam/cime_config/usermods_dirs/scam_dycomsRF01/user_nl_cam
A       components/cam/cime_config/usermods_dirs/scam_dycomsRF02
A       components/cam/cime_config/usermods_dirs/scam_dycomsRF02/shell_commands
A       components/cam/cime_config/usermods_dirs/scam_dycomsRF02/user_nl_cam
A       components/cam/cime_config/usermods_dirs/scam_rico
A       components/cam/cime_config/usermods_dirs/scam_rico/shell_commands
A       components/cam/cime_config/usermods_dirs/scam_rico/user_nl_cam

           - Added IOP locations ATEX, BOMEX, CGILSS6, CGILSS11, CDILSS12,
             DYCOMSRF02, DYCOMSRF01, RICO


List all existing files that have been modified, and describe the changes:
 M      .
M       SVN_EXTERNAL_DIRECTORIES
          - updated manage_externals to manic-v1.0.1

M       components/cam/bld/configure
          - allow SCAM build with -spmd

M       components/cam/bld/namelist_files/namelist_defaults_cam.xml
          - add/update files to support CAM6 SCAM

M       components/cam/bld/namelist_files/namelist_definition.xml
          - added namelist variable to control SCAM expanded relaxation functionality

M       components/cam/cime_config/buildcpp
          - remove dependence of spmd and smp settings on pts_mode

M       components/cam/cime_config/config_compsets.xml
          - change SCAM run to use CAM6 now that it is supported

M       components/cam/cime_config/usermods_dirs/scam_arm95/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_arm97/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_gateIII/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_mpace/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_sparticus/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_togaII/user_nl_cam
M       components/cam/cime_config/usermods_dirs/scam_twp06/user_nl_cam
          - Added scm_use_obs_uv = .true.

M       components/cam/cime_config/usermods_dirs/scam_mandatory/shell_commands
          - update comment to indicate that SCAM can run in SPMD mode

M       components/cam/src/control/scamMod.F90
M       components/cam/src/dynamics/eul/iop.F90
M       components/cam/src/dynamics/eul/scmforecast.F90
          - Allow expanded relaxation functionality

M       components/cam/src/dynamics/eul/spmd_dyn.F90
          - modify checks on problem size to allow single column in spmd mode

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: all BFB

cheyenne/intel/aux_cam: all PASS except:
  SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s (Overall: DIFF) details:
    FAIL SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s NLCOMP
    FAIL SMS_D_Ln9.T42_T42.FSCAM.cheyenne_intel.cam-outfrq9s BASELINE cam5_4_170
      - Updated SCAM to use CAM6 and new support files, expected namelist and answers to change

cheyenne/intel/test_cam: all PASS

hobart/nag: all BFB

hobart/pgi: all BFB

CAM tag used for the baseline comparison tests if different than previous
tag: cam5_4_170

===============================================================

===============================================================

Tag name: cam5_4_174
Originator(s): cacraig
Date: March 7, 2018
One-line Summary: Add changes to allow manage_externals to work within CESM as well as CAM

Purpose of changes:
  - This is expected to be the final commit of CAM to update to using checkout_externals.

  - Made modifications so that checkout_externals will now work within CESM checkouts as well as CAM standalone checkouts

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all subroutines eliminated:
D       components/cam/Externals_CAM.cfg
         - Will revert back to using SVN_EXTERNAL_DIRECTORIES to manage the CAM externals.  This file will
           be introduced when CAM moves to git

List all subroutines added and what they do:
A       components/cam/SVN_EXTERNAL_DIRECTORIES
         - Resume using this file to manage CAM's externals until CAM moves to git.

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
         - Remove the reference to Externals_CAM.cfg

 M      components/cam
         - svn:external modifications to bring back in SVN_EXTERNAL_DIRECTORIES

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: none run

cheyenne/intel/aux_cam: none run

cheyenne/intel/test_cam: none run

hobart/nag: none run

hobart/pgi: none run

Ran tests both on CAM standalone checkouts as well as CESM checkouts and compared them with ones
which did not use manage_externals.  The code bases were identical.

===============================================================
===============================================================

Tag name: cam5_4_172
Originator(s): cacraig
Date: March 6, 2018
One-line Summary: Minor fixes to enable checkout_externals to work properly

Purpose of changes:
  Inadvertently committed a broken tag.  This commit corrects that problem.

Bugs fixed (include bugzilla ID):

Describe any changes made to build system:

Describe any changes made to the namelist:

List any changes to the defaults for the boundary datasets:

Describe any substantial timing or memory changes:

Code reviewed by:

List all subroutines eliminated:

List all subroutines added and what they do:

List all existing files that have been modified, and describe the changes:
M       Externals.cfg
          - Added components/cam to the path for Externals_CAM.cfg information

M       components/cam/Externals_CAM.cfg
          - Removed extraneous line which was being ignored, but shouldn't be in the file

If there were any failures reported from running test_driver.sh on any test
platform, and checkin with these failures has been OK'd by the gatekeeper,
then copy the lines from the td.*.status files for the failed tests to the
appropriate machine below.  All failed tests must be justified.

cheyenne/intel: none run

cheyenne/intel/aux_cam: none run

cheyenne/intel/test_cam: none run

hobart/nag: none run

hobart/pgi: none run

Since this is just checking out externals, compared this code
base with cam5_4_172 to make sure they were identical.

===============================================================
===============================================================

